javascript:(function (window) {
    var UmsApi = {version: "1.0.0", versionDetail: {major: 1, minor: 0, patch: 0}};
    UmsApi.custom = {};
    window.UmsApi = UmsApi;
    var UmsTool = (function () {
        var CHARS = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz".split("");
        var isEmpty = function (obj) {
            return obj === 0 || obj == "" || obj == null || !obj || typeof obj == undefined
        };
        var isObject = function (obj) {
            if (isEmpty(obj)) {
                return false
            }
            return (typeof(obj) == "object")
        };
        var isString = function (obj) {
            if (isEmpty(obj)) {
                return false
            }
            return (typeof(obj) == "string")
        };
        var isArray = function (obj) {
            return Object.prototype.toString.call(obj) == "[object Array]"
        };
        var obj2Str = function (obj) {
            if (obj == undefined) {
                return ""
            } else {
                if (isString(obj)) {
                    return obj
                } else {
                    if (isObject(obj)) {
                        return "Object " + JSON.stringify(obj)
                    } else {
                        return obj.toString().replace(/\"\:/g, '":""')
                    }
                }
            }
        };
        Math.uuid = function (len, radix) {
            var chars = CHARS, uuid = [], i;
            radix = radix || chars.length;
            if (len) {
                for (i = 0; i < len; i++) {
                    uuid[i] = chars[0 | Math.random() * radix]
                }
            } else {
                var r;
                uuid[8] = uuid[13] = uuid[18] = uuid[23] = "-";
                uuid[14] = "4";
                for (i = 0; i < 36; i++) {
                    if (!uuid[i]) {
                        r = 0 | Math.random() * 16;
                        uuid[i] = chars[(i == 19) ? (r & 3) | 8 : r]
                    }
                }
            }
            return uuid.join("")
        };
        Date.prototype.format = function (fmt) {
            var o = {
                "M+": this.getMonth() + 1,
                "d+": this.getDate(),
                "h+": this.getHours(),
                "m+": this.getMinutes(),
                "s+": this.getSeconds(),
                "q+": Math.floor((this.getMonth() + 3) / 3),
                "S": this.getMilliseconds()
            };
            if (/(y+)/.test(fmt)) {
                fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length))
            }
            for (var k in o) {
                if (new RegExp("(" + k + ")").test(fmt)) {
                    fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)))
                }
            }
            return fmt
        };
        var Base64 = function () {
            var _keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
            this.encode = function (input) {
                var output = "";
                var chr1, chr2, chr3;
                var enc1, enc2, enc3, enc4;
                var i = 0;
                input = _utf8_encode(input);
                while (i < input.length) {
                    chr1 = input.charCodeAt(i++);
                    chr2 = input.charCodeAt(i++);
                    chr3 = input.charCodeAt(i++);
                    enc1 = chr1 >> 2;
                    enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
                    enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
                    enc4 = chr3 & 63;
                    if (isNaN(chr2)) {
                        enc3 = enc4 = 64
                    } else {
                        if (isNaN(chr3)) {
                            enc4 = 64
                        }
                    }
                    output = output + _keyStr.charAt(enc1) + _keyStr.charAt(enc2) + _keyStr.charAt(enc3) + _keyStr.charAt(enc4)
                }
                return output
            };
            this.decode = function (input) {
                var output = "";
                var chr1, chr2, chr3;
                var enc1, enc2, enc3, enc4;
                var i = 0;
                input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");
                while (i < input.length) {
                    enc1 = _keyStr.indexOf(input.charAt(i++));
                    enc2 = _keyStr.indexOf(input.charAt(i++));
                    enc3 = _keyStr.indexOf(input.charAt(i++));
                    enc4 = _keyStr.indexOf(input.charAt(i++));
                    chr1 = (enc1 << 2) | (enc2 >> 4);
                    chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
                    chr3 = ((enc3 & 3) << 6) | enc4;
                    output = output + String.fromCharCode(chr1);
                    if (enc3 != 64) {
                        output = output + String.fromCharCode(chr2)
                    }
                    if (enc4 != 64) {
                        output = output + String.fromCharCode(chr3)
                    }
                }
                output = _utf8_decode(output);
                return output
            };
            var _utf8_encode = function (input) {
                var output = "";
                input = input.replace(/\r\n/g, "\n");
                for (var i = 0; i < input.length; i++) {
                    var chr = input.charCodeAt(i);
                    if (chr < 128) {
                        output += String.fromCharCode(chr)
                    } else {
                        if ((chr > 127) && (chr < 2048)) {
                            output += String.fromCharCode((chr >> 6) | 192);
                            output += String.fromCharCode((chr & 63) | 128)
                        } else {
                            output += String.fromCharCode((chr >> 12) | 224);
                            output += String.fromCharCode(((chr >> 6) & 63) | 128);
                            output += String.fromCharCode((chr & 63) | 128)
                        }
                    }
                }
                return output
            };
            var _utf8_decode = function (input) {
                var output = "";
                var i = 0;
                var chr1 = 0, chr2 = 0, chr3 = 0;
                while (i < input.length) {
                    chr1 = input.charCodeAt(i);
                    if (chr1 < 128) {
                        output += String.fromCharCode(chr1);
                        i++
                    } else {
                        if ((chr1 > 191) && (chr1 < 224)) {
                            chr2 = input.charCodeAt(i + 1);
                            output += String.fromCharCode(((chr1 & 31) << 6) | (chr2 & 63));
                            i += 2
                        } else {
                            chr2 = input.charCodeAt(i + 1);
                            chr3 = input.charCodeAt(i + 2);
                            output += String.fromCharCode(((chr1 & 15) << 12) | ((chr2 & 63) << 6) | (chr3 & 63));
                            i += 3
                        }
                    }
                }
                return output
            }
        };
        var HashMap = function () {
            var map = {};
            this.put = function (key, value) {
                map[key] = value
            };
            this.get = function (key) {
                if (map.hasOwnProperty(key)) {
                    return map[key]
                }
                return null
            };
            this.remove = function (key) {
                if (map.hasOwnProperty(key)) {
                    return delete map[key]
                }
                return false
            }
        };
        var Log = function () {
            var messages = new Array();
            this.log = function () {
                var msg = new Date().format("yyyy-MM-dd hh:mm:ss.S") + ">>";
                for (var i = 0; i < arguments.length; i++) {
                    msg = msg + " " + obj2Str(arguments[i])
                }
                messages.push(msg);
                console.log(arguments)
            };
            this.clear = function () {
                messages.splice(0, messages.length)
            };
            this.print = function () {
                var msg = "";
                for (var i = 0; i < messages.length; i++) {
                    msg = msg + "\n" + messages[i]
                }
                return msg
            }
        };
        var base64 = new Base64();
        var customFuncNameMap = new HashMap();
        var eventMap = new HashMap();
        var requestMap = new HashMap();
        var log = new Log();
        return {
            console: {log: log.log, debug: log.log, error: log.log, clear: log.clear, print: log.print},
            base64: {encode: base64.encode, decode: base64.decode},
            customFuncNameMap: {
                put: customFuncNameMap.put,
                remove: customFuncNameMap.remove,
                get: customFuncNameMap.get
            },
            eventMap: {put: eventMap.put, remove: eventMap.remove, get: eventMap.get},
            requestMap: {put: requestMap.put, remove: requestMap.remove, get: requestMap.get},
            common: {uuid: Math.uuid},
            data: {
                check: {isEmpty: isEmpty, isObject: isObject, isArray: isArray, isString: isString},
                convert: {
                    base64Str2Json: function (str) {
                        log.log("convert base64Str2Json [old str] = ", str);
                        try {
                            if (isEmpty(str)) {
                                return null
                            }
                            str = base64.decode(str);
                            log.log("convert base64Str2Json [str] = ", str);
                            return JSON.parse(str)
                        } catch (e) {
                            log.log("convert base64Str2Json 转换失败", e)
                        }
                        return null
                    }, json2Base64Str: function (obj) {
                        log.log("convert json2Base64Str [old obj] = ", obj);
                        try {
                            if (isEmpty(obj)) {
                                return null
                            }
                            return base64.encode(JSON.stringify(obj))
                        } catch (e) {
                            log.log("convert json2Base64Str 转换失败", e)
                        }
                        return null
                    }, json2Str: function (obj) {
                        log.log("convert json2Str [old obj] = ", obj);
                        try {
                            if (isEmpty(obj)) {
                                return null
                            }
                            return JSON.stringify(obj)
                        } catch (e) {
                            log.log("convert json2Str 转换失败", e)
                        }
                        return null
                    }, obj2Str: obj2Str, mergeJson: function (obj1, obj2) {
                        var result = {};
                        obj1 = obj1 || {};
                        obj2 = obj2 || {};
                        for (var i in obj1) {
                            result[i] = obj1[i]
                        }
                        for (var i in obj2) {
                            var temp = result[i];
                            if (isEmpty(temp)) {
                                result[i] = obj2[i]
                            }
                        }
                        return result
                    }, convertArray2Str: function (obj, convertColIndex) {
                        if (isEmpty(obj)) {
                            return ""
                        } else {
                            if (isArray(obj) && (isEmpty(convertColIndex) || convertColIndex <= 0)) {
                                return obj.join(",")
                            } else {
                                if (isArray(obj) && convertColIndex >= 1) {
                                    var ret = new Array();
                                    for (var i = 0; i < obj.length; i++) {
                                        if (isEmpty(obj[i]) || obj[i].length < convertColIndex) {
                                            continue
                                        }
                                        ret.push(obj[i][convertColIndex - 1])
                                    }
                                    return ret.join(",")
                                }
                            }
                        }
                        return obj
                    }
                }
            }
        }
    })();
    window.UmsTool = UmsTool;
    var UmsCons = (function () {
        return {
            CALL_RESULT_STATUS: {SUCCESS: "success", ERROR: "error", TIMEOUT: "timeout", CANCEL: "cancel"},
            NOTIFICATION: {
                ALERT_TYPE: {DIALOG: "dialog", TOAST: "toast"},
                MSG_TYPE: {TIP: "0", WARNING: "1", ERROR: "2"},
                DEFAULT: {
                    TITLE_TIP: "提示",
                    TITLE_WARNING: "警告",
                    TITLE_ERROR: "错误",
                    TITLE: "提示",
                    BTNNAMES: "确定",
                    MSG: "提示信息",
                    SELECT_INDEX: 0
                }
            },
            LOCATION: {METHOD: {GET_LOCATION: "getLocation", GET_AREA: "getArea"}},
            LOG: {LOG_TYPE: {INFO: "info", ERROR: "error", DEBUG: "debug", WARNING: "warning"}},
            PAGE: {
                DEFAULT_FORWARD_TYPE: {BIZ: "ums://biz/", NATIVE: "ums://page/"},
                URL_PARAM_TAG: "?param=",
                URL_SEPARATOR: "/",
                BACK_METHOD: {PAGE_BACK: "goBack", GO_HOME: "goHome"}
            },
            VOICE: {QUEUE_MODE: {ADD: "add", FLUSH: "flush"}},
            OPEN_WEB_PAGE: {METHOD: {BY_SELF: "bySelf", BY_SYSBROWSER: "bySysBrowser"}},
            GET_CARD_INFO: {BOX_TYPE: {SQUARE: "square", MPOS: "mpos"}},
            GET_CARD_DETAIL: {METHOD: {BY_CARD_NUMBER: "byCardNumber", BY_TRACK: "byTrack"}},
            FILE_TRANSFER: {
                DEFAULT: {FILE_TYPE: "png", FILE_NAME: "file", MIME_TYPE: "image/png"},
                METHOD: {UPLOAD: "upload"}
            },
            ENCRYPT_BY_PIN_PAD: {SECURITY_KEY_TYPE: {OPEN_FRONT: 100001, VA_FRONT: 100002, MOBILE_FRONT: 100003}},
            APDU: {METHOD: {POWER_ON: "powerOn", POWER_OFF: "powerOff", SEND_APDU: "sendApdu"}},
            IBEACONS: {METHOD: {START_IBEACONS: "startIBeacons", STOP_IBEACONS: "stopIBeacons"}},
            SHARE: {METHOD: {SHOW_SHARE: "showShare", SHOW_SHARE_VIEW: "showShareView"}},
            CONTACTS: {METHOD: {PICK_CONTACT: "select", FILTER_CONTACTS: "find"}},
            POSITION: {
                METHOD: {
                    GET_LOCATION: "getLocation",
                    GET_AREA: "getArea",
                    GET_LOCATION_AND_AREA: "getLocationAndArea",
                    GET_LOCATION_CITY: "getLocationCity"
                }
            },
            SET_PAY_RESULT_BACK: {BACK_TYPE: {NORMAL_BACK: "NormalBack", SPA_BACK: "SPABack"}},
            ERROR_INFO: {
                SHOW_SELECT_DATA_NULL: "选择列表参数为空",
                SET_TITLE_DATA_NULL: "要设置的页面title为空",
                SET_PAY_RESULT_BACK_TYPE_ERROR: "要设置的回退类型错误",
                UMSAPI_ONCALLBACK_RESPONSE_NULL: "API响应信息为空",
                UMSAPI_ONCALLBACK_RESPONSE_INFO_NULL: "API响应的INFO为空",
                UMSAPI_ONCALLBACK_RESPONSE_DATA_NULL: "API响应的DATA为空",
                UMSAPI_ONCALLBACK_RESPONSE_BIZ_DATA_NULL: "API响应的BIZDATA为空",
                UMSAPI_ONCALLBACK_RESPONSE_CANCEL: "API响应为取消状态",
                UMSAPI_ONCALLBACK_RESPONSE_ERROR: "API响应为错误状态",
                UMSAPI_ONCALLBACK_RESPONSE_TIMEOUT: "请求超时",
                UMSAPI_ONCALLBACK_RESPONSE_UNKNOWN: "未知错误",
                UMSAPI_RESPONSE_EVENTNAME_NULL: "通知的事件名称为空",
                SET_GLOBAL_REQUEST_DATA_NULL: "要设置的全局变量为空",
                SET_GLOBAL_REQUEST_DATA_NOT_JSON: "要设置的全局变量不是一个json",
                LOCAL_DATA_REQUEST_DATA_KEY_NULL: "请求的KEY为空",
                LOCAL_DATA_REQUEST_DATA_SUBKEY_NULL: "请求的SUBKEY为空",
                LOCAL_DATA_REQUEST_DATA_SUBVALUE_NOT_JSON: "请求的SUBVALUE不是一个json",
                REGISTER_API_REQUEST_TYPE_NULL: "请求的TYPE为空",
                REGISTER_API_REQUEST_ACTION_NULL: "请求的ACTION为空",
                REGISTER_API_REQUEST_REFLECT_CLAZZ_NULL: "请求的REFLECT_CLAZZ为空",
                REGISTER_API_REQUEST_FUNC_NAME_EXISTS: "请求的函数名已存在",
                CALL_REQUEST_URI_NULL: "请求的URI为空",
                CALL_REQUEST_DATA_NOT_JSON: "请求的数据不是一个json",
                CALL_RESPONSE_DATA_NULL: "网络通讯异常,请稍后再试",
                CALL_RESPONSE_BIZ_DATA_NULL: "网络通讯返回报文数据异常,请稍后再试",
                CALL_RESPONSE_CANCEL: "主动取消请求",
                CALL_RESPONSE_TIMEOUT: "网络通讯异常,请稍后再试",
                FORWARD_REQUEST_URL_NULL: "要打开的页面地址为空",
                FORWARD_REQUEST_PAGE_NULL: "要打开的页面名称为空",
                FORWARD_REQUEST_CODE_NULL: "要打开的页面业务编码为空",
                FORWARD_REQUEST_DATA_NOT_JSON: "要打开的页面请求参数不是json",
                FORWARD_SALESLIP_REQUEST_ORDERID_NULL: "跳转到签购单的订单号为空",
                PAY_REQUEST_DATA_NULL: "打开支付页面时请求参数为空",
                PAY_REQUEST_DATA_NOT_JSON: "打开支付页面时请求参数不是json",
                PAY_RESPONSE_DATA_NULL: "支付返回异常,请稍后再试",
                PAY_RESPONSE_BIZ_DATA_NULL: "支付返回报文数据异常,请稍后再试",
                PAY_RESPONSE_PAY_RESULT_NULL: "支付返回报文数据异常,请稍后再试",
                PAY_RESPONSE_CANCEL: "主动取消请求",
                PAY_RESPONSE_TIMEOUT: "网络通讯异常,请稍后再试",
                PAY_RESPONSE_UNKNOWN: "网络通讯异常,请稍后再试",
                PAY_RESPONSE_ERROR: "网络通讯异常,请稍后再试",
                OFFLINE_REQUEST_IDENTIFIER_NULL: "请求脱机数据的唯一标识为空",
                PRINT_REQUEST_CONTEXT_NULL: "要打印的内容为空",
                VOICE_REQUEST_QUEUEMODE_ERROR: "播放语音的播放模式不正确",
                OPENTEL_REQUEST_PHONENUMBER_NULL: "要拨打的电话号码为空",
                GETCARD_REQUEST_BOX_TYPE_ERROR: "盒子类型不正确",
                GETCARD_REQUEST_CARD_NUMBER_NULL: "卡号信息为空",
                GETCARD_REQUEST_TRACK2_NULL: "二磁道为空",
                GETCARD_REQUEST_BOX_ID_NULL: "设备号为空",
                GETCARD_REQUEST_TRACK_KSN_NULL: "磁道KSN为空",
                GETCARD_REQUEST_TRACK2_DATA_KSN_NULL: "二磁道数据KSN为空",
                FILETRANSFER_REQUEST_FILE_URI_NULL: "文件地址为空",
                FILETRANSFER_REQUEST_SERVER_URI_NULL: "服务器上传地址为空",
                ENCRYPT_BY_PIN_PAD_REQUEST_SECURITY_KEY_TYPE_ERROR: "密钥类型不正确",
                ENCRYPT_BY_PIN_PAD_REQUEST_INPUT_MAX_LESS_THAN_MIN_ERROR: "最大长度小于最小长度",
                APDU_REQUEST_APDU_NULL: "apdu为空",
                IBEACONS_UUID_ARR_NULL: "iBeacons设备的UUID数组为空",
                SHARE_REQUEST_PROC_STATUS_NULL: "业务状态为空",
                SHARE_REQUEST_SHARE_TYPE_NULL: "分享类型为空",
                POS_TONG_FAST_PAY_REQUEST_DATA_NULL: "POS通远程快捷支付请求参数为空",
                POS_TONG_FAST_PAY_REQUEST_DATA_NOT_JSON: "POS通远程快捷支付请求参数不是json",
                SHOW_PAYMENT_CENTER_REQUEST_DATA_NULL: "打开支付中心时请求参数为空",
                SHOW_PAYMENT_CENTER_REQUEST_DATA_NOT_JSON: "打开支付中心时请求参数不是json",
                FILTER_CONTACTS_FIELDS_NOT_ARRAY: "要查找的联系人的属性不是数组",
                COPY_TO_CLIPBOARD_CONTENT_NULL: "要复制到剪贴板的内容为空",
                UMENG_EVENT_REQUEST_EVENT_ID_NULL: "用户行为统计事件ID为空"
            }
        }
    })();
    var UmsApiDefaultFunc = (function () {
        return {
            syncFunc: function (data, funcName, msgs, successCallbackFunc, isBizDataCanEmpty) {
                UmsTool.console.log("call default sync callback func", funcName);
                successCallbackFunc = successCallbackFunc || this.nothingFunc;
                msgs = UmsTool.data.convert.mergeJson(msgs, {
                    dataIsNull: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_DATA_NULL,
                    bizDataIsNull: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_BIZ_DATA_NULL,
                    cancel: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_CANCEL,
                    error: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_ERROR,
                    timeout: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_TIMEOUT,
                    unknown: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_UNKNOWN
                });
                var errInfo = !UmsTool.data.check.isEmpty(data) && !UmsTool.data.check.isEmpty(data.errInfo) ? data.errInfo + "(" + data.errCode + ")" : null;
                if (UmsTool.data.check.isEmpty(data)) {
                    throw new Error(msgs.dataIsNull)
                } else {
                    if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.CANCEL) {
                        throw new Error(msgs.cancel)
                    } else {
                        if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.TIMEOUT) {
                            throw new Error(msgs.timeout)
                        } else {
                            if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.ERROR) {
                                return new Error(errInfo || msgs.error)
                            } else {
                                if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.SUCCESS) {
                                    if ((UmsTool.data.check.isEmpty(isBizDataCanEmpty) || !isBizDataCanEmpty) && UmsTool.data.check.isEmpty(data.bizData)) {
                                        throw new Error(msgs.bizDataIsNull)
                                    } else {
                                        return successCallbackFunc(data.bizData, funcName)
                                    }
                                } else {
                                    throw new Error(errInfo || msgs.unknown)
                                }
                            }
                        }
                    }
                }
            },
            syncBoolFunc: function (data, funcName, msgs, successCallbackFunc, isBizDataCanEmpty) {
                UmsTool.console.log("call default sync bool callback func", funcName);
                msgs = UmsTool.data.convert.mergeJson(msgs, {
                    dataIsNull: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_DATA_NULL,
                    bizDataIsNull: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_BIZ_DATA_NULL,
                    cancel: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_CANCEL,
                    error: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_ERROR,
                    timeout: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_TIMEOUT,
                    unknown: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_UNKNOWN
                });
                var errInfo = !UmsTool.data.check.isEmpty(data) && !UmsTool.data.check.isEmpty(data.errInfo) ? data.errInfo + "(" + data.errCode + ")" : null;
                if (UmsTool.data.check.isEmpty(data)) {
                    UmsTool.console.log(msgs.dataIsNull)
                } else {
                    if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.CANCEL) {
                        UmsTool.console.log(msgs.cancel)
                    } else {
                        if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.TIMEOUT) {
                            UmsTool.console.log(msgs.timeout)
                        } else {
                            if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.ERROR) {
                                UmsTool.console.log(errInfo || msgs.error)
                            } else {
                                if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.SUCCESS) {
                                    if ((UmsTool.data.check.isEmpty(isBizDataCanEmpty) || !isBizDataCanEmpty) && UmsTool.data.check.isEmpty(data.bizData)) {
                                        UmsTool.console.log(msgs.bizDataIsNull)
                                    } else {
                                        if (UmsTool.data.check.isEmpty(successCallbackFunc)) {
                                            return true
                                        } else {
                                            return successCallbackFunc(data.bizData)
                                        }
                                    }
                                } else {
                                    UmsTool.console.log(errInfo || msgs.unknown)
                                }
                            }
                        }
                    }
                }
                return false
            },
            asyncFunc: function (data, funcName, msgs, successCallbackFunc, errorCallbackFunc, timeoutCallbackFunc, cancelCallbackFunc, isBizDataCanEmpty) {
                UmsTool.console.log("call default sync callback func", funcName);
                successCallbackFunc = successCallbackFunc || this.nothingFunc;
                errorCallbackFunc = errorCallbackFunc || this.defaultErrorFunc;
                timeoutCallbackFunc = timeoutCallbackFunc || this.defaultTimeoutFunc;
                cancelCallbackFunc = cancelCallbackFunc || this.defaultCancelFunc;
                msgs = UmsTool.data.convert.mergeJson(msgs, {
                    dataIsNull: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_DATA_NULL,
                    bizDataIsNull: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_BIZ_DATA_NULL,
                    cancel: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_CANCEL,
                    error: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_ERROR,
                    timeout: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_TIMEOUT,
                    unknown: UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_UNKNOWN
                });
                var errInfo = !UmsTool.data.check.isEmpty(data) && !UmsTool.data.check.isEmpty(data.errInfo) ? data.errInfo + "(" + data.errCode + ")" : null;
                if (UmsTool.data.check.isEmpty(data)) {
                    return errorCallbackFunc(data, msgs.dataIsNull, funcName)
                } else {
                    if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.TIMEOUT) {
                        return timeoutCallbackFunc(data, msgs.timeout, funcName)
                    } else {
                        if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.CANCEL) {
                            return cancelCallbackFunc(data, msgs.cancel, funcName)
                        } else {
                            if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.ERROR) {
                                return errorCallbackFunc(data, errInfo || msgs.error, funcName)
                            } else {
                                if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.SUCCESS) {
                                    if ((UmsTool.data.check.isEmpty(isBizDataCanEmpty) || !isBizDataCanEmpty) && UmsTool.data.check.isEmpty(data.bizData)) {
                                        return errorCallbackFunc(data, msgs.bizDataIsNull, funcName)
                                    } else {
                                        return successCallbackFunc(data.bizData, funcName)
                                    }
                                } else {
                                    return errorCallbackFunc(data, errInfo || msgs.unknown, funcName)
                                }
                            }
                        }
                    }
                }
            },
            nothingFunc: function (data, funcName) {
                UmsTool.console.log("call default nothing func", funcName);
                return data
            },
            defaultErrorFunc: function (data, msg, funcName) {
                UmsTool.console.log("call default timeout func", msg, funcName);
                UmsApi.notification.toast(msg);
                return data
            },
            defaultTimeoutFunc: function (data, msg, funcName) {
                UmsTool.console.log("call default timeout func", msg, funcName);
                UmsApi.notification.toast(msg);
                return data
            },
            defaultCancelFunc: function (data, msg, funcName) {
                UmsTool.console.log("call default cancel func", msg, funcName);
                return data
            }
        }
    })();
    var UmsApiBridge = (function () {
        var syncCallback = function (requestId, responseDataStr, callbackFunc) {
            UmsTool.console.log("call syncCallbackFunc start");
            var responseData = UmsTool.data.convert.base64Str2Json(responseDataStr);
            if (UmsTool.data.check.isEmpty(responseData)) {
                return
            }
            UmsTool.requestMap.remove(requestId);
            if (UmsTool.data.check.isEmpty(responseData.data)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_DATA_NULL);
                return
            }
            return callbackFunc(responseData.data)
        };
        var callUms = function (type, action, requestData, customCallbackFunc) {
            UmsTool.console.log("call UmsApiBridge start");
            var requestId = UmsTool.common.uuid();
            var requestParam = {};
            requestParam.info = {"type": type, "action": action || "", "requestId": requestId};
            requestParam.data = requestData || {};
            var myCallbackFunc = customCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            UmsTool.console.log("[requestId] = ", requestId, "[param] = ", requestParam, "[customCallbackFunc] = ", myCallbackFunc);
            UmsTool.requestMap.put(requestId, myCallbackFunc);
            var requestParamStr = UmsTool.data.convert.json2Base64Str(requestParam);
            if (UmsTool.data.check.isEmpty(requestParamStr)) {
                alert("call UmsApiBridge error, request is empty");
                return
            }
            var responseDataStr = window.prompt(requestParamStr, UmsTool.base64.encode("umsApi"));
            UmsTool.console.log("call UmsApiBridge sync callback", "[responseDataStr] =", responseDataStr);
            return syncCallback(requestId, responseDataStr, myCallbackFunc)
        };
        return {invoke: callUms}
    })();
    window.UmsApiBridge = UmsApiBridge;
    UmsApi.onCallback = function (responseDataStr) {
        UmsTool.console.log("UmsApi onCallback start", "[responseDataStr] = ", responseDataStr);
        var responseData = UmsTool.data.convert.base64Str2Json(responseDataStr);
        UmsTool.console.log("[responseData] = ", responseData);
        if (UmsTool.data.check.isEmpty(responseData)) {
            UmsApi.notification.toast(UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_NULL);
            return
        }
        if (UmsTool.data.check.isEmpty(responseData.info)) {
            UmsApi.notification.toast(UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_INFO_NULL);
            return
        }
        var requestId = responseData.info.requestId || "";
        var customCallbackFunc = UmsTool.requestMap.get(requestId);
        UmsTool.requestMap.remove(requestId);
        if (UmsTool.data.check.isEmpty(responseData.data)) {
            UmsApi.notification.toast(UmsCons.ERROR_INFO.UMSAPI_ONCALLBACK_RESPONSE_DATA_NULL);
            return
        }
        if (UmsTool.data.check.isEmpty(customCallbackFunc)) {
            UmsTool.console.log("UmsApi onCallback can not find function by requestId")
        } else {
            UmsTool.console.log("UmsApi onCallback call function by requestId");
            return customCallbackFunc(responseData.data || {})
        }
        UmsTool.console.log("UmsApi onCallback end")
    };
    UmsApi.dispatchEvent = function (eventName, eventParamStr) {
        UmsTool.console.log("UmsApi dispatchEvent start", "[eventName]=", eventName, "[eventParamStr]=", eventParamStr);
        if (UmsTool.data.check.isEmpty(eventName)) {
            UmsApi.notification.toast(UmsCons.ERROR_INFO.UMSAPI_RESPONSE_EVENTNAME_NULL);
            return
        }
        eventName = UmsTool.base64.decode(eventName);
        var eventParam = UmsTool.data.convert.base64Str2Json(eventParamStr);
        eventParam = eventParam || {};
        UmsTool.console.log("[eventName] = ", eventName, "[eventParam] = ", eventParam);
        var event = document.createEvent("HTMLEvents");
        event.initEvent(eventName, true, true);
        event.eventType = "message";
        event.eventParam = eventParam;
        var timeout = 100;
        if (eventName == "deviceready") {
            timeout = 200
        }
        setTimeout(function () {
            document.dispatchEvent(event)
        }, timeout);
        UmsTool.console.log("UmsApi dispatchEvent end")
    };
    UmsApi.notification = {
        dialog: function (msgType, title, msg, btnNames, customCallbackFunc) {
            var myCallbackFunc = customCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            return UmsApiBridge.invoke(5001, UmsCons.NOTIFICATION.ALERT_TYPE.DIALOG, {
                "msgType": msgType || UmsCons.NOTIFICATION.MSG_TYPE.TIP,
                "title": title || UmsCons.NOTIFICATION.DEFAULT.TITLE,
                "msg": msg || UmsCons.NOTIFICATION.DEFAULT.MSG,
                "btnNames": btnNames || UmsCons.NOTIFICATION.DEFAULT.BTNNAMES
            }, myCallbackFunc)
        },
        toast: function (msg) {
            var myCallbackFunc = UmsApiDefaultFunc.nothingFunc;
            return UmsApiBridge.invoke(5001, UmsCons.NOTIFICATION.ALERT_TYPE.TOAST, {
                "msgType": UmsCons.NOTIFICATION.MSG_TYPE.TIP,
                "msg": msg || UmsCons.NOTIFICATION.DEFAULT.TITLE
            }, myCallbackFunc)
        },
        loading: function (num) {
            var myCallbackFunc = UmsApiDefaultFunc.nothingFunc;
            return UmsApiBridge.invoke(5006, "loading", {
                "isShow": num
            }, myCallbackFunc)
        },
        confirm: function (msg, btnNames, customCallbackFunc) {
            return this.dialog(UmsCons.NOTIFICATION.MSG_TYPE.TIP, UmsCons.NOTIFICATION.DEFAULT.TITLE_TIP, msg, btnNames, customCallbackFunc)
        },
        tip: function (msg, btnNames, customCallbackFunc) {
            return this.dialog(UmsCons.NOTIFICATION.MSG_TYPE.TIP, UmsCons.NOTIFICATION.DEFAULT.TITLE_TIP, msg, btnNames, customCallbackFunc)
        },
        warning: function (msg, btnNames, customCallbackFunc) {
            return this.dialog(UmsCons.NOTIFICATION.MSG_TYPE.WARNING, UmsCons.NOTIFICATION.DEFAULT.TITLE_WARNING, msg, btnNames, customCallbackFunc)
        },
        error: function (msg, btnNames, customCallbackFunc) {
            return this.dialog(UmsCons.NOTIFICATION.MSG_TYPE.ERROR, UmsCons.NOTIFICATION.DEFAULT.TITLE_ERROR, msg, btnNames, customCallbackFunc)
        },
        showSelect: function (options, selectIndex, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(options)) {
                this.toast(UmsCons.ERROR_INFO.SHOW_SELECT_DATA_NULL);
                return
            }
            var param = {};
            param.selectNames = UmsTool.data.convert.convertArray2Str(options, 2);
            param.selectIndex = selectIndex || UmsCons.NOTIFICATION.DEFAULT.SELECT_INDEX;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "showSelect", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        this.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(5002, null, param, myProcessFunc)
        },
        showSlidPane: function () {
        },
        showTab: function () {
        },
        setTitle: function (title, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(title)) {
                this.toast(UmsCons.ERROR_INFO.SET_TITLE_DATA_NULL);
                return
            }
            var param = {};
            param.title = title;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "setTitle", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                    } catch (e) {
                        this.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(5005, null, param, myProcessFunc)
        }
    };
    UmsApi.globalization = {
        getClientInfo: function (customSuccessCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.syncFunc(data, "getClientInfo", null, customSuccessCallbackFunc)
                    } catch (e) {
                        UmsTool.console.log("call getClientInfo default func error", e);
                        throw e
                    }
                };
            return UmsApiBridge.invoke(1001, null, null, myProcessFunc)
        }, getUserInfo: function (customSuccessCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.syncFunc(data, "getUserInfo", null, customSuccessCallbackFunc)
                    } catch (e) {
                        UmsTool.console.log("call getUserInfo default func error", e);
                        throw e
                    }
                };
            return UmsApiBridge.invoke(1002, null,null, myProcessFunc)
        }, getLocation: function (customSuccessCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.syncFunc(data, "getLocation", null, customSuccessCallbackFunc)
                    } catch (e) {
                        UmsTool.console.log("call getLocation default func error", e);
                        throw e
                    }
                };
            return UmsApiBridge.invoke(1003, UmsCons.LOCATION.METHOD.GET_LOCATION, null, myProcessFunc)
        }, getArea: function (customSuccessCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.syncFunc(data, "getArea", null, customSuccessCallbackFunc)
                    } catch (e) {
                        UmsTool.console.log("call getArea default func error", e);
                        throw e
                    }
                };
            return UmsApiBridge.invoke(1003, UmsCons.LOCATION.METHOD.GET_AREA, null, myProcessFunc)
        }, getBoxInfo: function (customSuccessCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.syncFunc(data, "getBoxInfo", null, customSuccessCallbackFunc)
                    } catch (e) {
                        UmsTool.console.log("call getBoxInfo default func error", e);
                        throw e
                    }
                };
            return UmsApiBridge.invoke(1004, null, null, myProcessFunc)
        }, getNetworkStatus: function (customSuccessCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.syncFunc(data, "getNetworkStatus", null, customSuccessCallbackFunc)
                    } catch (e) {
                        UmsTool.console.log("call getNetworkStatus default func error", e);
                        throw e
                    }
                };
            return UmsApiBridge.invoke(1005, null, null, myProcessFunc)
        }, getMerchantInfo: function (customSuccessCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.syncFunc(data, "getMerchantInfo", null, customSuccessCallbackFunc)
                    } catch (e) {
                        UmsTool.console.log("call getMerchantInfo default func error", e);
                        throw e
                    }
                };
            return UmsApiBridge.invoke(1006, null, null, myProcessFunc)
        }, getToken: function (requestData, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var param = requestData || {};
            customSuccessCallbackFunc = customSuccessCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            customErrorCallbackFunc = customErrorCallbackFunc || UmsApiDefaultFunc.defaultErrorFunc;
            customTimeoutCallbackFunc = customTimeoutCallbackFunc || UmsApiDefaultFunc.defaultTimeoutFunc;
            customCancelCallbackFunc = customCancelCallbackFunc || UmsApiDefaultFunc.defaultCancelFunc;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "getToken", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                    } catch (e) {
                    }
                };
            return UmsApiBridge.invoke(1007, null, param, myProcessFunc)
        },
        getBaseToken: function (options, bizSuccessCallbackFunc, bizErrorCallbackFunc, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
        options = options ||{};
        var param = {};
        param.otherMark=options;
        bizSuccessCallbackFunc = bizSuccessCallbackFunc || UmsApiDefaultFunc.nothingFunc;
        bizErrorCallbackFunc = bizErrorCallbackFunc || UmsApiDefaultFunc.nothingFunc;
        var myProcessFunc = customProcessFunc || function (data) {
                            try {
                                return UmsApiDefaultFunc.asyncFunc(data, "netcall", {
                                    dataIsNull: UmsCons.ERROR_INFO.CALL_RESPONSE_DATA_NULL,
                                    bizDataIsNull: UmsCons.ERROR_INFO.CALL_RESPONSE_BIZ_DATA_NULL,
                                    cancel: UmsCons.ERROR_INFO.CALL_RESPONSE_CANCEL,
                                    timeout: UmsCons.ERROR_INFO.CALL_RESPONSE_TIMEOUT
                                }, customSuccessCallbackFunc || function (dataBiz) {
                                        if (dataBiz.errCode === "0000") {
                                            return bizSuccessCallbackFunc(dataBiz)
                                        } else {
                                            return bizErrorCallbackFunc(dataBiz)
                                        }
                                    }, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                            } catch (e) {
                                UmsApi.notification.toast(e.message)
                            }
                        };
                         return UmsApiBridge.invoke(8031, null, param, myProcessFunc)
                  },
        verifyToken: function (options, bizSuccessCallbackFunc, bizErrorCallbackFunc, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            options = options ||{};
            var param = {};
            param.jsonParam=options;
            bizSuccessCallbackFunc = bizSuccessCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            bizErrorCallbackFunc = bizErrorCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "netcall", {
                            dataIsNull: UmsCons.ERROR_INFO.CALL_RESPONSE_DATA_NULL,
                            bizDataIsNull: UmsCons.ERROR_INFO.CALL_RESPONSE_BIZ_DATA_NULL,
                            cancel: UmsCons.ERROR_INFO.CALL_RESPONSE_CANCEL,
                            timeout: UmsCons.ERROR_INFO.CALL_RESPONSE_TIMEOUT
                        }, customSuccessCallbackFunc || function (dataBiz) {
                                if (dataBiz.errCode === "0000") {
                                    return bizSuccessCallbackFunc(dataBiz)
                                } else {
                                    return bizErrorCallbackFunc(dataBiz)
                                }
                            }, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(8032, null, param, myProcessFunc)
        }
    };
    UmsApi.base = {
        log: {
            _print: function (action, logArguments) {
                var logArray = new Array();
                if (logArguments != null && logArguments != undefined) {
                    for (var i = 0; i < logArguments.length; i++) {
                        logArray.push(UmsTool.data.convert.obj2Str(logArguments[i]))
                    }
                }
                var param = {};
                param.logArray = logArray;
                return UmsApiBridge.invoke(2001, action, param)
            }, info: function () {
                return this._print(UmsCons.LOG.LOG_TYPE.INFO, arguments)
            }, error: function () {
                return this._print(UmsCons.LOG.LOG_TYPE.ERROR, arguments)
            }, debug: function () {
                return this._print(UmsCons.LOG.LOG_TYPE.DEBUG, arguments)
            }, warning: function () {
                return this._print(UmsCons.LOG.LOG_TYPE.WARNING, arguments)
            }
        },
        registerApi: function (type, action, reflectClazz, funcName) {
            if (UmsTool.data.check.isEmpty(type)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.REGISTER_API_REQUEST_TYPE_NULL);
                return
            }
            if (UmsTool.data.check.isEmpty(reflectClazz)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.REGISTER_API_REQUEST_REFLECT_CLAZZ_NULL);
                return
            }
            if (!UmsTool.data.check.isEmpty(UmsTool.customFuncNameMap.get(funcName))) {
                throw Error(UmsCons.ERROR_INFO.REGISTER_API_REQUEST_FUNC_NAME_EXISTS)
            }
            var param = {};
            param.type = type;
            param.action = action || "";
            param.reflectClazz = reflectClazz;
            var myProcessFunc = function (data) {
                try {
                    return UmsApiDefaultFunc.syncBoolFunc(data, "registerApi", null, function (bizData) {
                        var errInfo = !UmsTool.data.check.isEmpty(bizData) && !UmsTool.data.check.isEmpty(bizData.errInfo) ? bizData.errInfo + "(" + bizData.errCode + ")" : null;
                        if (bizData.errCode === "0000") {
                            UmsTool.customFuncNameMap.put(funcName, funcName);
                            UmsApi.custom[funcName] = function (requestData, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                                var myProcessFunc = customProcessFunc || function (data) {
                                        try {
                                            return UmsApiDefaultFunc.asyncFunc(data, null, null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                                        } catch (e) {
                                            this.toast(e.message)
                                        }
                                    };
                                UmsApiBridge.invoke(type, action, requestData, myProcessFunc)
                            };
                            return true
                        } else {
                            UmsApi.notification.toast(errInfo);
                            return false
                        }
                    })
                } catch (e) {
                    UmsTool.console.log("call registerApi default func error", e);
                    throw e
                }
            };
            return UmsApiBridge.invoke(2002, null, param, myProcessFunc)
        },
        call: function (uri, options, bizSuccessCallbackFunc, bizErrorCallbackFunc, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(uri)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.CALL_REQUEST_URI_NULL);
                return
            }
            options = options || {};
            if (!UmsTool.data.check.isObject(options)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.CALL_REQUEST_DATA_NOT_JSON);
                return
            }
            var param = {};
            param.uri = uri;
            param.data = options;
            bizSuccessCallbackFunc = bizSuccessCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            bizErrorCallbackFunc = bizErrorCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "netcall", {
                            dataIsNull: UmsCons.ERROR_INFO.CALL_RESPONSE_DATA_NULL,
                            bizDataIsNull: UmsCons.ERROR_INFO.CALL_RESPONSE_BIZ_DATA_NULL,
                            cancel: UmsCons.ERROR_INFO.CALL_RESPONSE_CANCEL,
                            timeout: UmsCons.ERROR_INFO.CALL_RESPONSE_TIMEOUT
                        }, customSuccessCallbackFunc || function (dataBiz) {
                                if (dataBiz.errCode === "0000") {
                                    return bizSuccessCallbackFunc(dataBiz)
                                } else {
                                    return bizErrorCallbackFunc(dataBiz)
                                }
                            }, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(2051, null, param, myProcessFunc)
        }
    };
    UmsApi.data = {
        global: {
            get: function () {
                var myProcessFunc = function (data) {
                    try {
                        return UmsApiDefaultFunc.syncFunc(data, "getGlobal")
                    } catch (e) {
                        UmsTool.console.log("call getGlobal default func error", e);
                        throw e
                    }
                };
                return UmsApiBridge.invoke(4001, "get", null, myProcessFunc)
            }, set: function (globalData) {
                var param = globalData || {};
                if (!UmsTool.data.check.isObject(param)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.SET_GLOBAL_REQUEST_DATA_NOT_JSON);
                    return
                }
                var myProcessFunc = function (data) {
                    try {
                        return UmsApiDefaultFunc.syncBoolFunc(data, "setGlobal", null, null, true)
                    } catch (e) {
                        UmsTool.console.log("call setGlobal default func error", e);
                        throw e
                    }
                };
                return UmsApiBridge.invoke(4001, "set", param, myProcessFunc)
            }
        }, local: {
            get: function (key, customSuccessCallbackFunc, customProcessFunc) {
                if (UmsTool.data.check.isEmpty(key)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.LOCAL_DATA_REQUEST_DATA_KEY_NULL);
                    return
                }
                var param = {};
                param.key = key;
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.syncFunc(data, "getLocal", null, customSuccessCallbackFunc)
                        } catch (e) {
                            UmsTool.console.log("call getLocal default func error", e);
                            throw e
                        }
                    };
                return UmsApiBridge.invoke(4002, "get", param, myProcessFunc)
            }, set: function (key, subKey, subValue, customSuccessCallbackFunc, customProcessFunc) {
                if (UmsTool.data.check.isEmpty(key)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.LOCAL_DATA_REQUEST_DATA_KEY_NULL);
                    return
                }
                if (UmsTool.data.check.isEmpty(subKey)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.LOCAL_DATA_REQUEST_DATA_SUBKEY_NULL);
                    return
                }
                subValue = subValue || {};
                if (!UmsTool.data.check.isObject(subValue)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.LOCAL_DATA_REQUEST_DATA_SUBVALUE_NOT_JSON);
                    return
                }
                var param = {};
                param.key = key;
                param.subKey = subKey;
                param.subValue = UmsTool.data.convert.json2Str(subValue);
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.syncBoolFunc(data, "setLocal", null, customSuccessCallbackFunc, true)
                        } catch (e) {
                            UmsTool.console.log("call setLocal default func error", e);
                            throw e
                        }
                    };
                return UmsApiBridge.invoke(4002, "set", param, myProcessFunc)
            }, remove: function (key, subKey, customSuccessCallbackFunc, customProcessFunc) {
                if (UmsTool.data.check.isEmpty(key)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.LOCAL_DATA_REQUEST_DATA_KEY_NULL);
                    return
                }
                var param = {};
                param.key = key;
                param.subKey = subKey || "";
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.syncBoolFunc(data, "removeLocal", null, customSuccessCallbackFunc, true)
                        } catch (e) {
                            UmsTool.console.log("call removeLocal default func error", e);
                            throw e
                        }
                    };
                return UmsApiBridge.invoke(4002, "delete", param, myProcessFunc)
            }
        }
    };
    UmsApi.page = {
        forward: function (url) {
            if (UmsTool.data.check.isEmpty(url)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.FORWARD_REQUEST_URL_NULL);
                return
            }
            var param = {};
            param.url = url;
            return UmsApiBridge.invoke(3001, null, param)
        },
        forwardBizPageByRelativeUrl: function (page, data) {
            if (UmsTool.data.check.isEmpty(page)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.FORWARD_REQUEST_PAGE_NULL);
                return
            }
            data = data || {};
            if (!UmsTool.data.check.isObject(data)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.FORWARD_REQUEST_DATA_NOT_JSON);
                return
            }
            return this.forward(page + UmsCons.PAGE.URL_PARAM_TAG + UmsTool.data.convert.json2Base64Str(data))
        },
        forwardBizPageByAbsoluteUrl: function (code, path, data) {
            if (UmsTool.data.check.isEmpty(code)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.FORWARD_REQUEST_CODE_NULL);
                return
            }
            if (UmsTool.data.check.isEmpty(path)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.FORWARD_REQUEST_PAGE_NULL);
                return
            }
            data = data || {};
            if (!UmsTool.data.check.isObject(data)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.FORWARD_REQUEST_DATA_NOT_JSON);
                return
            }
            return this.forward(UmsCons.PAGE.DEFAULT_FORWARD_TYPE.BIZ + code + UmsCons.PAGE.URL_SEPARATOR + path + UmsCons.PAGE.URL_PARAM_TAG + UmsTool.data.convert.json2Base64Str(data))
        },
        forwardNativePage: function (name, data) {
            if (UmsTool.data.check.isEmpty(name)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.FORWARD_REQUEST_PAGE_NULL);
                return
            }
            data = data || {};
            if (!UmsTool.data.check.isObject(data)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.FORWARD_REQUEST_DATA_NOT_JSON);
                return
            }
            return this.forward(UmsCons.PAGE.DEFAULT_FORWARD_TYPE.NATIVE + name + UmsCons.PAGE.URL_PARAM_TAG + UmsTool.data.convert.json2Base64Str(data))
        },
        back: function (backNum) {
            var param = {};
            param.backNum = backNum || 1;
            return UmsApiBridge.invoke(3002, UmsCons.PAGE.BACK_METHOD.PAGE_BACK, param)
        },
        backToNativeHome: function () {
            return UmsApiBridge.invoke(3002, UmsCons.PAGE.BACK_METHOD.GO_HOME)
        },
        pay: function (requestData, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(requestData)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.PAY_REQUEST_DATA_NULL);
                return
            } else {
                if (!UmsTool.data.check.isObject(requestData)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.PAY_REQUEST_DATA_NOT_JSON);
                    return
                }
            }
            var param = requestData;
            var funcName = "pay";
            var msgs = {
                dataIsNull: UmsCons.ERROR_INFO.PAY_RESPONSE_DATA_NULL,
                bizDataIsNull: UmsCons.ERROR_INFO.PAY_RESPONSE_BIZ_DATA_NULL,
                payResultIsNull: UmsCons.ERROR_INFO.PAY_RESPONSE_PAY_RESULT_NULL,
                cancel: UmsCons.ERROR_INFO.PAY_RESPONSE_CANCEL,
                error: UmsCons.ERROR_INFO.PAY_RESPONSE_ERROR,
                timeout: UmsCons.ERROR_INFO.PAY_RESPONSE_TIMEOUT,
                unknown: UmsCons.ERROR_INFO.PAY_RESPONSE_UNKNOWN
            };
            customSuccessCallbackFunc = customSuccessCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            customErrorCallbackFunc = customErrorCallbackFunc || UmsApiDefaultFunc.defaultErrorFunc;
            customTimeoutCallbackFunc = customTimeoutCallbackFunc || UmsApiDefaultFunc.defaultTimeoutFunc;
            customCancelCallbackFunc = customCancelCallbackFunc || UmsApiDefaultFunc.defaultCancelFunc;
            var myProcessFunc = customProcessFunc || function (data) {
                    UmsTool.console.log("call pay process func");
                    if (UmsTool.data.check.isEmpty(data)) {
                        return customErrorCallbackFunc(data, msgs.dataIsNull, funcName)
                    } else {
                        if (UmsTool.data.check.isEmpty(data.bizData)) {
                            return customErrorCallbackFunc(data, msgs.bizDataIsNull, funcName)
                        } else {
                            if (UmsTool.data.check.isEmpty(data.bizData.payResult)) {
                                return customErrorCallbackFunc(data, msgs.payResultIsNull, funcName)
                            } else {
                                if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.TIMEOUT || data.bizData.payResult.callResultStatus === UmsCons.CALL_RESULT_STATUS.TIMEOUT) {
                                    return customTimeoutCallbackFunc(data, msgs.timeout, funcName)
                                } else {
                                    if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.CANCEL || data.bizData.payResult.callResultStatus === UmsCons.CALL_RESULT_STATUS.CANCEL) {
                                        return customCancelCallbackFunc(data, msgs.cancel, funcName)
                                    } else {
                                        if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.ERROR) {
                                            var errInfo = !UmsTool.data.check.isEmpty(data.errInfo) ? data.errInfo + "(" + data.errCode + ")" : msgs.error;
                                            return customErrorCallbackFunc(data, errInfo, funcName)
                                        } else {
                                            if (data.bizData.payResult.callResultStatus === UmsCons.CALL_RESULT_STATUS.ERROR) {
                                                var errInfo = !UmsTool.data.check.isEmpty(data.bizData.payResult.errInfo) ? data.bizData.payResult.errInfo + "(" + data.bizData.payResult.errCode + ")" : msgs.error;
                                                return customErrorCallbackFunc(data, errInfo, funcName)
                                            } else {
                                                if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.SUCCESS && data.bizData.payResult.callResultStatus === UmsCons.CALL_RESULT_STATUS.SUCCESS) {
                                                    return customSuccessCallbackFunc(data.bizData, funcName)
                                                } else {
                                                    var errInfo = !UmsTool.data.check.isEmpty(data.errInfo) ? data.errInfo + "(" + data.errCode + ")" : msgs.error;
                                                    return customErrorCallbackFunc(data, errInfo, funcName)
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                };
            return UmsApiBridge.invoke(3003, null, param, myProcessFunc)
        },
        forwardSalesSlip: function (orderId, needSendSms, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(orderId)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.FORWARD_SALESLIP_REQUEST_ORDERID_NULL);
                return
            }
            var param = {};
            param.orderId = orderId;
            param.needSendSms = needSendSms || "0";
            customSuccessCallbackFunc = customSuccessCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            customErrorCallbackFunc = customErrorCallbackFunc || function (data, msg, funcName) {
                    UmsApiDefaultFunc.defaultErrorFunc(data, msg, funcName);
                    UmsApi.page.back(-1)
                };
            customTimeoutCallbackFunc = customTimeoutCallbackFunc || function (data, msg, funcName) {
                    UmsApiDefaultFunc.defaultTimeoutFunc(data, msg, funcName);
                    UmsApi.page.back(-1)
                };
            customCancelCallbackFunc = customCancelCallbackFunc || function (data, msg, funcName) {
                    UmsApiDefaultFunc.defaultCancelFunc(data, msg, funcName);
                    UmsApi.page.back(-1)
                };
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "netcall", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(3004, null, param, myProcessFunc)
        },
        SPABack: function (backNum) {
            var param = {};
            param.backNum = backNum || 1;
            return UmsApiBridge.invoke(3005, null, param)
        },
        showShare: function (procStatus, shareType, mode, cipherNo, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(procStatus)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.SHARE_REQUEST_PROC_STATUS_NULL);
                return
            }
            if (UmsTool.data.check.isEmpty(shareType)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.SHARE_REQUEST_SHARE_TYPE_NULL);
                return
            }
            var param = {};
            param.procStatus = procStatus;
            param.shareType = shareType;
            param.mode = mode;
            param.cipherNo = cipherNo;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "showShare", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(3006, UmsCons.SHARE.METHOD.SHOW_SHARE, param, myProcessFunc)
        },
        showShareView: function (procStatus, shareType, params, shareUrl, picPath, title, context, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(procStatus)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.SHARE_REQUEST_PROC_STATUS_NULL);
                return
            }
            if (UmsTool.data.check.isEmpty(shareType)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.SHARE_REQUEST_SHARE_TYPE_NULL);
                return
            }
            var param = {};
            param.procStatus = procStatus;
            param.shareType = shareType;
            param.params = params;
            param.shareUrl = shareUrl;
            param.picPath = picPath;
            param.title = title;
            param.context = context;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "showShareView", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(3006, UmsCons.SHARE.METHOD.SHOW_SHARE_VIEW, param, myProcessFunc)
        },
        showPaymentCenter: function (requestData, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(requestData)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.SHOW_PAYMENT_CENTER_REQUEST_DATA_NULL);
                return
            } else {
                if (!UmsTool.data.check.isObject(requestData)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.SHOW_PAYMENT_CENTER_REQUEST_DATA_NOT_JSON);
                    return
                }
            }
            var param = requestData;
            customSuccessCallbackFunc = customSuccessCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            customErrorCallbackFunc = customErrorCallbackFunc || UmsApiDefaultFunc.defaultErrorFunc;
            customTimeoutCallbackFunc = customTimeoutCallbackFunc || UmsApiDefaultFunc.defaultTimeoutFunc;
            customCancelCallbackFunc = customCancelCallbackFunc || UmsApiDefaultFunc.defaultCancelFunc;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "showPaymentCenter", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(3007, null, param, myProcessFunc)
        },
        posTongFastPay: function (requestData, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(requestData)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.POS_TONG_FAST_PAY_REQUEST_DATA_NULL);
                return
            } else {
                if (!UmsTool.data.check.isObject(requestData)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.POS_TONG_FAST_PAY_REQUEST_DATA_NOT_JSON);
                    return
                }
            }
            var param = requestData;
            var funcName = "posTongFastPay";
            var msgs = {
                dataIsNull: UmsCons.ERROR_INFO.PAY_RESPONSE_DATA_NULL,
                bizDataIsNull: UmsCons.ERROR_INFO.PAY_RESPONSE_BIZ_DATA_NULL,
                cancel: UmsCons.ERROR_INFO.PAY_RESPONSE_CANCEL,
                error: UmsCons.ERROR_INFO.PAY_RESPONSE_ERROR,
                timeout: UmsCons.ERROR_INFO.PAY_RESPONSE_TIMEOUT,
                unknown: UmsCons.ERROR_INFO.PAY_RESPONSE_UNKNOWN
            };
            customSuccessCallbackFunc = customSuccessCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            customErrorCallbackFunc = customErrorCallbackFunc || UmsApiDefaultFunc.defaultErrorFunc;
            customTimeoutCallbackFunc = customTimeoutCallbackFunc || UmsApiDefaultFunc.defaultTimeoutFunc;
            customCancelCallbackFunc = customCancelCallbackFunc || UmsApiDefaultFunc.defaultCancelFunc;
            var myProcessFunc = customProcessFunc || function (data) {
                    UmsTool.console.log("call posTongFastPay process func");
                    if (UmsTool.data.check.isEmpty(data)) {
                        return customErrorCallbackFunc(data, msgs.dataIsNull, funcName)
                    } else {
                        if (UmsTool.data.check.isEmpty(data.bizData)) {
                            return customErrorCallbackFunc(data, msgs.bizDataIsNull, funcName)
                        } else {
                            if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.TIMEOUT || data.bizData.callResultStatus === UmsCons.CALL_RESULT_STATUS.TIMEOUT) {
                                return customTimeoutCallbackFunc(data, msgs.timeout, funcName)
                            } else {
                                if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.CANCEL || data.bizData.callResultStatus === UmsCons.CALL_RESULT_STATUS.CANCEL) {
                                    return customCancelCallbackFunc(data, msgs.cancel, funcName)
                                } else {
                                    if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.ERROR) {
                                        var errInfo = !UmsTool.data.check.isEmpty(data.errInfo) ? data.errInfo + "(" + data.errCode + ")" : msgs.error;
                                        return customErrorCallbackFunc(data, errInfo, funcName)
                                    } else {
                                        if (data.bizData.callResultStatus === UmsCons.CALL_RESULT_STATUS.ERROR) {
                                            var errInfo = !UmsTool.data.check.isEmpty(data.bizData.errInfo) ? data.bizData.errInfo + "(" + data.bizData.errCode + ")" : msgs.error;
                                            return customErrorCallbackFunc(data, errInfo, funcName)
                                        } else {
                                            if (data.callResultStatus === UmsCons.CALL_RESULT_STATUS.SUCCESS && data.bizData.callResultStatus === UmsCons.CALL_RESULT_STATUS.SUCCESS) {
                                                return customSuccessCallbackFunc(data.bizData, funcName)
                                            } else {
                                                var errInfo = !UmsTool.data.check.isEmpty(data.errInfo) ? data.errInfo + "(" + data.errCode + ")" : msgs.error;
                                                return customErrorCallbackFunc(data, errInfo, funcName)
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                };
            return UmsApiBridge.invoke(3101, null, param, myProcessFunc)
        },
        processUnifyPay: function (requestData, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var param = requestData || {};
            customSuccessCallbackFunc = customSuccessCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            customErrorCallbackFunc = customErrorCallbackFunc || UmsApiDefaultFunc.defaultErrorFunc;
            customTimeoutCallbackFunc = customTimeoutCallbackFunc || UmsApiDefaultFunc.defaultTimeoutFunc;
            customCancelCallbackFunc = customCancelCallbackFunc || UmsApiDefaultFunc.defaultCancelFunc;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "processUnifyPay", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(3102, null, param, myProcessFunc)
        },
        forwardNativePageWithRappel: function (requestData, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var param = {"url":UmsCons.PAGE.DEFAULT_FORWARD_TYPE.NATIVE +requestData} || {};
            customSuccessCallbackFunc = customSuccessCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            customErrorCallbackFunc = customErrorCallbackFunc || UmsApiDefaultFunc.defaultErrorFunc;
            customTimeoutCallbackFunc = customTimeoutCallbackFunc || UmsApiDefaultFunc.defaultTimeoutFunc;
            customCancelCallbackFunc = customCancelCallbackFunc || UmsApiDefaultFunc.defaultCancelFunc;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "processUnifyPay", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(3104, null, param, myProcessFunc)
        },
        processYlzPay: function (requestData, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var param = requestData || {};
            customSuccessCallbackFunc = customSuccessCallbackFunc || UmsApiDefaultFunc.nothingFunc;
            customErrorCallbackFunc = customErrorCallbackFunc || UmsApiDefaultFunc.defaultErrorFunc;
            customTimeoutCallbackFunc = customTimeoutCallbackFunc || UmsApiDefaultFunc.defaultTimeoutFunc;
            customCancelCallbackFunc = customCancelCallbackFunc || UmsApiDefaultFunc.defaultCancelFunc;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "processUnifyPay", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(3103, null, param, myProcessFunc)
        }
    };
    UmsApi.device = {
        scanBarcode: function (customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "scanBarcode", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(6001, null, null, myProcessFunc)
        },
        getCardInfoBySwipingCard: function (boxType, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            boxType = boxType || "";
            if (!UmsTool.data.check.isEmpty(boxType) && !(boxType === UmsCons.GET_CARD_INFO.BOX_TYPE.SQUARE || boxType === UmsCons.GET_CARD_INFO.BOX_TYPE.MPOS)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.GETCARD_REQUEST_BOX_TYPE_ERROR);
                return
            }
            var param = {};
            param.boxType = boxType;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "getCardInfoBySwipingCard", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(6011, null, param, myProcessFunc)
        },
        getOfflineData: function (identifier, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(identifier)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.OFFLINE_REQUEST_IDENTIFIER_NULL);
                return
            }
            var param = {};
            param.identifier = identifier;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "getOfflineData", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(6012, null, param, myProcessFunc)
        },
        print: function (printContext, printPageCount, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(printContext)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.PRINT_REQUEST_CONTEXT_NULL);
                return
            }
            var param = {};
            param.pageCount = printPageCount || 1;
            param.context = printContext;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "print", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(6021, null, param, myProcessFunc)
        },
        synthesizeVoice: function (text, queueMode, options, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            queueMode = queueMode || UmsCons.VOICE.QUEUE_MODE.FLUSH;
            if (!(queueMode === UmsCons.VOICE.QUEUE_MODE.FLUSH || queueMode === UmsCons.VOICE.QUEUE_MODE.ADD)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.VOICE_REQUEST_QUEUEMODE_ERROR);
                return
            }
            var param = options || {};
            param.defaultText = text || "";
            param.queueMode = queueMode;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "synthesizeVoice", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(6032, null, param, myProcessFunc)
        },
        iBeacons: {
            startIBeacons: function (bizCode, uuidArr, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                if (UmsTool.data.check.isEmpty(uuidArr)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.IBEACONS_UUID_ARR_NULL);
                    return
                }
                var param = {};
                param.bizCode = bizCode;
                param.uuidArr = uuidArr;
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.asyncFunc(data, "startIBeacons", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                        } catch (e) {
                            UmsApi.notification.toast(e.message)
                        }
                    };
                return UmsApiBridge.invoke(6041, UmsCons.IBEACONS.METHOD.START_IBEACONS, param, myProcessFunc)
            },
            stopIBeacons: function (uuidArr, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                if (UmsTool.data.check.isEmpty(uuidArr)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.IBEACONS_UUID_ARR_NULL);
                    return
                }
                var param = {};
                param.uuidArr = uuidArr;
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.asyncFunc(data, "stopIBeacons", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                        } catch (e) {
                            UmsApi.notification.toast(e.message)
                        }
                    };
                return UmsApiBridge.invoke(6041, UmsCons.IBEACONS.METHOD.STOP_IBEACONS, param, myProcessFunc)
            }
        }
    };
    UmsApi.system = {
        openWebPage: {
            bySelf: function (url, title, isUseOriginalViewPort, customSuccessCallbackFunc) {
                if (UmsTool.data.check.isEmpty(url)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.FORWARD_REQUEST_URL_NULL);
                    return
                }
                title = title || "";
                isUseOriginalViewPort = UmsTool.data.check.isEmpty(isUseOriginalViewPort) ? false : isUseOriginalViewPort;
                var param = {};
                param.url = url;
                param.title = title;
                param.isUseOriginalViewPort = isUseOriginalViewPort;
                var myProcessFunc = function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "bySelf", null, customSuccessCallbackFunc, null, null, null, true)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
                return UmsApiBridge.invoke(7001, UmsCons.OPEN_WEB_PAGE.METHOD.BY_SELF, param, myProcessFunc)
            }, bySysBrowser: function (url, title, isUseOriginalViewPort, customSuccessCallbackFunc) {
                if (UmsTool.data.check.isEmpty(url)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.FORWARD_REQUEST_URL_NULL);
                    return
                }
                title = title || "";
                isUseOriginalViewPort = UmsTool.data.check.isEmpty(isUseOriginalViewPort) ? false : isUseOriginalViewPort;
                var param = {};
                param.url = url;
                param.title = title;
                param.isUseOriginalViewPort = isUseOriginalViewPort;
                var myProcessFunc = function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "bySysBrowser", null, customSuccessCallbackFunc, null, null, null, true)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
                return UmsApiBridge.invoke(7001, UmsCons.OPEN_WEB_PAGE.METHOD.BY_SYSBROWSER, param, myProcessFunc)
            }
        },
        openTel: function (phoneNumber, customSuccessCallbackFunc) {
            if (UmsTool.data.check.isEmpty(phoneNumber)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.OPENTEL_REQUEST_PHONENUMBER_NULL);
                return
            }
            var param = {};
            param.phoneNumber = phoneNumber;
            var myProcessFunc = function (data) {
                try {
                    return UmsApiDefaultFunc.asyncFunc(data, "openTel", null, customSuccessCallbackFunc, null, null, null, true)
                } catch (e) {
                    UmsApi.notification.toast(e.message)
                }
            };
            return UmsApiBridge.invoke(7002, null, param, myProcessFunc)
        },
        contacts: {
            choose: function (customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.asyncFunc(data, "pickContactPhone", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                        } catch (e) {
                            UmsApi.notification.toast(e.message)
                        }
                    };
                return UmsApiBridge.invoke(7003, UmsCons.CONTACTS.METHOD.PICK_CONTACT, null, myProcessFunc)
            },
            query: function (filter, matchType, fields, maxNum, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                matchType = matchType || "fuzzy";
                if (UmsTool.data.check.isEmpty(fields)) {
                    fields = ["userName", "phoneNumbers"]
                }
                if (!UmsTool.data.check.isArray(fields)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.FILTER_CONTACTS_FIELDS_NOT_ARRAY);
                    return
                }
                maxNum = UmsTool.data.check.isEmpty(maxNum) ? -1 : maxNum;
                maxNum = maxNum < 0 ? -1 : maxNum;
                var param = {};
                param.filter = filter;
                param.matchType = matchType;
                param.fields = fields;
                param.maxNum = maxNum;
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.asyncFunc(data, "filterContactPhones", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                        } catch (e) {
                            UmsApi.notification.toast(e.message)
                        }
                    };
                return UmsApiBridge.invoke(7003, UmsCons.CONTACTS.METHOD.FILTER_CONTACTS, param, myProcessFunc)
            }
        },
        position: {
            getLocation: function (customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.asyncFunc(data, "getLocation", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                        } catch (e) {
                            UmsApi.notification.toast(e.message)
                        }
                    };
                return UmsApiBridge.invoke(7006, UmsCons.POSITION.METHOD.GET_LOCATION, null, myProcessFunc)
            },
            getArea: function (customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.asyncFunc(data, "getArea", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                        } catch (e) {
                            UmsApi.notification.toast(e.message)
                        }
                    };
                return UmsApiBridge.invoke(7006, UmsCons.POSITION.METHOD.GET_AREA, null, myProcessFunc)
            },
            getLocationAndArea: function (customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.asyncFunc(data, "getLocationAndArea", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                        } catch (e) {
                            UmsApi.notification.toast(e.message)
                        }
                    };
                return UmsApiBridge.invoke(7006, UmsCons.POSITION.METHOD.GET_LOCATION_AND_AREA, null, myProcessFunc)
            },
            getLocationCity: function (customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.asyncFunc(data, "getLocationCity", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                        } catch (e) {
                            UmsApi.notification.toast(e.message)
                        }
                    };
                return UmsApiBridge.invoke(7006, UmsCons.POSITION.METHOD.GET_LOCATION_CITY, null, myProcessFunc)
            }
        },
        getSoundState: function (customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "getSoundState", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(7007, null, null, myProcessFunc)
        },
        refreshWebView: function (customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "refreshWebView", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, true)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(7008, null, null, myProcessFunc)
        },
        copyToClipboard: function (copyString, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(copyString)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.COPY_TO_CLIPBOARD_CONTENT_NULL);
                return
            }
            var param = {};
            param.copyString = copyString;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.syncFunc(data, "copyToClipboard", null, customSuccessCallbackFunc, true)
                    } catch (e) {
                        UmsTool.console.log("call copyToClipboard default func error", e);
                        throw e
                    }
                };
            return UmsApiBridge.invoke(7009, null, param, myProcessFunc)
        }
    };
    UmsApi.service = {
        getCardDetail: {
            byCardNumber: function (cardNumber, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                if (UmsTool.data.check.isEmpty(cardNumber)) {
                    UmsApi.notification.toast(UmsCons.ERROR_INFO.GETCARD_REQUEST_CARD_NUMBER_NULL);
                    return
                }
                var param = {};
                param.cardNumber = cardNumber;
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.asyncFunc(data, "byCardNumber", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                        } catch (e) {
                            UmsApi.notification.toast(e.message)
                        }
                    };
                return UmsApiBridge.invoke(8001, UmsCons.GET_CARD_DETAIL.METHOD.BY_CARD_NUMBER, param, myProcessFunc)
            },
            byTrack: function (track2, trackKsn, track2DataKsn, boxSid, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                var param = {};
                if (!UmsTool.data.check.isEmpty(track2)) {
                    param.track2 = track2
                } else {
                    if (UmsTool.data.check.isEmpty(trackKsn)) {
                        UmsApi.notification.toast(UmsCons.ERROR_INFO.GETCARD_REQUEST_TRACK_KSN_NULL);
                        return
                    }
                    if (UmsTool.data.check.isEmpty(track2DataKsn)) {
                        UmsApi.notification.toast(UmsCons.ERROR_INFO.GETCARD_REQUEST_TRACK2_DATA_KSN_NULL);
                        return
                    }
                    if (UmsTool.data.check.isEmpty(boxSid)) {
                        UmsApi.notification.toast(UmsCons.ERROR_INFO.GETCARD_REQUEST_BOX_ID_NULL);
                        return
                    }
                    param.trackKsn = trackKsn;
                    param.track2DataKsn = track2DataKsn;
                    param.boxSid = boxSid
                }
                var myProcessFunc = customProcessFunc || function (data) {
                        try {
                            return UmsApiDefaultFunc.asyncFunc(data, "byTrack", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                        } catch (e) {
                            UmsApi.notification.toast(e.message)
                        }
                    };
                return UmsApiBridge.invoke(8001, UmsCons.GET_CARD_DETAIL.METHOD.BY_TRACK, param, myProcessFunc)
            },
            bySwipingCard: function (customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
                UmsApi.device.getCardInfoBySwipingCard(null, function (data) {
                    UmsApi.service.getCardDetail.byCardNumber(data.cardNumber, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc)
                })
            }
        },
        uploadOfflineData: function (identifier, transactionId, boxId, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(identifier)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.OFFLINE_REQUEST_IDENTIFIER_NULL);
                return
            }
            var param = {};
            param.identifier = identifier;
            param.transactionId = transactionId || "";
            param.boxId = boxId || "";
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "uploadOfflineData", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(8002, null, param, myProcessFunc)
        },
        umengEvent: function (eventId, eventParam, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(eventId)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.UMENG_EVENT_REQUEST_EVENT_ID_NULL);
                return
            }
            var param = {};
            param.eventId = eventId;
            param.eventParam = eventParam;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.syncFunc(data, "umengEvent", null, customSuccessCallbackFunc, true)
                    } catch (e) {
                        UmsTool.console.log("call umengEvent default func error", e);
                        throw e
                    }
                };
            return UmsApiBridge.invoke(8004, null, param, myProcessFunc)
        }
    };
    UmsApi.file = {
        getPicture: function (options, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var param = UmsTool.data.convert.mergeJson(options || {}, {
                "quality": 50,
                "destinationType": 0,
                "sourceType": 2,
                "allowEdit": false,
                "encodingType": 1,
                "mediaType": 0
            });
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "getPicture", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(7004, null, param, myProcessFunc)
        },
        getLocalFile: function (options, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var param = UmsTool.data.convert.mergeJson(options || {}, {
                "destinationType": 1,
                "sourceType": 0,
                "fileType": 2
            });
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "getLocalFile", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(7005, null, param, myProcessFunc)
        },
        fileTransfer: function (fileUri, serverUri, options, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(fileUri)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.FILETRANSFER_REQUEST_FILE_URI_NULL);
                return
            }
            if (UmsTool.data.check.isEmpty(serverUri)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.FILETRANSFER_REQUEST_SERVER_URI_NULL);
                return
            }
            var param = {};
            param.fileUri = fileUri;
            param.serverUri = serverUri;
            param.options = UmsTool.data.convert.mergeJson(options || {}, {
                "fileType": UmsCons.FILE_TRANSFER.DEFAULT.FILE_TYPE,
                "fileName": UmsCons.FILE_TRANSFER.DEFAULT.FILE_NAME,
                "mimeType": UmsCons.FILE_TRANSFER.DEFAULT.MIME_TYPE
            });
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "fileTransfer", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(8003, UmsCons.FILE_TRANSFER.METHOD.UPLOAD, param, myProcessFunc)
        }
    };
    UmsApi.security = {
        encryptByPinPad: function (options, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var param = UmsTool.data.convert.mergeJson(options || {}, {
                "securityKeyType": UmsCons.ENCRYPT_BY_PIN_PAD.SECURITY_KEY_TYPE.VA_FRONT,
                "inputMinLength": 3,
                "inputMaxLength": 3,
                "inputType": "1000"
            });
            if (!(param.securityKeyType === UmsCons.ENCRYPT_BY_PIN_PAD.SECURITY_KEY_TYPE.OPEN_FRONT || param.securityKeyType === UmsCons.ENCRYPT_BY_PIN_PAD.SECURITY_KEY_TYPE.VA_FRONT || param.securityKeyType === UmsCons.ENCRYPT_BY_PIN_PAD.SECURITY_KEY_TYPE.MOBILE_FRONT)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.ENCRYPT_BY_PIN_PAD_REQUEST_SECURITY_KEY_TYPE_ERROR);
                return
            }
            if (param.inputMaxLength < param.inputMinLength) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.ENCRYPT_BY_PIN_PAD_REQUEST_INPUT_MAX_LESS_THAN_MIN_ERROR);
                return
            }
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "encryptByPinPad", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(8021, null, param, myProcessFunc)
        }
    };
    UmsApi.apdu = {
        powerOn: function (customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "powerOn", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(6013, UmsCons.APDU.METHOD.POWER_ON, null, myProcessFunc)
        },
        powerOff: function (customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "powerOff", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(6013, UmsCons.APDU.METHOD.POWER_OFF, null, myProcessFunc)
        },
        sendApdu: function (apdu, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc, customProcessFunc) {
            if (UmsTool.data.check.isEmpty(apdu)) {
                UmsApi.notification.toast(UmsCons.ERROR_INFO.APDU_REQUEST_APDU_NULL);
                return
            }
            var param = {};
            param.apdu = apdu;
            var myProcessFunc = customProcessFunc || function (data) {
                    try {
                        return UmsApiDefaultFunc.asyncFunc(data, "sendApdu", null, customSuccessCallbackFunc, customErrorCallbackFunc, customTimeoutCallbackFunc, customCancelCallbackFunc)
                    } catch (e) {
                        UmsApi.notification.toast(e.message)
                    }
                };
            return UmsApiBridge.invoke(6013, UmsCons.APDU.METHOD.SEND_APDU, param, myProcessFunc)
        }
    }
})(window);