require.config({
    paths: {
        "angular": "../../SHARE-BASE/js/angular",
        "angular-ios9-uiwebview-patch": "../../SHARE-BASE/js/angular-ios9-uiwebview-patch",
        "angular-route": "../../SHARE-BASE/js/angular-route",
        // "angular-sanitize": "../../SHARE-BASE/js/angular-sanitize",
        // "angular-touch": "../../SHARE-BASE/js/angular-touch",
        "jquery": "../../SHARE-BASE/js/jquery",
        "globalVar": "../../SHARE-CONF/js/globalVar",
        "tool": "../../SHARE-TOOL/js/tool",
        // "api":"../../SHARE-API/api",

    },
    waitSeconds: 0,
    shim: {
        "angular-ios9-uiwebview-patch": {
            deps: ["angular"],
            exports: "angular-ios9-uiwebview-patch"
        },
        "angular-route": {
            deps: ["angular"],
            exports: "angular-route"
        },
        "angular-sanitize": {
            deps: ["angular"],
            exports: "angular-sanitize"
        },
        "angular-touch": {
            deps: ["angular"],
            exports: "angular-touch"
        }
    }
});
define([
    "angular",
    "angular-ios9-uiwebview-patch",
    "angular-route",
    //"angular-sanitize",
    //"angular-touch",
    // "api",
    "jquery",
    "globalVar",
    "tool",
    "../../SHARE-FILTER/js/ums-trust-html",
    "../../UMS-BUTTON/js/ums-button",
    "../../UMS-INPUT/js/ums-input",
    "../../UMS-SELECT/js/ums-select",
    "../../UMS-PAY-RESULT/js/ums-pay-result",
    "common",
    "controllers",

], function() {
    //app模块依赖于后面的模块
	angular.module("app", [
        "ngRoute",
        "controllers",
        "ums-select",
	    "ums-button",
	    "ums-input",
        "ums-pay-result",
	]).config(["$routeProvider", function($routeProvider) {
	    // 首页
        $routeProvider.when("/index", {
            templateUrl: "views/index.html",
            controller: "IndexController"
        })
        // 搜索机构页面
            .when("/searchOrgan", {
                templateUrl: "views/searchOrgan.html",
                controller: "searchOrganController"
            })
            // 新增缴费账户
            .when("/addPaymentAccount", {
                templateUrl: "views/addPaymentAccount.html",
                controller: "addPaymentAccountController"
            })
            // 选择分组页面
            .when("/groupTagList", {
                templateUrl: "views/groupTagList.html",
                controller: "groupTagListController"
            })
            // 账单页面
            .when("/paymentInfo", {
                templateUrl: "views/paymentInfo.html",
                controller: "paymentInfoController"
            })
            // 无缴费账单页面
            .when("/paymentUnBill", {
                templateUrl: "views/paymentUnBill.html",
                controller: "paymentUnBillController"
            })
            .when("/pay-result", {
                templateUrl: "views/pay-result.html",
                controller: "PayResultController"
            })
            //如何查户号
            .when("/checkHelp", {
                templateUrl: "views/checkHelp.html",
                controller: "checkHelpController"
            })
        .otherwise({
            redirectTo: "/index"
        });
    }]).run(function($rootScope,$location, share) {
        document.addEventListener("deviceready", function(event) {
            $rootScope.$broadcast("deviceready", event);
        });

        document.addEventListener("androidback",function (event) {
            if(($location.path()=='/index')||($location.path()=='/pay-result')){
                UmsApi.page.backToNativeHome();
            }else if(($location.path()=='/paymentInfo')&&(share.viewFlag !='payment')){
                UmsApi.page.backToNativeHome();
            }else if(($location.path()=='/searchOrgan')&&(share.viewFlag !='search')){
                UmsApi.page.backToNativeHome();
            }else if(($location.path()=='/addPaymentAccount')&&(share.viewFlag !='addPayment')){
                UmsApi.page.backToNativeHome();
            }else{
                UmsApi.page.SPABack(1);
            }

        });

    });
});