require.config({
    paths: {
        "common":"./common",
        "angular": "../../SHARE-BASE/js/angular",
        "angular-ios9-uiwebview-patch": "../../SHARE-BASE/js/angular-ios9-uiwebview-patch",
        "angular-route": "../../SHARE-BASE/js/angular-route",
        "angular-sanitize": "../../SHARE-BASE/js/angular-sanitize",
        "angular-touch": "../../SHARE-BASE/js/angular-touch",
        "jquery": "../../SHARE-BASE/js/jquery",

        "globalVar": "../../SHARE-CONF/js/globalVar",
        "publicServiceConfig": "../../SHARE-CONF/js/publicServiceConfig",

        "tool": "../../SHARE-TOOL/js/tool",
        "controllers":"./controllers"
    },
    shim: {
        "angular":{
            deps: ["jquery"],
            exports: "angular"
        },
        "angular-ios9-uiwebview-patch": {
            deps: ["angular"],
            exports: "angular-ios9-uiwebview-patch"
        },
        "angular-route": {
            deps: ["angular"],
            exports: "angular-route"
        },
        "angular-sanitize": {
            deps: ["angular"],
            exports: "angular-sanitize"
        },
        "angular-touch": {
            deps: ["angular"],
            exports: "angular-touch"
        },
        "controllers":{
            deps: ["angular","tool","jquery"],
            exports: "controllers"
        }
    }
});

define([
    "common",
    "angular",
    "angular-ios9-uiwebview-patch",
    "angular-route",
    "angular-sanitize",
    "angular-touch",
    "jquery",
    "lCalender",
    "globalVar",
    "publicServiceConfig",
    "tool",
	"controllers",
    "../../UMS-BUTTON/js/ums-button",
    "../../UMS-PAY-RESULT/js/ums-pay-result"
], function() {
	angular.module("app", [
        "ngRoute",
	    "controllers",
        "ums-button",
        "ums-pay-result"
	]).config(["$routeProvider", function($routeProvider) {
        $routeProvider.when("/index", {
            templateUrl: "views/index.html",
            controller: "indexController"
        }).when("/staffAgePay", {                                // 更多社保查询
            templateUrl: "views/staffAgePay.html",
            controller: "staffAgePayController"
        }).when("/moreQuery", {                                // 更多社保查询
            templateUrl: "views/moreQuery.html",
            controller: "moreQueryController"
        }).when("/staffLosePay", {                             // 职工失业缴费查询
            templateUrl: "views/staffLosePay.html",
            controller: "staffLosePayController"
        }).when("/staffInjurePay", {                           // 职工工伤缴费查询
            templateUrl: "views/staffInjurePay.html",
            controller: "staffInjurePayController"
        }).when("/staffBirthPay", {                            // 职工生育缴费查询
            templateUrl: "views/staffBirthPay.html",
            controller: "staffBirthPayController"
        }).when("/staffMedicallyPay", {                       // 职工医疗缴费查询
            templateUrl: "views/staffMedicallyPay.html",
            controller: "staffMedicallyPayController"
        }).when("/staffMedicallyPayDetail", {                  // 职工医疗缴费查询明细
            templateUrl: "views/staffMedicallyPayDetail.html",
            controller: "staffMedicallyPayDetailController"
        }).when("/stallInjureDetail", {                        // 职工工伤缴费查询明细
            templateUrl: "views/stallInjureDetail.html",
            controller: "minjureByWordDetailController"
        }).when("/staffAgePayDetail", {                        // 职工养老缴费明细
            templateUrl: "views/staffAgePayDetail.html",
            controller: "ageDetailController"
        }).when("/staffBirthPayDetail", {                       // 职工生育缴费明细
            templateUrl: "views/staffBirthPayDetail.html",
            controller: "staffBirthPayDetailController"
        }).when("/staffLosePayDetail", {                             // 失业
            templateUrl: "views/staffLosePayDetail.html",
            controller: "loseDetailController"
        }).when("/staffBirthReceive", {                           // 职工生育待遇领取
            templateUrl: "views/staffBirthReceive.html",
            controller: "staffBirthReceiveController"
        }).when("/residentAgeReceive", {                          // 居民养老待遇查询
            templateUrl: "views/residentAgeReceive.html",
            controller: "residentAgeReceiveController"
        }).when("/staffAgeReceive", {                             // 职工养老待遇查询
            templateUrl: "views/staffAgeReceive.html",
            controller: "staffAgeReceiveController"
        }).when("/staffMedicallyReceive", {                       // 职工医疗待遇领取
            templateUrl: "views/staffMedicallyReceive.html",
            controller: "staffMedicallyReceiveController"
        }).when("/staffInjureReceive", {                          // 职工工伤待遇领取
            templateUrl: "views/staffInjureReceive.html",
            controller: "staffInjureReceiveController"
        }).when("/residentMedicallyReceive", {                    // 居民医疗待遇领取
            templateUrl: "views/residentMedicallyReceive.html",
            controller: "residentMedicallyReceiveController"
        }).when("/residentAgePay", {                               // 居民养老缴费查询
            templateUrl: "views/residentAgePay.html",
            controller: "residentAgePayController"
        }).when("/residentMedicallyPay", {                         // 居民医疗缴费查询
            templateUrl: "views/residentMedicallyPay.html",
            controller: "residentMedicallyPayController"
        }).when("/residentPayHistory", {                           // 居民养老缴费历史
            templateUrl: "views/residentPayHistory.html",
            controller: "residentPayHistoryController"
        }).when("/residentPayHistoryDetail", {                     // 居民养老缴费历史明细
            templateUrl: "views/residentPayHistoryDetail.html",
            controller: "residentPayHistoryDetailController"
        }).when("/socialSecurityProgress", {                       // 社保卡制卡进度查询
            templateUrl: "views/socialSecurityProgress.html",
            controller: "socialSecurityProgressController"
        }).when("/medicallyReceiveDetail", {                       // 医疗待遇查询明细
            templateUrl: "views/medicallyReceiveDetail.html",
            controller: "medicallyReceiveDetailController"
        }).when("/empty", {
            templateUrl: "views/empty.html",
            controller: "emptyController"
        }).otherwise({
                redirectTo: "/index"
            });

    }]).run(function ($rootScope,$location,share,$timeout) {

        document.addEventListener("deviceready", function(event) {
            $rootScope.$broadcast("deviceready", event);
        });

        document.addEventListener("androidback",function (event) {
            if($location.path()=='/loanDetailQuery'){
                $timeout(function() {
                    $location.path("loanListQuery");
                });
            }else if($location.path()=='/loanListQuery'){
                $timeout(function() {
                    $location.path("moreQuery");
                });
            }else if($location.path()=='/moreQuery'){
                $timeout(function() {
                    $location.path("index");
                });
            }else if($location.path()=='/staffAgePay'){
                $timeout(function() {
                    $location.path("index");
                });
            }
            else if($location.path()=='/staffLosePay'){
                $timeout(function() {
                    $location.path("index");
                });
            }
            else if($location.path()=='/staffInjurePay'){
                $timeout(function() {
                    $location.path("index");
                });
            }
            else if($location.path()=='/index'){
                $timeout(function() {
                    UmsApi.page.backToNativeHome();
                });
            }
            else if($location.path()=='/staffBirthPay'){
                $timeout(function() {
                    $location.path("index");
                });
            }
            else if($location.path()=='/staffMedicallyPay'){
                $timeout(function() {
                    $location.path("index");
                });
            }
            else if($location.path()=='/index'){
                UmsApi.page.backToNativeHome();
            }else{
                UmsApi.page.SPABack(1);
            }

        });
    })
});