require.config({
    paths: {
        "angular": "../../SHARE-BASE/js/angular",
        "common":"./common",
        "angular-ios9-uiwebview-patch": "../../SHARE-BASE/js/angular-ios9-uiwebview-patch",
        "angular-route": "../../SHARE-BASE/js/angular-route",
        "angular-sanitize": "../../SHARE-BASE/js/angular-sanitize",
        "angular-touch": "../../SHARE-BASE/js/angular-touch",
        "jquery": "../../SHARE-BASE/js/jquery",
        "globalVar": "../../SHARE-CONF/js/globalVar",
        "publicServiceConfig": "../../SHARE-CONF/js/publicServiceConfig",
        "tool": "../../SHARE-TOOL/js/tool",
        "controllers":"./controllers"


    },
    shim: {
        "angular":{
            deps: ["jquery"],
            exports: "angular"
        },
        "angular-ios9-uiwebview-patch": {
            deps: ["angular"],
            exports: "angular-ios9-uiwebview-patch"
        },
        "angular-route": {
            deps: ["angular"],
            exports: "angular-route"
        },
        "angular-sanitize": {
            deps: ["angular"],
            exports: "angular-sanitize"
        },
        "angular-touch": {
            deps: ["angular"],
            exports: "angular-touch"
        },
        "controllers":{
            deps: ["angular","tool","jquery"],
            exports: "controllers"
        }

    }
});

define([

    "common",
    "angular",
    "angular-ios9-uiwebview-patch",
    "angular-route",
    "angular-sanitize",
    "angular-touch",
    "jquery",
    "lCalender",

    "globalVar",
    "publicServiceConfig",
    "tool",
	"controllers",
    "../../UMS-BUTTON/js/ums-button",
    "../../UMS-PAY-RESULT/js/ums-pay-result",
], function() {
	angular.module("app", [
        "ngRoute",
	    "controllers",
        "ums-button",
        "ums-pay-result",
	]).config(["$routeProvider", function($routeProvider) {
        $routeProvider.when("/index", {
            templateUrl: "views/homePage.html",
            controller: "homePageController"
        }).when("/account", {               // ˻ϸ
            templateUrl: "views/account.html",
            controller: "accountController"
        }).when("/payInfo", {               // Ϣ
            templateUrl: "views/payinfo.html",
            controller: "payInfoController"
        }).when("/loanDetailQuery", {        // 
            templateUrl: "views/loanDetailQuery.html",
            controller: "loanDetailQueryController"
        }).when("/loanListQuery", {         //  ϸ
            templateUrl: "views/loanListQuery.html",
            controller: "loanListQueryController"
       }).when("/loanProgress", {
            templateUrl: "views/loanProgress.html",
            controller: "loanProgressController"
        }).when("/empty", {
            templateUrl: "views/empty.html",
            controller: "emptyController"
        })
            .otherwise({
                redirectTo: "/index"
            });

    }]).run(function ($rootScope,$location,share,$timeout) {

        document.addEventListener("deviceready", function(event) {
            $rootScope.$broadcast("deviceready", event);
        });

        document.addEventListener("androidback",function (event) {
            if($location.path()=='/loanDetailQuery'){
                $timeout(function() {
                    $location.path("loanListQuery");
                });
            }else if($location.path()=='/loanListQuery'){
                $timeout(function() {
                    $location.path("index");
                });
            }else if($location.path()=='/payInfo'){
                $timeout(function() {
                    $location.path("index");
                });
            } else if($location.path()=='/account'){
                $timeout(function() {
                    $location.path("index");
                });
            }
            else if($location.path()=='/moreQuery'){
                $timeout(function() {
                    $location.path("index");
                });
            }
            else if($location.path()=='/loanProgress'){
                $timeout(function() {
                    $location.path("index");
                });
            }
            else if($location.path()=='/index'){
                UmsApi.page.backToNativeHome();
            }else{
               // UmsApi.page.SPABack(1);
                UmsApi.page.backToNativeHome();
            }

        });
    })
});