require.config({
    paths: {
        "angular": "../../SHARE-BASE/js/angular",
        "angular-ios9-uiwebview-patch": "../../SHARE-BASE/js/angular-ios9-uiwebview-patch",
        "angular-route": "../../SHARE-BASE/js/angular-route",
        // "angular-sanitize": "../../SHARE-BASE/js/angular-sanitize",
        // "angular-touch": "../../SHARE-BASE/js/angular-touch",
        "jquery": "../../SHARE-BASE/js/jquery",
        "globalVar": "../../SHARE-CONF/js/globalVar",
        "tool": "../../SHARE-TOOL/js/tool",
        "ionic":"./ionic",

    },
    waitSeconds: 0,
    shim: {
        // "angular":{
        //     deps: ["jquery"],
        //     exports: "angular"
        // },
        "angular-ios9-uiwebview-patch": {
            deps: ["angular"],
            exports: "angular-ios9-uiwebview-patch"
        },
        "angular-route": {
            deps: ["angular"],
            exports: "angular-route"
        },
        // "angular-sanitize": {
        //     deps: ["angular"],
        //     exports: "angular-sanitize"
        // },
        // "angular-touch": {
        //     deps: ["angular"],
        //     exports: "angular-touch"
        // },
        "ionic" : {
            // deps: ['angular'],
            exports : 'ionic'
        },

    }
});
define([
    "angular",
    "angular-ios9-uiwebview-patch",
    "angular-route",
    // "angular-sanitize",
    // "angular-touch",
    "jquery",
    "globalVar",
    "tool",
    "../../SHARE-FILTER/js/ums-trust-html",
    "../../UMS-BUTTON/js/ums-button",
    "../../UMS-INPUT/js/ums-input",
    "../../UMS-SELECT/js/ums-select",
    "ionic",
    "common",
	"controllers"
], function() {
    //app模块依赖于后面的模块
	angular.module("app", [
        "ngIOS9UIWebViewPatch",
        "ngRoute",
        "controllers",
	    "ums-button",
	    "ums-input",
        "ums-select",
	]).config(["$routeProvider", function($routeProvider) {
	    // 医院首页
        $routeProvider.when("/index", {
            templateUrl: "views/index.html",
            controller: "IndexController"
        })
        // 搜索结果页面
            .when("/searchResult", {
                templateUrl: "views/searchResult.html",
                controller: "searchResultController"
            })
            // 科室选择页面
        .when("/hospitalDepartment", {
                templateUrl: "views/hospitalDepartment.html",
                controller: "hospitalDepartmentController"
            })
      // 按日期和医院预约
            .when("/dateDoctorAppoint", {
                templateUrl: "views/dateDoctorAppoint.html",
                controller: "dateDoctorAppointController"
            })
            // 医生排班页面
            .when("/doctorSchedule", {
                templateUrl: "views/doctorSchedule.html",
                controller: "doctorScheduleController"
            })
            // 预约信息确认页面
            .when("/appointInfo", {
                templateUrl: "views/appointInfo.html",
                controller: "appointInfoController"
            })
            // 预约成功页面
            .when("/appointSuccess", {
                templateUrl: "views/appointSuccess.html",
                controller: "appointSuccessController"
            })
            // 预约记录列表页面
            .when("/appointRecordList", {
                templateUrl: "views/appointRecordList.html",
                controller: "appointRecordListController"
            })
            // 预约记录详情页面
            .when("/appointRecordDetail", {
                templateUrl: "views/appointRecordDetail.html",
                controller: "appointRecordDetailController"
            }) // 我的
            .when("/userAbout", {
                templateUrl: "views/userAbout.html",
                controller: "userAboutController"
            })
            //家庭联系人
            .when("/familyContacts", {
                templateUrl: "views/familyContacts.html",
                controller: "familyContactsController"
            })
            //添加就诊人
            .when("/addPatientInfo", {
                templateUrl: "views/addPatientInfo.html",
                controller: "addPatientInfoController"
            })
            //编辑就诊人
            .when("/editPatientInfo", {
                templateUrl: "views/editPatientInfo.html",
                controller: "editPatientInfoController"
            })
            //选择就诊人
            .when("/selectPatient", {
                templateUrl: "views/selectPatient.html",
                controller: "selectPatientController"
            })
            //医生评价
            .when("/evaluateDoctor", {
                templateUrl: "views/evaluateDoctor.html",
                controller: "evaluateDoctorController"
            })
            //全部评价
            .when("/wholeEvaluateList", {
                templateUrl: "views/wholeEvaluateList.html",
                controller: "wholeEvaluateListController"
            })
        .otherwise({
            redirectTo: "/index"
        });
    }]).run(function($rootScope,$location, share) {
        document.addEventListener("deviceready", function(event) {
            $rootScope.$broadcast("deviceready", event);
        });



    });
});