// 日期格式化
Date.prototype.format = function(fmt) {
    var o = {
        "M+" : this.getMonth() + 1, // 月份
        "d+" : this.getDate(), // 日
        "h+" : this.getHours(), // 小时
        "m+" : this.getMinutes(), // 分
        "s+" : this.getSeconds(), // 秒
        "q+" : Math.floor((this.getMonth() + 3) / 3), // 季度
        "S" : this.getMilliseconds() // 毫秒
    };

    if (/(y+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    }

    for (var k in o) {
        if (new RegExp("(" + k + ")").test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
        }
    }

    return fmt;
};
Number.prototype.add = function(arg) {
    var s1 = this.toString(), s2 = arg.toString();
    var r1 = 0, r2 = 0;

    try {
        if (s1.indexOf(".") >= 0) {
            r1 = s1.split(".")[1].length;
        }

        if (s2.indexOf(".") >= 0) {
            r2 = s2.split(".")[1].length;
        }
    } catch (e) {

    }

    var m = Math.pow(10, Math.max(r1, r2));

    return (this * m + arg * m) / m;
};

Number.prototype.div = function(arg) {
    var s1 = this.toString(), s2 = arg.toString();
    var t1 = 0, t2 = 0;

    try {
        if (s1.indexOf(".") >= 0) {
            t1 = s1.split(".")[1].length;
        }

        if (s2.indexOf(".") >= 0) {
            t2 = s2.split(".")[1].length;
        }
    } catch (e) {

    }

    var r1 = Number(this.toString().replace(".", ""));
    var r2 = Number(arg.toString().replace(".", ""));

    return (r1 / r2) * Math.pow(10, t2 - t1);
};

Number.prototype.formatMoney = function() {
    var s_x = "";

    try {
        if (isNaN(this)) {
            return s_x;
        }

        var f_x = Number(parseInt(this.mul(100))).div(100);
        s_x = f_x.toString();

        var pos_decimal = s_x.indexOf('.');

        if (pos_decimal < 0) {
            pos_decimal = s_x.length;
            s_x += '.';
        }

        while (s_x.length <= pos_decimal + 2) {
            s_x += '0';
        }

        return s_x;
    } catch (e) {

    }

    return s_x;
};

Number.prototype.mul = function(arg) {
    var s1 = this.toString(), s2 = arg.toString();
    var m = 0;

    try {
        if (s1.indexOf(".") >= 0) {
            m += s1.split(".")[1].length;
        }

        if (s2.indexOf(".") >= 0) {
            m += s2.split(".")[1].length;
        }
    } catch (e) {

    }

    var r1 = Number(s1.replace(".", ""));
    var r2 = Number(s2.replace(".", ""));

    return r1 * r2 / Math.pow(10, m);
};

Number.prototype.sub = function(arg) {
    return this.add(-arg);
};

Number.prototype.toPercent = function() {
    var aa = this.mul(100);
    return "" + aa + "%";
};
