define(["angular", "../../CONF-API/api"], function () {
    "use strict";
    return angular.module("controllers", [])
        .controller("IndexController", ["$scope", "$timeout", "$http", "$location", "share", function ($scope, $timeout, $http, $location, share) {
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };

            var calendarBegin = new lCalendar();
            calendarBegin.init({
                'trigger': '.rowTwo',
                'type': 'date'
            });
            var calendarEnd = new lCalendar();
            calendarEnd.init({
                'trigger': '.rowThree',
                'type': 'date'
            });

            var endTime = new Date();
            var endTimeStr = endTime.format("yyyy-MM-dd");
            var beginTime = new Date(endTime.setMonth(endTime.getMonth() - 1));
            var beginTimeStr = beginTime.format("yyyy-MM-dd");
            $scope.beginTimeVal = beginTimeStr;
            $scope.endTimeVal = endTimeStr;

            $scope.$watch("cardNoVal", function (newValue, oldValue) {
                if (!Tools.data.check.isEmpty($scope.cardNoVal)) {
                    document.getElementById("footer").style.background = "#4ED8DC";
                    return;
                }
                document.getElementById("footer").style.background = "#B7EFF1";
            });

            $scope.goToScanBarCode = function () {
                try {
                    UmsApi.device.scanBarcode(null, null, null, null, function (data) {
                        if (Tools.data.check.isEmpty(data)) {
                            UmsApi.notification.error("扫码失败");
                            return;
                        }
                        if (data.errCode == "0000") {
                            $scope.$apply(function () {
                                $scope.cardNoVal = data.bizData.barCode;
                            });
                        }
                    });
                } catch (e) {
                    UmsApi.notification.error("二维码扫描失败");
                }
            }

            $scope.goToSearchReports = function () {
                if (!Tools.data.check.isEmpty($scope.cardNoVal)) {
                    document.getElementById("footer").style.background = "#44C1C5";
                    if (Tools.data.check.isNumber($scope.cardNoVal)) {
                        var beginArr = document.querySelector(".rowTwo input").value.split(/-/);
                        var endArr = document.querySelector(".rowThree input").value.split(/-/);
                        var dateBegin = new Date(beginArr[0], beginArr[1] - 1, beginArr[2]);
                        var dateEnd = new Date(endArr[0], endArr[1] - 1, endArr[2]);

                        if (dateEnd.getTime() > dateBegin.getTime()) {
                            var params = {};
                            params.healthCardNo = $scope.cardNoVal;
                            $http.post("http://218.58.213.85:8003/baseinfo.getOutpatientInfo", params).then(function (response) {
                                if (response.data.errCode == '0000' && !Tools.data.check.isEmpty(response.data.res.patientId)) {
                                    share.patientInfo.healthCardNo = $scope.cardNoVal;
                                    share.patientInfo.beginDate = $scope.beginTimeVal;
                                    share.patientInfo.endDate = $scope.endTimeVal;
                                    share.patientInfo.patientId = response.data.res.patientId;
                                    $location.path("reportList");
                                } else {
                                    document.getElementById("footer").style.background = "#4ED8DC";
                                    UmsApi.notification.toast("未找到对应用户信息");
                                }
                            });
                        } else {
                            $timeout(function () {
                                document.getElementById("footer").style.background = "#4ED8DC";
                                UmsApi.notification.toast("开始日期不能大于结束日期");
                            }, 500)
                        }
                    } else {
                        $timeout(function () {
                            document.getElementById("footer").style.background = "#4ED8DC";
                            UmsApi.notification.toast("输入的就诊卡号不正确");
                        }, 500)
                    }
                }
            }
        }])
        .controller("ReportListController", ["$scope", "$http", "$location", "share", "$window", function ($scope, $http, $location, share, $window) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.inspectItems = [];
            $scope.testItems = [];

            var params = {};
            params.healthCardNo = share.patientInfo.healthCardNo;
            params.beginDate = share.patientInfo.beginDate;
            params.endDate = share.patientInfo.endDate;
            params.patientId = share.patientInfo.patientId;

            $http.post("http://218.58.213.85:8003/lis.getReport", params).then(function (response) {
                if (!Tools.data.check.isEmpty(response.data.res.report)) {
                    var items = response.data.res.report;
                    if (Tools.data.check.isArray(items)) {
                        for (var item in items) {
                            var curItem = {};
                            curItem.inspectionName = item.inspectionName;
                            curItem.inspectionId = item.inspectionId;
                            curItem.status = item.status == "0" ? "处理中" : "处理完毕";
                            $scope.testItems.push(curItem);
                        }
                    } else {
                        var item = {};
                        item.inspectionName = items.inspectionName;
                        item.inspectionId = items.inspectionId;
                        item.status = items.status == "0" ? "处理中" : "处理完毕";
                        $scope.testItems.push(item);
                    }
                }
            });

            $http.post("http://218.58.213.85:8003/pacs.getReport", params).then(function (response) {
                if (!Tools.data.check.isEmpty(response.data.res.report)) {
                    var items = response.data.res.report;
                    if (Tools.data.check.isArray(items)) {
                        angular.forEach(items, function (item) {
                            var curItem = {};
                            curItem.reportTitle = item.reportTitle;
                            curItem.patientName = item.patientName;
                            curItem.patientAge = item.patientAge;
                            curItem.reportId = item.reportId;
                            curItem.status = item.status == "0" ? "处理中" : "处理完毕";
                            $scope.inspectItems.push(curItem);
                        });
                    } else {
                        var item = {};
                        item.reportTitle = items.reportTitle;
                        item.patientName = items.patientName;
                        item.patientAge = items.patientAge;
                        item.reportId = items.reportId;
                        item.status = items.status == "0" ? "处理中" : "处理完毕";
                        $scope.inspectItems.push(item);
                    }
                }
            });

            $scope.goToTestDetail = function () {
                var itemValue = this.testItem;
                share.testDetail.inspectionName = itemValue.inspectionName;
                share.testDetail.inspectionId = itemValue.inspectionId;

                $location.path("testReport");
            }

            $scope.goToInspectDetail = function () {
                var itemValue = this.inspectItem;
                share.inspectDetail.reportId = itemValue.reportId;
                share.inspectDetail.patientName = itemValue.patientName;
                share.inspectDetail.patientAge = itemValue.patientAge;

                $location.path("inspectReport");
            }
        }])
        .controller("InspectReportController", ["$scope", "$http", "$location", "share", "$window", function ($scope, $http, $location, share, $window) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };

            $scope.reportDetail = {};

            var params = {};
            params.reportId = share.inspectDetail.reportId;

            $http.post("http://218.58.213.85:8003/pacs.getReportDetail", params).then(function (response) {
                if (!Tools.data.check.isEmpty(response.data.res)) {
                    var item = response.data.res;
                    $scope.reportDetail.patientName = share.inspectDetail.patientName;
                    $scope.reportDetail.patientAge = share.inspectDetail.patientAge;
                    $scope.reportDetail.gender = item.sex;
                    $scope.reportDetail.deptName = item.deptName;
                    // $scope.reportDetail.clinicalDiagnosis = item.clinicalDiagnosis;
                    $scope.reportDetail.reportDoctorName = item.reportDoctorName;
                    $scope.reportDetail.checkParts = item.checkParts;
                    $scope.reportDetail.examination = item.examination;
                    $scope.reportDetail.diagnosis = item.diagnosis;
                    $scope.reportDetail.checkDoctorName = item.checkDoctorName;
                    $scope.reportDetail.examinationDate = item.examinationDate;
                }
            });
        }])
        .controller("TestReportController", ["$scope", "$http", "$location", "share", "$window", function ($scope, $http, $location, share, $window) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };

            $scope.items = [];
            $scope.inspectionName = share.testDetail.inspectionName;

            var params = {};
            params.inspectionId = share.testDetail.inspectionId;

            $http.post("http://218.58.213.85:8003/lis.getReportItem", params).then(function (response) {
                if (!Tools.data.check.isEmpty(response.data.res.item)) {
                    var lists = response.data.res.item;
                    if (Tools.data.check.isArray(lists)) {
                        angular.forEach(lists, function (list) {
                            var curList = {};
                            curList.itemName = list.itemName;
                            curList.testResult = list.testResult;
                            curList.unit = list.unit;
                            curList.itemRef = list.itemRef;
                            curList.quaResult = list.quaResult;
                            curList.testDate = list.testDate;
                            $scope.items.push(curList);
                        });
                    } else {
                        var curList = {};
                        curList.itemName = lists.itemName;
                        curList.testResult = lists.testResult;
                        curList.unit = lists.unit;
                        curList.itemRef = lists.itemRef;
                        curList.quaResult = lists.quaResult;
                        curList.testDate = lists.testDate;
                        $scope.items.push(curList);
                    }
                }
            });

            $scope.inspectionName = share.testDetail.inspectionName;
        }])
        .directive("reportInfo", function () {
            return {
                template: '<div ng-include=getContentUrl()></div>',
                replace: true,
                link: function ($scope, $element, $attr) {
                    $scope.getContentUrl = function () {
                        return "view/reportTemplate.html";
                    }
                }
            }
        })
        .value("share", {
            patientInfo: {
                healthCardNo: "",
                patientId: "",
                beginDate: "",
                endDate: ""
            },
            testDetail: {
                inspectionName: "",
                inspectionId: ""
            },
            inspectDetail: {
                reportId: "",
                patientName: "",
                patientAge: ""
            }
        });
});