define(["angular"], function () {
    return angular.module("controllers", [])
    //首页，医院列表页面controller
        .controller("IndexController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {

            UmsApi.notification.loading(1);
            $scope.$on("deviceready",function(event,data){
                // UmsApi.notification.tip("deviceready");
                var needBindVcard = data.eventParam.param.needBindVcard;

                if (needBindVcard !=null) {
                    var cardPackInfo = data.eventParam.param.cardPackInfo;
                    if (needBindVcard == '0') {
                        //账单页面
                        $timeout(function () {
                            UmsApi.notification.loading(0);
                            share.viewFlag = '0';
                            $location.path("paymentInfo");
                        });
                    } else if (needBindVcard == '1') {
                        var groupTag = data.eventParam.param.groupTag;
                        if(groupTag!=null){
                            share.selectedGroupTag=groupTag;
                        }
                        // 添加新用户页面
                        $timeout(function () {
                            UmsApi.notification.loading(0);
                            share.viewFlag = '1';
                            $location.path("searchOrgan");
                        });

                    } else if (needBindVcard == '2') {
                        // 修改用户页面
                        // share.selectedGroupTag.groupName=cardPackInfo.groupName;
                        // share.selectedGroupTag.groupId=cardPackInfo.groupId;
                        share.selectedOrgan.instId=cardPackInfo.instId;
                        share.selectedOrgan.instName=cardPackInfo.instName;
                        share.detail.number=cardPackInfo.number;
                        share.detail.vcardNo=cardPackInfo.vcardNo;
                        share.selectedGroupTag=data.eventParam.param.groupTag;
                        // 修改账号标识
                        share.updateVcard='1';

                        $timeout(function () {
                            UmsApi.notification.loading(0);
                            share.viewFlag = '2';
                            $location.path("addPaymentAccount");
                        });
                    }
                }else{
                    $timeout(function () {
                 UmsApi.notification.loading(0);
                        share.viewFlag = '1';
                 $location.path("searchOrgan");
                    });
             }

            });




        }])
        //搜索机构页面controller
        .controller("searchOrganController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                if(share.viewFlag =='search'){
                    UmsApi.page.SPABack(1);
                }else{
                    UmsApi.page.backToNativeHome();
                }
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.organList=share.organList;
            $scope.activeOrganIndex=share.activeOrganIndex;
            // 搜索删除按钮默认不显示
            $scope.searchCloseShow = '';
            $scope.matterInput = '';
            // 搜索失去焦点事件
            $scope.searchLineBlur = function () {
                $timeout(function () {
                    $scope.searchCloseShow = '';
                }, 100);

            };
            $scope.searchWordChange = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }
                fuzzyMatch($scope.matterInput);


            };
            $scope.searchLineFocus = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }

            };
            // 搜索清除按钮
            $scope.deleteSearchWord = function ($event) {
                $scope.organList=share.organList;
                $event.stopPropagation();
                if ($scope.searchCloseShow == 'searchCloseShow') {
                    $scope.matterInput = '';
                    $scope.searchCloseShow = '';
                    // $scope.organList='';
                }

            };
            // 键盘搜索button事件
            $scope.forSearch = function ($event) {
                var keyCode = $event.keyCode;
                if (keyCode === 13) {
                    if ($scope.matterInput == '') {
                        UmsApi.notification.tip("请输入要查询的内容");
                    } else {
                        fuzzyMatch($scope.matterInput);
                    }
                }

            };
        // 模糊匹配
            function fuzzyMatch(inputWord){
                var matchOrganList=[];
                var organLength=share.organList.length;
                for(var i=0;i<organLength;i++){
                    if((share.organList[i].instName).indexOf(inputWord)>-1){
                        matchOrganList.push(share.organList[i]);
                    }
                }
                // $scope.$apply(function () {
                    $scope.organList=matchOrganList;
                // })
            }

          $scope.selectOrgan=function(index){
              $scope.activeOrganIndex=index;
                share.selectedOrgan=$scope.organList[index];
				//share.activeOrganIndex=index;
				  var len=share.organList.length;
                for(var i=0;i<len;i++){
                    if(share.organList[i].instName==share.selectedOrgan.instName){
                        share.activeOrganIndex=i;
                        break;
                    }
                }
              $timeout(function () {
                  share.viewFlag='addPayment';
                  $location.path("addPaymentAccount");
              },100);
          };



        }])
        //添加缴费账户页面controller
        .controller("addPaymentAccountController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                if(share.viewFlag =='addPayment'){
                    UmsApi.page.SPABack(1);
                }else{
                    UmsApi.page.backToNativeHome();
                }
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.goToCheckHelp = function () {
                $timeout(function () {
                    $location.path("checkHelp");
                });
            };
            $scope.organName=share.selectedOrgan.instName;
            $scope.groupTagName=share.selectedGroupTag.groupName;
            // $scope.groupTagName=share.selectedGroupTag.groupName||share.groupTagList[0].groupName;

            if(share.groupTagList=='' && share.selectedGroupTag.groupName==''){
                queryInitialGroup();
            }
            function  queryInitialGroup() {
                // var mobile = UmsApi.globalization.getUserInfo().mobile;
                var userId = UmsApi.globalization.getUserInfo().userId;
                // var queryParams = { smkUserName:mobile,vcardType:'0002'};
                var queryParams = {
                    smkUserId:userId,
                };
                Tools.fillAndRequestFromNet("gateway/vcard/group/query", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.groupTagList=response.data.list;
                    $scope.$apply(function(){
                        share.selectedGroupTag=share.groupTagList[0];
                        $scope.groupTagName=share.selectedGroupTag.groupName;
                    });

                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            $scope.goToSearchOrgan=function(){
                $timeout(function () {
                    share.viewFlag='search';
                    $location.path("searchOrgan");
                });
            };
            $scope.accountNumInput = {
                inputLabel: "用户编号",
                placeHolder: "请输入用户编号",
                inputType: "text",
                maxLength: 12,
                minLength:6,
                value:share.detail.number,
                // inputOnKeyUp:function(){
                //     UmsApi.notification.toast('1');
                    // $scope.$apply(function(){
                    //     $scope.accountNumInput.value=($scope.accountNumInput.value).replace(/[^0-9a-zA-Z]+$/g,'');
                    // });

                // }

            };
            $scope.$watchGroup(["accountNumInput.value"], function (newValue, oldValue) {
                $scope.accountNumInput.value=newValue[0].replace(/[^0-9a-zA-Z]+$/g,'');
                // var length = newValue[0].length;
                // if (length == 18) {
                //     $scope.patientGender = getIdentityCardGender(newValue[0]);
                //     $scope.patientAge = getIdentityCardAge(newValue[0]);
                // }

            });
            $scope.goToGroupTag=function(){
                share.detail.number=$scope.accountNumInput.value;
                if(share.groupTagList==''){
                    queryGroup();
                }else{
                    share.activeGroupTagIndex=getGroupTagIndex(share.groupTagList,share.selectedGroupTag.groupId);
                    share.detail.number=$scope.accountNumInput.value;
                    $timeout(function () {
                        $location.path("groupTagList");
                    });
                }

            };
              // 获取标签记录
            // share.activeGroupTagIndex
                 function getGroupTagIndex(list,id){
                     var listLen=list.length;
                     for(var i=0;i<listLen;i++){
                         if(list[i].groupId==id){
                           var index=i;
                         }
                     }
                     return index;
                 }
            // 查询分组
            function  queryGroup() {
                // var mobile = UmsApi.globalization.getUserInfo().mobile;
                var userId = UmsApi.globalization.getUserInfo().userId;
                // var queryParams = { smkUserName:mobile,vcardType:'0002'};
                var queryParams = {
                    smkUserId:userId,
                };
                Tools.fillAndRequestFromNet("gateway/vcard/group/query", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.groupTagList=response.data.list;
                    share.activeGroupTagIndex=getGroupTagIndex(share.groupTagList,share.selectedGroupTag.groupId);
                    // UmsApi.notification.tip(share.activeGroupTagIndex);
                    share.detail.number=$scope.accountNumInput.value;
                    $timeout(function () {
                        $location.path("groupTagList");
                    });


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 确认按钮
            $scope.confirmAddAccount = {
                buttonText: "下一步",
                isButtonEnabled: true,
                onButtonClick: function () {
                    // addAccount();
                    if($scope.accountNumInput.value==''){
                        UmsApi.notification.toast("用户编号不能为空");
                    }else{

                        if(share.updateVcard=='1'){
                            updateVcard();
                        }else{
                            bindVcard();
                        }

                        // $timeout(function () {
                        //     $location.path("paymentInfo");
                        // });
                    }



                }
            };
            //修改用户账号
            function updateVcard() {
                var userId = UmsApi.globalization.getUserInfo().userId;
                // var groupId=share.selectedGroupTag.groupId;
                // var vcardNo=$scope.groupTagName+"_WATER"+"_"+share.number;
                var updVcardNo=$scope.groupTagName+"_WATER"+"_"+share.selectedOrgan.instId+"_"+$scope.accountNumInput.value;
                var queryParams = {
                    smkUserId:userId,
                    vcardType:'0002',
                    vcardNo:share.detail.vcardNo,
                    updVcardNo:updVcardNo,
                    propJson:{
                        "subType":"WATER",
                        subTypeName:"水费",
                        "instName":share.selectedOrgan.instName,
                        instId:share.selectedOrgan.instId,
                        // "groupId":groupId,
                        "groupName":$scope.groupTagName,
                        bizCode:"BIZ-LOCAL-SD_JN-ZLSJF",
                        "number":$scope.accountNumInput.value,
                        vcardNo:updVcardNo,
                    }
                };
                // var queryParams = { smkUserName:mobile,vcardType:'0002',vcardNo:"家2_999999999_POWER",groupFlag:true,propJson:{"subType":"POWER","instName":"济宁市电力","instCode":"00001","groupId":"2c9bb127686f359601686f3c68680001","groupName":"家2", "number":"999999999"}};
                Tools.fillAndRequestFromNet("gateway/vcard/update", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    $timeout(function () {
                        share.viewFlag='payment';
                        $location.path("paymentInfo");
                    });


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 绑定用户账号
            function bindVcard() {
                var userId = UmsApi.globalization.getUserInfo().userId;
               // var groupId=share.selectedGroupTag.groupId;
               var vcardNo=$scope.groupTagName+"_WATER"+"_"+share.selectedOrgan.instId+"_"+$scope.accountNumInput.value;
                var queryParams = {
                    smkUserId:userId,
                    vcardType:'0002',
                    vcardNo:vcardNo,
                    propJson:{
                        "subType":"WATER",
                        subTypeName:"水费",
                        "instName":share.selectedOrgan.instName,
                        instId:share.selectedOrgan.instId,
                        // "groupId":groupId,
                        "groupName":$scope.groupTagName,
                                                                      bizCode:"BIZ-LOCAL-SD_JN-ZLSJF",
                        "number":$scope.accountNumInput.value}
                };
                // var queryParams = { smkUserName:mobile,vcardType:'0002',vcardNo:"家2_999999999_POWER",groupFlag:true,propJson:{"subType":"POWER","instName":"济宁市电力","instCode":"00001","groupId":"2c9bb127686f359601686f3c68680001","groupName":"家2", "number":"999999999"}};
                Tools.fillAndRequestFromNet("gateway/vcard/group/bind", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    $timeout(function () {
                    share.viewFlag='payment';
                        $location.path("paymentInfo");
                    });


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }


        }])
        //分组列表页面controller
        .controller("groupTagListController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.groupTagList=share.groupTagList;
            $scope.activeGroupTagIndex=share.activeGroupTagIndex;
            // 当前选中的标签
            var tagIndex=$scope.activeGroupTagIndex;
            $scope.selectGroupTag=function(index){
                console.log(index);
                $scope.activeGroupTagIndex=index;
                tagIndex=index;

            };
            $scope.defineTag='';
            // 确认按钮
            $scope.confirmTagAccount = {
                buttonText: "下一步",
                isButtonEnabled: true,
                onButtonClick: function () {
                    console.log($scope.defineTag);
                    if(tagIndex=='other'){
                      if($scope.defineTag==''){
                          UmsApi.notification.tip("分组名称不能为空");
                      }else{
                          // 添加标签
                          var tagName=$scope.defineTag;
                          $timeout(function () {
                       addGroupTag(tagName);
                          },20);



                      }
                    }else{
                        share.activeGroupTagIndex=tagIndex;
                        share.selectedGroupTag=(share.groupTagList)[tagIndex];
                        $timeout(function () {
                            $location.path("addPaymentAccount");
                        });
                    }

                }
            };
            $scope.$watchGroup(["defineTag"], function (newValue, oldValue) {
                $scope.defineTag=newValue[0].replace(/[^0-9a-zA-Z\u4e00-\u9fa5]+$/g,'');
                // var length = newValue[0].length;
                // if (length == 18) {
                //     $scope.patientGender = getIdentityCardGender(newValue[0]);
                //     $scope.patientAge = getIdentityCardAge(newValue[0]);
                // }

            });
            function addGroupTag(name){
                  var len=$scope.groupTagList.length;
                  var ifExistTag=false;
                  for(var i=0;i<len;i++){
                      if(name==$scope.groupTagList[i].groupName){
                           ifExistTag=true;
                           break;
                      }

                }
                if(ifExistTag){
                    UmsApi.notification.tip("该分组已经存在");
                }else{
                    var newTag={'groupName':name};
                    share.groupTagList.push(newTag);
                    var newTagLen=share.groupTagList.length-1;
                    share.activeGroupTagIndex=newTagLen;
                    share.selectedGroupTag=share.groupTagList[newTagLen];
                    $timeout(function () {

                        $location.path("addPaymentAccount");
                    },20);
                }

            }

        }])
        //缴费页面controller
        .controller("paymentInfoController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            $scope.Return = function () {
                if(share.viewFlag =='payment'){
                    UmsApi.page.SPABack(1);
                }else{
                    UmsApi.page.backToNativeHome();
                }

            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
         $scope.billShow=true;

            // 确认按钮
            $scope.confirmPay= {
                buttonText: "立即缴费",
                isButtonEnabled: true,
                onButtonClick: function () {
                    // var isAuth = UmsApi.globalization.getUserInfo().isAuth;
                    // if(isAuth!='11'){
                    // if(isAuth=='9'){
                    //     UmsApi.notification.dialog("0","提示","使用该业务需要先实名认证，请先实名认证","取消,确定",function(data){
                    //         if(data.bizData.selectIndex === "1"){
                    //             UmsApi.page.forwardNativePage('native_real_name_certification');
                    //         }
                    //     });
                    //
                    // }else{
                    //     businessOrder();
                    // }
                    businessOrder();
                }
            };
            function businessOrder() {
                    var userId=UmsApi.globalization.getUserInfo().userId;
                    var phoneNo=UmsApi.globalization.getUserInfo().mobile;

                    var queryParams = {
                        billKey:"00000",
                        contId:"649579574999",
                        mid:"898310148160568",
                        orderAmt:"1",
                        payAmt:"1",
                        spInstCode:"1001",
                        tid:"00000001",
                        tradSrc:"0537WAT",
                        phoneNo:phoneNo,
                        userId: userId,
                        // instMid:"APPDEFAULT",
                        // orderTitle:"济宁市自来水缴费"
                    };
                    // var queryParams = { userName: userName,contId:orderId,orderAmt:amount,payAmt:amount,billKey:"00000",spInstCode:"1001",tid:"00000001",mid:"898370565130272",tradSrc:"P"};

                    Tools.fillAndRequestFromNet("gateway/order/pubp/placeOrder", queryParams, function(data) {
                        // UmsApi.notification.tip(JSON.stringify(data));
                        nativePayWidget(data);

                    }, function(data) {
                        UmsApi.notification.toast(data.errInfo);
                    });

            }
            function nativePayWidget(data) {

                    var param = data;
                    param.FastPay = "898230107635255";
                    param.FastPayMcc = "0763";
                    param.FastPayMrchName = "朱洪青";
                    param.UnionPay = "898310148160568";
                    param.tid = "00000001";
                    param.instMid = "APPDEFAULT";
                    param.AliPay = "898310148160568";
                    param.WxPay = "898310148160568";
                    param.isNeedSelectPay = "1";
                    param.totalAmount = "1";

//             UmsApi.notification.tip(JSON.stringify(param));
                    UmsApi.page.processUnifyPay(param, function(data) {
                        // 成功
                        $timeout(function() {
                            $location.path("pay-result");
                        });
                        // UmsApi.notification.tip("支付成功","确定",function(){
                        //     UmsApi.page.backToNativeHome();
                        // });
                    }, function(data) {


                        // UmsApi.notification.tip(data.errInfo,"确定",function(){
                        //     UmsApi.page.backToNativeHome();
                        // });
                        share.payResult.success = false;
                        share.payResult.errInfo = data.errInfo;
                        $timeout(function() {
                            $location.path("pay-result");
                        });
                    });

            }


        }])
        //无账单页面controller
        .controller("paymentUnBillController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };


        }])
        .controller("PayResultController", ["$scope", "share", function($scope, share) {
            //UmsApi.notification.setTitle("交易结果");
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.paySuccess = share.payResult.success;

            $scope.payResultSuccess = {
                payResult: "success",
                payResultMsg:"交易成功"
            };

            $scope.payResultFailure = {
                payResult: "failure",
                payResultMsg:"交易失败",
                errInfo:share.payResult.errInfo,
            };


        }])
        //如何查户号
        .controller("checkHelpController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };


        }])
        .value("share", {
            // 页面标记
            viewFlag:'',
            // 修改账号标记
            updateVcard:'',
            // 机构列表
            // organList:'',
          organList:[{instName:"济宁中山公用水务有限公司",instId:"0001"},{instName:"济宁市兖州区自来水有限公司",instId:"0002"},{instName:"金山县金思泉水务有限公司",instId:"0003"},{instName:"曲阜市自来水公司",instId:"0004"},{instName:"山东公用集团嘉祥水务有限公司",instId:"0005"},{instName:"山东公用集团梁山水务有限公司",instId:"0006"},{instName:"微山县水务公司",instId:"0007"},{instName:"邹城市自来水公司",instId:"0008"}],
            activeOrganIndex:'unable',
            // 选中后的机构信息
            selectedOrgan:{
                instName:'',
                instId:''},
            // 户号
            number:"",
            // 自定义分组列表
            groupTagList:'',
            // groupTagList:[{name:"我家",code:"01"},{name:"父母",code:"02"},{name:"房东",code:"04"},{name:"朋友",code:"05"}],
            // 选中后的分组信息
            // selectedGroupTag:{groupName:'我家'},
            selectedGroupTag:{
                groupName:'',
                groupId:'',
            },
            activeGroupTagIndex:'',
            billShow:true,
            //账单查询结果详情
            detail:{
                vcardNo:"",
                number:"",
            },
            payResult: {
                success: true,
                errInfo: ""
            },
        });
});