define(["angular"], function () {
    return angular.module("controllers", [])
        .controller("homePageController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            $scope.indexSwitch = false; // 默认隐藏页面内容，请求到数据后展示
            $scope.loanProgress = true;
            // 返回
            $scope.Return = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.certificateNumber = UmsApi.globalization.getUserInfo().certificateNumber;
            $scope.ReportName = UmsApi.globalization.getUserInfo().realName;
            function getAccountInfo () {
                var cacheKey = "CACHE-HotWords";
                try {
                    // 请求参数
                    var queryParams ={
                        "certinum": $scope.certificateNumber
                    };
                    Tools.fillAndRequestFromNet("gateway/jnadapters/jngjj/queryJiaocunInfo", queryParams, function (response) {
                        if (response.errCode == "0000"){
                            $timeout(function(){
                                MyLocalStorage.Cache.put(cacheKey,response,1*24*60*60);
                            });
                            if(response.data.result.length != 0){
                                $location.path("account");
                            }else{
                                UmsApi.notification.toast("未查询到数据!");
                            }
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            $scope.data = [];
            $timeout(function(){
                getCacheList();
            },10);
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cacheKey = "CACHE-indexPage";
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    $scope.indexSwitch = true;
                    getCacheData(cache);
                }else{
                    getIndexData();
                }
            }
            function getCacheData (params){
                $scope.data = params.data;
                if(share.type == "1"){
                    $scope.loanInfo= "贷款信息";
                } else if(share.type == "2"){
                    $scope.loanInfo= "贷款进度";
                } else{
                    $scope.loanProgress = false;
                }
            }
            function getIndexData () {
                var cacheKey = "CACHE-indexPage";
                try {
                    // 请求参数
                    //var queryParams ={
                    //    "certinum": "370811195510020052"
                    //};
                    var queryParams ={
                        "certinum": $scope.certificateNumber
                    };
                    Tools.fillAndRequestFromNet("gateway/jnadapters/jngjj/homeInfo", queryParams, function (response) {
                        if (response.errCode == "0000"){
                            $scope.indexSwitch = true;
                            $timeout(function(){
                                $scope.data = response.data;
                                share.accname = nameEncrypt(response.data.accName);
                                share.type = $scope.data.dkxx;
                                var str = JSON.stringify(response.data);
                                localStorage.setItem("loanType",str);
                                if(share.type == "1"){
                                    $scope.loanInfo= "贷款信息";
                                } else if(share.type == "2"){
                                    $scope.loanInfo= "贷款进度";
                                } else{
                                  $scope.loanProgress = false;
                                }
                                MyLocalStorage.Cache.put(cacheKey,response,1*24*60*60);
                            });
                        }
                    }, function (response) {
                        share.error = response.errInfo;
                        $timeout(function(){
                            $location.path("empty")
                        });
                        // UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            $scope.accountDetail = function(){
                var accountKey = "CACHE-HotWords";
                var accountKeyData = MyLocalStorage.Cache.get(accountKey);
                if(accountKeyData && accountKeyData.data.result.length != 0){
                    $location.path("account");
                }else{
                    getAccountInfo();
                }
            };
            // 贷款信息
            function loanInfo (){
                var cacheKey = "cache-loanBaseInfo";
                try {
                    // 请求参数
                    var queryParams ={
                        "certinum": $scope.certificateNumber
                    };

                    Tools.fillAndRequestFromNet("gateway/jnadapters/jngjj/queryDaiKuanInfo", queryParams, function (response) {
                        if (response.errCode == "0000"){
                            $timeout(function(){
                                $scope.data = response.data;
                               // share.loanBaseInfo = response.data;
                                MyLocalStorage.Cache.put(cacheKey,response.data,1*24*60*60);
                                localStorage.setItem('loan-baseInfo',JSON.stringify(response.data));
                            });
                            $location.path("payInfo");
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            $scope.skip = function(){
                var loanType= JSON.parse(localStorage.getItem("loanType")).dkxx;
                if (loanType== "1"){
                    var Key = "cache-loanBaseInfo";
                    var repaymentCache = MyLocalStorage.Cache.get(Key);
                    if(repaymentCache){
                        $location.path("payInfo");
                    }else{
                        loanInfo();
                    }
                } else {
                    var cacheKey = "cache-progress";
                    var cacheData = MyLocalStorage.Cache.get(cacheKey);
                    if(cacheData){
                        $location.path("loanProgress");
                    }else{
                        getLoanProgress();
                    }
                }
            };
            //贷款进度接口
            function getLoanProgress () {
                // 请求参数
                var queryParams ={
                    "certinum": $scope.certificateNumber
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/jngjj/queryJinduInfo", queryParams, function (response) {
                        if (response.errCode === "0000"){
                            $timeout(function(){
                                share.params = response.data;
                                $location.path("loanProgress");
                            });
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }

        }])
        .controller("accountController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            $scope.loadShow = false;
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            getCacheList();
            function getCacheList(){
                var cacheKey = "CACHE-HotWords";
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    filterData(cache);
                }
            }
            // 返回首页
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            // 过滤后台数据
            function filterData (param){
                // 绑定数据
                var lens = param.data.result.length;
                share.data = param.data;
                // 日期处理
                share.data.result.forEach(function (item) {
                    item.jzrq = item.jzrq.substring(0,4) + "年" + item.jzrq.substring(5,7) + "月" +item.jzrq.substring(8,10) + "日";
                });
                // 默认加载10条
                if (lens > 10) {
                    $scope.loadShow = true;
                    filterDatas = share.data.result.splice(0,10);
                } else {
                    filterDatas = share.data.result.splice(0);
                }
                $scope.resultData = filterDatas;
            }
            $scope.loadMore = function (){
                // 截取数据
                var fragmentData = [];
                if (share.data.result.length > 10) {
                    fragmentData = share.data.result.splice(0,10);
                } else {
                    $scope.loadShow = false;
                    fragmentData = share.data.result.splice(0);
                }
                fragmentData.forEach(function (itms) {
                    $scope.resultData.push(itms);
                });
               // $scope.resultData = cacheFragment.data.result;
            };
        }])

        .controller("registerController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            //登录绑定参数
            // 登录接口调用方法
            function register(){
                try {
                    // 请求参数
                    var queryParams = {
                        "pwd": $scope.pwd,
                        "flag": $scope.flag,
                        "transchannel":  $scope.transchannel,
                        "ctflag":  $scope.ctflag,
                        "certinum": $scope.certinum,
                        "accnum": $scope.accnum
                    };
                    Tools.fillAndRequestFromNet("http://172.30.252.146:8761/jngjj/PersonLogin", queryParams, function (response) {
                        if (response.errCode === "000000"){
                            $timeout(function(){
                                $scope.money = response.data.pay_amount;
                                share.billNo= response.data;
                            });
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {

                    UmsApi.notification.error(e.message);
                }
            }
            $scope.registerButton = {
                buttonText: "登录",
                isButtonEnabled: true,
                onButtonClickAppend: function() {
                    register();
                }
            };
        }]) // 贷款进度查询页面
        .controller("loanProgressController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            var cacheKey = "cache-progress";
            getCacheList();
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    $scope.dkqs = cache.dkqs;                    //贷款期数
                    $scope.htdkje = cache.htdkje;                // 合同贷款金额
                    $scope.payeeaccname = cache.payeeaccname;   // 收款人名称
                    $scope.loancontrstate = cache.loancontrstate;
                    $scope.dkhkfs = cache.dkhkfs;
                    $scope.apprflag = cache.apprflag;
                    $scope.dkdblx = cache.dkdblx;
                }else {
                    getProgressParams(share.params);
                }
            }

            function getProgressParams (result) {
                $scope.dkqs = result.dkqs;                    //贷款期数
                $scope.htdkje = result.htdkje;                // 合同贷款金额
                $scope.payeeaccname = result.payeeaccname;   // 收款人名称
                var loancontrstate = result.loancontrstate;  // 合同状态
                var loancontrstateArray = [
                    {"key":"00",value:"申请"}, {"key":"01",value:"审批"}, {"key":"02",value:"合同签订"}, {"key":"03",value:"复核"}, {"key":"06",value:"贷款开户"},
                    {"key":"07",value:"担保办理"}, {"key":"08",value:"放款通知"}, {"key":"09",value:"放款"}];
                loancontrstateArray.forEach(function (item) {
                    if (item.key == loancontrstate){
                        $scope.loancontrstate = item.value;
                        result.loancontrstate = item.value
                    }
                });
                var dkhkfs = result.dkhkfs;           // 贷款还款方式
                var dkhkfsArray = [
                    {"key":"01",value:"等额本息"}, {"key":"02",value:"等额本金"}, {"key":"70",value:"等本等息"}, {"key":"03",value:"一次还款付息"}, {"key":"04",value:"自由还款方式"}];
                dkhkfsArray.forEach(function (item) {
                    if (item.key == dkhkfs){
                        $scope.dkhkfs = item.value;
                        result.dkhkfs = item.value;
                    }
                });
                var apprflag = result.apprflag;   // 贷款办理进度
                var apprflagArray = [
                    {"key":"1",value:"已申请"}, {"key":"2",value:"已复核"}, {"key":"3",value:"已审批"}, {"key":"4",value:"合同签订"}, {"key":"5",value:"担保办理"}
                    , {"key":"6",value:"放款通知"}, {"key":"7",value:"放款"}];
                apprflagArray.forEach(function (item) {
                    if (item.key == apprflag){
                        $scope.apprflag = item.value;
                        result.apprflag = item.value;
                    }
                });
                var dkdblx = result.dkdblx;       // 贷款担保类型
                var dkdblxArray = [
                    {"key":"01",value:"抵押"}, {"key":"02",value:"质押"}, {"key":"03",value:"保证"}, {"key":"70",value:"抵押+保证"}, {"key":"99",value:"其他"},
                    {"key":"71",value:"抵押+质押"},{"key":"72",value:"抵押+质押+保证"},{"key":"73",value:"质押+保证"}
                ];
                dkdblxArray.forEach(function (item) {
                    if (item.key == dkdblx){
                        $scope.dkdblx = item.value;
                        result.dkdblx = item.value;
                    }
                });
                MyLocalStorage.Cache.put(cacheKey,result,1*24*60*60);
            }
        }])
        .controller("payInfoController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
             $scope.certificateNumber = UmsApi.globalization.getUserInfo().certificateNumber;
            // 返回
            $scope.Return = function () {
                $location.path("index");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            function loanChart(param){
                // 余额图表
                var loanTotoal = param.dkffe;
                var pay = loanTotoal - param.dkye;
                var dom = document.getElementById("container");
                var myChart = echarts.init(dom);
                var app = {};
                option = null;
                app.title = '环形图';

                option = {
                    color:['#EA9518','#91C7AE'],
                    legend: {
                        orient: 'vertical',
                        x: 'left',
                        data:[''],
                        selectedMode:false
                    },
                    series: [
                        {
                            name:'',
                            type:'pie',
                            radius: ['60%', '80%'],
                            avoidLabelOverlap: false,
                            hoverAnimation:false,
                            hoverable:true,
                            legendselectchanged:false,
                            label: {
                                normal: {
                                    show: true,
                                    position: 'center',
                                    textStyle: {
                                        fontSize: '15',
                                        fontWeight: 'bold'
                                    }
                                },
                                emphasis: {
                                    show: true,
                                    textStyle: {
                                        fontSize: '15',
                                        fontWeight: 'bold'
                                    }
                                }
                            },
                            labelLine: {
                                normal: {
                                    show: false
                                }
                            },
                            data:[
                                {value:param.dkye, name:'余额'},
                                {value:pay, name:''}
                            ]
                        }
                    ]
                };
                if (option && typeof option === "object") {
                    myChart.setOption(option, true);
                }
            }
          function initLoanInfo(){
              var Key = "cache-loanBaseInfo";
              var repaymentCache = MyLocalStorage.Cache.get(Key);
              if (repaymentCache){
                  getLoanBaseInfo( repaymentCache);
              }else{
                 var loanBaseInfo = JSON.parse(localStorage.getItem('loan-baseInfo'));
                  getLoanBaseInfo(loanBaseInfo);
              }
            }
            initLoanInfo();
            function getLoanBaseInfo(param){

                var loanState = param.loanstate;  // 账号状态
                var loanStateList = [
                    {"key":"1",value:"正常"}, {"key":"2",value:"逾期"}, {"key":"3",value:"部分逾期"}, {"key":"4",value:"停息挂账"}, {"key":"5",value:"清户"},
                    {"key":"6",value:"销户"}, {"key":"7",value:"核销"}];
                loanStateList.forEach(function (item) {
                    if (item.key == loanState){
                        param.loanstate = item.value;
                    }
                });
                var dkhkfs = param.dkhkfs;           // 贷款还款方式
                var dkhkfsArray = [
                    {"key":"01",value:"等额本息"}, {"key":"02",value:"等额本金"}];
                dkhkfsArray.forEach(function (item) {
                    if (item.key == dkhkfs){
                        $scope.dkhkfs = item.value;
                        param.dkhkfs = item.value;
                    }
                });
                // 绑定数据
                if(param){
                    $scope.loanData = param;
                    loanChart($scope.loanData );
                }
            }

            $scope.payDetail = function (){
                var keyParams = "cache-loanDetail";
                var repaymentCache = MyLocalStorage.Cache.get(keyParams);
                localStorage.setItem("params",JSON.stringify({param:'enter'}));
                if(repaymentCache){
                    $location.path("loanListQuery");
                } else{
                    getRepaymentListData();
                }
            };
            // 还款接口调用
            function getRepaymentListData () {
                var keyParams = "cache-loanDetail";
                try {
                    // 请求参数
                    var queryParams ={
                        "certinum": $scope.certificateNumber
                    };
                    Tools.fillAndRequestFromNet("gateway/jnadapters/jngjj/queryLoanAndRepayDetails", queryParams, function (response) {
                        if (response.errCode === "0000"){
                            $timeout(function(){
                                // 缓存数据
                                share.loanListResult = response.data;
                                MyLocalStorage.Cache.put(keyParams,response.data,1*24*60*60);
                            });

                            $location.path("loanListQuery");

                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }

        }]) // 还款明细
        .controller("loanListQueryController", ["$scope", "share","$timeout","$http","$location", function($scope, share,$timeout,$http,$location) {
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
           var firstEnter = JSON.parse(localStorage.getItem("params")).param;

            if(firstEnter == "enter"){
                getCacheData();
            }else{
                $scope.repaymentData = share.loanData;
                if( share.resultList.length >0){
                    $scope.loadShow = true;
                }
            }
            function getCacheData (){
                var payCache = "cache-loanDetail";
                var cache = MyLocalStorage.Cache.get(payCache);
                if(cache){
                    setInitDate(cache);
                }
            }
            function setInitDate(params){
                $scope.dkye = params.dkye;                  // 贷款余额
                $scope.fxze = params.fxje;                  // 罚息总额
                share.resultList = params.result;
                var lengths = share.resultList.length;
                // 日期处理
                share.resultList.forEach(function (item) {
                    item.ywfsrq = item.ywfsrq.substring(0,4) + "年" + item.ywfsrq.substring(5,7) + "月" +item.ywfsrq.substring(8,10) + "日";
                });
                // 默认加载10条
                var filterListData = [];
                if (lengths >= 10) {
                    $scope.loadShow = true;
                    filterListData = share.resultList.splice(0,10);
                } else {
                    filterListData = share.resultList.splice(0);
                }
                $scope.repaymentData = filterListData;
                share.loanData = filterListData;

            }

            $scope.loadMore = function (){
                // 截取数据
                var filterArray = [];
                var lns = share.resultList.length;
                if (lns >= 10) {
                    filterArray = share.resultList.splice(0,10);
                } else {
                    filterArray = share.resultList.splice(0);
                    $scope.loadShow = false;
                }
                filterArray.forEach(function (param) {
                    $scope.repaymentData.push(param);
                });
                share.loanData = $scope.repaymentData;
            };
            // 跳转到详情页
            $scope.linkLoanDetail = function (item) {
                share.list = item;
                localStorage.setItem("params",JSON.stringify({param:'out'}));
                $location.path("loanDetailQuery");
            };
            // 返回
            $scope.Return = function () {
                $location.path("payInfo");
            };
        }])
        .controller("loanDetailQueryController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            $scope.detailList = share.list;
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            // 返回
            $scope.Return = function () {
                $location.path("loanListQuery");
            };
        }])
        .controller("emptyController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            $scope.error = share.error;
            //$scope.indexReturn = function () {
            //    UmsApi.page.backToNativeHome();
            //};
            // 返回
            $scope.Return = function () {
                UmsApi.page.backToNativeHome();
            };
        }])
        .value("share", {
            loanBaseInfo:[],
            loanData:[],
            error:"",
            billNo: "", // 账单号
            params: '', // 公积金列表信息
            list: {},
            accname: '',
            bal: '',
            result: [],
            loanListResult: [],
            filterListData: [],
            type: ""  // 1贷款信息，0贷款进度
        });

});