define(["angular"], function () {
    return angular.module("controllers", [])
        .controller("indexController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            $scope.indexSwitch = false;
            $scope.ReportName = UmsApi.globalization.getUserInfo().realName;
            $scope.certificateNumber = UmsApi.globalization.getUserInfo().certificateNumber;
            // 返回
            $scope.Return = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.moreInfo =function(){
                $location.path("moreQuery");
            };
            var agedYears ="";  // 养老缴费累计年月
            var mediYears = "";   // 医疗缴费累计年月

            var cacheKey = "index-cache";
            var cache = MyLocalStorage.Cache.get(cacheKey);
            $timeout(function() {
                if (cache){
                    $scope.data = cache;
                    setListTitle(cache);
                } else {
                    getIndexPageData();
                }
            },10);

            function getIndexPageData (){
                //var queryParams = {
                //    "sfzhm": "370811196902214045"
                //};
                var queryParams = {
                    "sfzhm": $scope.certificateNumber
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getHomeInfo", queryParams, function (response) {
                        if (response.errCode == "0000"){
                            $timeout(function(){
                              //  share.staffAgeData = response;
                                $scope.data = response;
                                $scope.data.agedYears = '累计缴费' + $scope.data.agedYears.substring(0,1) + '年' + $scope.data.agedYears.substring(2) + '月';
                                $scope.data.mediYears = '累计缴费' + $scope.data.mediYears.substring(0,1) + '年' + $scope.data.mediYears.substring(2) + '月';
                                MyLocalStorage.Cache.put(cacheKey,$scope.data,1*24*60*60);
                                setListTitle($scope.data);
                            });
                        }
                    }, function (response) {
                        $timeout(function(){
                            share.error = response.errInfo;
                            $location.path("empty");
                        });
                      //  UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            $scope.payList = function(item){
                var cacheKey = item.link;
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    $location.path(item.link);
                }else{
                    item.fn();
                }
            };

            var endDate = new Date().format("yyyyMMdd");     // 终止日期
            var currentYear = (new Date().format("yyyy"));   // 默认当前年份
            var days = (new Date().format("yyyyMM"));        // 默认当前年月
            // 职工医疗缴费对账单
            function staffMedicallyPay(){
                var cacheKey = "staffMedicallyPay";
                // 请求参数
                var queryParams = {
                    "sfzhm": $scope.certificateNumber,
                    "zzny": days,
                    "qsny": defaultDate(),
                    "nypdbz": "0"
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getPayMedi", queryParams, function (response) {
                        if (response.errCode == "0000"){
                            $timeout(function(){
                                share.staffMedicallyParam = response;
                                MyLocalStorage.Cache.put(cacheKey,response,1*24*60*60);
                            });
                            $location.path('staffMedicallyPay');
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            // 职工工伤缴费对账单
            function staffInjurePay(){
                var cacheKey = "staffInjurePay";
                var queryParams = {
                    "sfzhm": $scope.certificateNumber,
                    "zzny": days,
                    "qsny": defaultDate(),
                    "nypdbz": "0"
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getPayHarm", queryParams, function (response) {
                        if (response.errCode == "0000"){
                            $timeout(function(){
                                share.staffInjuryParam = response;
                                MyLocalStorage.Cache.put(cacheKey,response,1*24*60*60);
                            });
                            $location.path('staffInjurePay');
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            // 职工生育缴费对账单
            function staffBirthPay(){
                var cacheKey = "staffBirthPay";
                // 请求参数
                var queryParams = {
                    "sfzhm": $scope.certificateNumber,
                    "zzny": days,
                    "qsny": defaultDate(),
                    "nypdbz": "0"
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getPayBirth", queryParams, function (response) {
                        if (response.errCode == "0000"){
                            $timeout(function(){
                                share.staffBirthParam = response;
                                MyLocalStorage.Cache.put(cacheKey,response,1*24*60*60);
                            });
                            $location.path('staffBirthPay');
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            // 职工失业缴费对账单
            function staffLosePay(){

                var cacheKey = "staffLosePay";
                // 请求参数
                var queryParams = {
                    "sfzhm": $scope.certificateNumber,
                    "zzny": days,
                    "qsny": defaultDate(),
                    "nypdbz": "0"
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getPayLost", queryParams, function (response) {
                        if (response.errCode == "0000"){
                            $timeout(function(){
                                share.staffLoseParam = response;
                                MyLocalStorage.Cache.put(cacheKey,response,1*24*60*60);
                            });
                            $location.path('staffLosePay');
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            // 职工养老金接口调用方法
            // 请求参数
            var queryParams = {
                "sfzhm": $scope.certificateNumber,
                "qsny": defaultDate(),
                "zzny": days,
                "nypdbz":"0"
            };
            function getAgePage(){
                 var cacheKey = "staffAgePay";
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getPayAged", queryParams, function (response) {
                        if (response.errCode == "0000"){
                            $timeout(function(){
                                share.staffAgeData = response;
                                MyLocalStorage.Cache.put(cacheKey,response,1*24*60*60);
                            });
                            $location.path('staffAgePay');
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            function setListTitle(params){
                $scope.payListData = [
                    {
                        url:"images/age.png",
                        title:"职工养老保险",
                        link: "staffAgePay",
                        name: params.agedYears,
                        fn: getAgePage
                    }, {
                        url:"images/medically.png",
                        title:"职工医疗保险",
                        link: "staffMedicallyPay",
                        name: params.mediYears,
                        fn:staffMedicallyPay
                    }, {
                        url:"images/work.png",
                        title:"职工工伤保险",
                        link: "staffInjurePay",
                        remark:"职工工伤缴费对账单",
                        fn:staffInjurePay
                    }, {
                        url:"images/lose.png",
                        title:"职工失业保险",
                        link: "staffLosePay",
                        fn:staffLosePay
                    }, {
                        url:"images/birth.png",
                        title:"职工生育保险",
                        link: "staffBirthPay",
                        fn:staffBirthPay
                    }
                ];
                $scope.indexSwitch = true;
            }


        }])
        .controller("staffAgePayController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            $timeout(function() {
                getCacheList();
            },10);
            var cacheKey = "staffAgePay";
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    filterData(cache);
                }else{
                    filterData(share.staffAgeData);
                }
            }
            $scope.queryDetail = function (item) {
                // 职工养老金
                share.payDetailList = item;
                $location.path("staffAgePayDetail");
            };
            // 返回首页
            $scope.Return = function () {
                $location.path("index");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            // 跳转公积金更多信息
            $scope.skip = function () {
                $location.path("moreQuery");
            };
            var days = (new Date().format("yyyyMM"));
            $scope.ReportName = UmsApi.globalization.getUserInfo().realName;
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            // 过滤后台数据
            function filterData (param){
                // 储存数据
                var filterData = []; // 截取数组
                var lens = param.socialInfos.length;
                share.resultArray = param.socialInfos;
                share.resultArray.forEach(function (param) {
                    param.jfny = param.jfny.substring(0,4) + "年" + param.jfny.substring(4,6);
                });
                // 默认加载10条
                if (lens > 10) {
                    $scope.loadShow = true;
                    filterData = share.resultArray.splice(0,10);
                } else {
                    filterData = share.resultArray.splice(0);
                }
                $scope.resultDatas = filterData;
            }
            $scope.loadMore = function (){
                // 截取数据
                var fragmentData = [];
                if (share.resultArray.length >=10) {
                    fragmentData = share.resultArray.splice(0,10);
                } else {
                    fragmentData = share.resultArray.splice(0);
                    $scope.loadShow = false;
                }
                fragmentData.forEach(function (param) {
                    $scope.resultDatas.push(param);
                });
            };

        }]) // 更多社保查询页面
        .controller("moreQueryController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            $scope.Return = function () {
                $location.path("index");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            var endDate = new Date().format("yyyyMMdd");     // 终止日期
            var currentYear = (new Date().format("yyyy"));   // 默认当前年份
            var days = (new Date().format("yyyyMM"));        // 默认当前年月
            // 社保卡进度查询
            function getSocialSecurityProgress (){
                var cacheKey = "CACHE-socialSecurityProgress";
                try {
                    // 请求参数
                    var queryParams ={"sfzhm":$scope.certificateNumber };
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/gCardStatusBySfzhm", queryParams, function (response) {
                        if (response.errCode === "0000"){
                            $timeout(function(){
                                // 绑定数据
                                $scope.gCardStatusBySfzhm = response.socialInfos[0];
                                var kzt = $scope.gCardStatusBySfzhm.kzt;   // 贷款担保类型
                                var cardArrayList = [
                                    {"key":"E",value:"未开户"}, {"key":"0",value:"正在制卡"}, {"key":"A",value:"待领取"}, {"key":"1",value:"正常"}, {"key":"2",value:"挂失"},
                                    {"key":"3",value:"挂失后注销"},{"key":"4",value:"注销"},{"key":"6",value:"黑卡"},
                                    {"key":"7",value:"暂时封存"},{"key":"B",value:"临时挂失"},{"key":"D",value:"冻结"}
                                ];
                                cardArrayList.forEach(function (item) {
                                    if (item.key == kzt){
                                        $scope.kzt = item.value;
                                        $scope.gCardStatusBySfzhm.kzt = item.value;
                                    }
                                });
                                MyLocalStorage.Cache.put(cacheKey,$scope.gCardStatusBySfzhm,1*24*60*60);

                            });
                            $location.path('socialSecurityProgress');
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            // 社保卡进度查询跳转事件
            $scope.linkProgress = function () {
                var cacheKey = "CACHE-socialSecurityProgress";
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    $location.path('socialSecurityProgress');
                }else{
                    getSocialSecurityProgress();
                }
            };
            // 居民养老缴费历史
            function getResidentAgeHistory(){
                var cacheKey = "residentPayHistory";
                try {
                    // 请求参数
                    var queryParams = {"sfzhm":$scope.certificateNumber };
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/queryPayHis", queryParams, function (response) {
                        UmsApi.notification.loading(0);
                        if (response.errCode == "0000"){
                            $timeout(function(){
                                share.residentAgeHistory = response;
                                share.residentAgeHistory.jfls.forEach(function (param) {
                                    param.jfrq = param.jfrq.substring(0,4) + "年" + param.jfrq.substring(4,6) + "月"+ param.jfrq.substring(6) + "日";
                                });
                                MyLocalStorage.Cache.put(cacheKey,share.residentAgeHistory,1*24*60*60);
                            });
                            $location.path('residentPayHistory');
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            $scope.linkPayHistory = function () {
                var cacheKey = "residentPayHistory";
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    $location.path('residentPayHistory');
                }else{
                    getResidentAgeHistory();
                }
            };
            // 居民养老，医疗缴费
            $scope.residentPay = [
                {title:"居民医疗缴费明细",url: "residentMedicallyPay"},
                {title:"居民养老缴费明细",url: "residentAgePay"}
            ];
            // 居民养老缴费
            function getResidentAgePayData() {
                var cacheKey = "CACHE-residentAgePay";
                var queryParams ={
                    "sfzhm": $scope.certificateNumber,
                    "qsnf": days,
                    "zznf": defaultDate()
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getPayAgedTotal", queryParams, function (response) {
                        if (response.errCode === "0000"){
                            $timeout(function(){
                                // 绑定数据
                                MyLocalStorage.Cache.put(cacheKey,response,1*24*60*60);
                            });
                            $location.path('residentAgePay');
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            //居民医疗缴费
            function residentMedicallyPay(){
                var cacheKey = "CACHE-residentMedicallyPay";
                // 请求参数
                var queryParams = {
                    "sfzhm": $scope.certificateNumber,
                    "nd": currentYear
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getPayCmMedi", queryParams, function (response) {
                        if (response.errCode === "0000"){
                            $timeout(function(){
                                var filterData = response.socialInfos;
                                filterData.forEach(function (item) {
                                    item.zzny = item.zzny.substring(0,4) + "年" + item.zzny.substring(5,7) + "月";
                                    item.jfrq = item.jfrq.substring(0,4) + "年" + item.jfrq.substring(4,6) + "月"+ item.jfrq.substring(6,8) + "日";
                                });
                                // 绑定数据
                                $scope.residentMedicallyPayList = response.socialInfos;
                                MyLocalStorage.Cache.put(cacheKey,response.socialInfos,1*24*60*60);
                            });
                            $location.path('residentMedicallyPay');
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            // 居民缴费明细跳转点击事件
            $scope.getPayAgeList = function (item) {
                if (item.url == "residentAgePay" ) {
                    var cacheKey = "CACHE-residentAgePay";
                    var cache = MyLocalStorage.Cache.get(cacheKey);
                    if(cache){
                        $location.path('residentAgePay');
                    }else {
                        getResidentAgePayData();
                    }
                }else {
                    var cacheKey = "CACHE-residentMedicallyPay";
                    var cache = MyLocalStorage.Cache.get(cacheKey);
                    if(cache){
                        $location.path('residentMedicallyPay');
                    }else {
                        residentMedicallyPay();
                    }
                }
            };
            $scope.reciveList = [
                {title:"职工生育领取明细",url:"staffBirthReceive",fn:getStaffBirthReceive},
                {title:"职工医疗领取明细",url:"staffMedicallyReceive",fn:staffMedicallyReceive},
                {title:"职工养老领取明细",url:"staffAgeReceive",fn:staffAgeReceive},
                {title:"职工工伤领取明细",url:"staffInjureReceive",fn:getStaffInjureReceive},
                {title:"居民养老领取明细",url:"residentAgeReceive",fn:residentAgeReceive},
                {title:"居民医疗领取明细",url:"residentMedicallyReceive",fn:residentMedicallyData}
            ];
            // 社保福利查询 职工生育待遇领取
            function getStaffBirthReceive (){
                // 请求参数
                var queryParams = {
                    "sfzhm":$scope.certificateNumber,
                    "ny": days
                };
                var cacheKey = "staffBirthReceive";
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getGivBirth", queryParams, function (response) {
                        if (response.errCode === "0000"){
                            $timeout(function(){
                                // 绑定数据
                                $scope.getGivBirth = response.socialInfos;
                                $scope.getGivBirth.forEach(function(item) {
                                    item.bfny = item.bfny.substring(0,4) + "年" + item.bfny.substring(4,6) + "月";
                                });
                                MyLocalStorage.Cache.put(cacheKey,$scope.getGivBirth,1*24*60*60);
                            });
                            $location.path("staffBirthReceive");
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            // 职工医疗待遇领取
            function staffMedicallyReceive (){
                var cacheKey = "staffMedicallyReceive";
                // 请求参数
                var queryParams ={
                    "sfzhm": $scope.certificateNumber,
                    "zzrq": endDate,
                    "qsrq": defaultDate("day"),
                    "rqlb":"A"
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getGivMedi", queryParams, function (response) {
                        if (response.errCode === "0000"){
                            $timeout(function(){
                                // 缓存数据
                                MyLocalStorage.Cache.put(cacheKey,response,1*24*60*60);
                            });
                            $location.path("staffMedicallyReceive");
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            // 职工养老待遇领取
            function staffAgeReceive (){
                var cacheKey = "staffAgeReceive";
                // 请求参数
                var queryParams ={
                    "sfzhm": $scope.certificateNumber,
                    "ny": days
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getGivAged", queryParams, function (response) {
                        if (response.errCode === "0000"){
                            $timeout(function(){
                                $scope.ffje = response.ffje;     // 发放金额
                                MyLocalStorage.Cache.put(cacheKey,response,1*24*60*60);
                            });
                            $location.path("staffAgeReceive");
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            // 职工工伤待遇领取接口
            function getStaffInjureReceive(){
                var cacheKey = "staffInjureReceive";
                var queryParams ={
                    "sfzhm": $scope.certificateNumber,
                    "ny": days
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getGivHarm", queryParams, function (response) {
                        if (response.errCode === "0000"){
                            $timeout(function(){
                                // 绑定数据
                                $scope.getGivHarm = response.socialInfos;
                                $scope.getGivHarm.forEach(function(item) {
                                    item.bfny = item.bfny.substring(0,4) + "年" + item.bfny.substring(4,6) + "月";
                                });

                                MyLocalStorage.Cache.put(cacheKey,$scope.getGivHarm,1*24*60*60);
                            });
                            if(response.socialInfos.length != 0){
                               // $location.path("staffInjureReceive");
                            }else{
                                UmsApi.notification.toast("未查询到数据!");
                            }

                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            // 居民养老待遇领取
            function residentAgeReceive (){
                var cacheKey = "residentAgeReceive";
                // 请求参数
                var queryParams ={
                    "sfzhm": $scope.certificateNumber,
                    "ny": days
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getUrGivAged", queryParams, function (response) {
                        if (response.errCode === "0000"){
                            $timeout(function(){
                                // 绑定数据
                                $scope.getUrGivAged = response.socialInfos;
                                MyLocalStorage.Cache.put(cacheKey,response.socialInfos,1*24*60*60);
                            });
                            $location.path("residentAgeReceive");
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            // 居民医疗待遇领取
            function residentMedicallyData(){
                var cacheKey = "residentMedicallyReceive";
                var queryParams ={
                    "sfzhm": $scope.certificateNumber,
                    "zzrq": endDate,
                    "qsrq": defaultDate("day"),    // 默认年月日（年份-1）
                    "rqlb":"B"
                };
                try {
                    Tools.fillAndRequestFromNet("gateway/jnadapters/social/getGivMedi", queryParams, function (response) {
                        if (response.errCode === "0000"){
                            $timeout(function(){
                                // 绑定数据
                                MyLocalStorage.Cache.put(cacheKey,response,1*24*60*60);
                            });
                            $location.path("residentMedicallyReceive");
                        }
                    }, function (response) {
                        UmsApi.notification.toast(response.errInfo);
                    });
                } catch (e) {
                    UmsApi.notification.error(e.message);
                }
            }
            $scope.queryReceiveDetail = function (item) {
                var cacheKey = item.url;
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    $location.path(item.url);
                }else{
                    item.fn();
                }
            };
        }])  // 职工失业缴费
        .controller("staffLosePayController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            $scope.queryDetail = function (item) {
                share.payDetailList = item;
                $location.path("staffLosePayDetail");
            };
            // 返回首页
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.Return = function () {
                $location.path("index");
            };
            // 过滤后台数据
            function filterData (param){
                // 储存数据
                var staffLose = [];
                var lens = param.socialInfos.length;
                share.staffLoseResult = param.socialInfos;
                share.staffLoseResult.forEach(function (param) {
                    param.jfny = param.jfny.substring(0,4) + "年" + param.jfny.substring(4,6) + "月";
                });
                // 默认加载10条和缓存总数据
                if (lens >= 10) {
                    $scope.loadShow = true;
                    staffLose = share.staffLoseResult.splice(0,10);
                } else {
                    staffLose = share.staffLoseResult.splice(0);
                }
                $scope.resultData = staffLose;
            }
            var cacheKey = "staffLosePay";
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    filterData(cache);
                }else{
                    filterData(share.staffLoseParam);
                }
            }
            $scope.loadMore = function (){
                // 截取数据
                var fragmentData = [];
                if (share.staffLoseResult.length >= 10) {
                    fragmentData = share.staffLoseResult.splice(0,10);
                }else {
                    fragmentData = share.staffLoseResult.splice(0);
                    $scope.loadShow = false;
                }
                fragmentData.forEach(function (param) {
                    $scope.resultData.push(param);
                });
            };
            getCacheList();
        }])  // 职工工伤缴费
        .controller("staffInjurePayController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            var cacheKey = "staffInjurePay";
            // 跳转职工工伤缴费明细
            $scope.queryDetail = function (item) {
                share.payDetailList = item;
                $location.path("stallInjureDetail");
            };
            // 返回首页
            $scope.Return = function () {
                $location.path("index");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            // 过滤后台数据
            function filterData (param){
                // 储存数据
                var stallInjure = [];
                var lens = param.socialInfos.length;
                share.stallInjureResult = param.socialInfos;
                share.stallInjureResult.forEach(function (param) {
                    param.jfny = param.jfny.substring(0,4) + "年" + param.jfny.substring(4,6) + "月";
                });
                // 默认加载10条和缓存总数据
                if (lens >= 10) {
                    $scope.loadShow = true;
                    stallInjure = share.stallInjureResult.splice(0,10);
                } else {
                    stallInjure = share.stallInjureResult.splice(0);
                }
                $scope.resultData = stallInjure;
            }
            // 截取数据
            $scope.loadMore = function (){
                var fragmentData = [];
                if (share.stallInjureResult.length >= 10) {
                    fragmentData = share.stallInjureResult.splice(0,10);
                }else {
                    fragmentData = share.stallInjureResult.splice(0);
                    $scope.loadShow = false;
                }
                fragmentData.forEach(function (param) {
                    $scope.resultData.push(param);
                });
            };
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    filterData(cache);
                }else{
                    filterData(share.staffInjuryParam);
                }
            }
            getCacheList();
        }])    //  职工医疗缴费
        .controller("staffMedicallyPayController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            // 医疗缴费详情查询
            var cacheKey = "staffMedicallyPay";
            $scope.queryDetail = function (item) {
                share.payDetailList = item;
                $location.path("staffMedicallyPayDetail");
            };
            // 返回首页
            $scope.Return = function () {
                $location.path("index");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            // 过滤后台数据
            function filterData (param){
                // 储存数据
                var staffMedically = [];
                var lens = param.socialInfos.length;
                share.staffMedicallyResult = param.socialInfos;
                share.staffMedicallyResult.forEach(function (param) {
                    param.jfny = param.jfny.substring(0,4) + "年" + param.jfny.substring(4,6) + "月";
                });
                // 默认加载10条和缓存总数据
                if (lens >= 10) {
                    $scope.loadShow = true;
                    staffMedically = share.staffMedicallyResult.splice(0,10);
                } else {
                    staffMedically = share.staffMedicallyResult.splice(0);
                }
                $scope.resultData = staffMedically;
            }
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    filterData(cache);
                }else{
                    filterData(share.staffMedicallyPay);
                }
            }
            $scope.loadMore = function (){
                // 截取数据
                var fragmentData = [];
                if (share.staffMedicallyResult.length >= 10) {
                    fragmentData = share.staffMedicallyResult.splice(0,10);
                }else {
                    fragmentData = share.staffMedicallyResult.splice(0);
                    $scope.loadShow = false;
                }
                fragmentData.forEach(function (param) {
                    $scope.resultData.push(param);
                });
            };
            getCacheList();

        }])  // 职工生育缴费
        .controller("staffBirthPayController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            // 职工生育缴费明细
            $scope.queryDetail = function (item) {
                share.payDetailList = item;
                $location.path("staffBirthPayDetail");
            };
            // 返回首页
            $scope.Return = function () {
                $location.path("index");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            // 过滤后台数据
            function filterData (param){
                // 储存数据
                var lens = param.socialInfos.length;
                var staffBirth = [];
                share.staffBirthresult = param.socialInfos;
                share.staffBirthresult.forEach(function (param) {
                    param.jfny = param.jfny.substring(0,4) + "年" + param.jfny.substring(4,6) + "月";
                });
                if (lens >= 10) {
                    $scope.loadShow = true;
                    staffBirth= share.staffBirthresult.splice(0,10);
                } else {
                    staffBirth = share.staffBirthresult.splice(0);
                }
                $scope.resultData = staffBirth;
                // 默认加载10条和缓存总数据
            }
            var cacheKey = "staffBirthPay";
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                    var cache = MyLocalStorage.Cache.get(cacheKey);
                    if(cache){
                        filterData(cache);
                    }else {
                        filterData(share.staffBirthParam);
                    }

            }
            $scope.loadMore = function (){
                // 截取数据
                var fragmentData = [];
                if (share.staffBirthresult.length >= 10) {
                    fragmentData = share.staffBirthresult.splice(0,10);
                }else {
                    fragmentData = share.staffBirthresult.splice(0);
                    $scope.loadShow = false;
                }
                fragmentData.forEach(function (param) {
                    $scope.resultData.push(param);
                });
            };
            getCacheList();

        }])
        // 职工生育缴费
        .controller("staffBirthPayDetailController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                $location.path("staffBirthPay");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.dwbh = share.payDetailList.dwbh;
            $scope.dwmc = share.payDetailList.dwmc;     // 单位名称
            $scope.jfny = share.payDetailList.jfny;     // 缴费年月
            $scope.jfjs = share.payDetailList.jfjs;     // 缴费基数
            $scope.dwjfe = share.payDetailList.dwjfe;   // 缴费额
        }])
        // 职工医疗缴费页面
        .controller("staffMedicallyPayDetailController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                $location.path("staffMedicallyPay");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.jfny = share.payDetailList.jfny;
            $scope.dwmc = share.payDetailList.dwmc;       // 单位名称
            $scope.dwjfe = share.payDetailList.dwjfe;     // 单位缴费额
            $scope.grjfe = share.payDetailList.grjfe;     // 个人缴费额
            $scope.dwjfjs = share.payDetailList.dwjfjs;   // 单位缴费基数
            $scope.grjfjs = share.payDetailList.grjfjs;   // 个人缴费基数
        }])  // 职工失业缴费页面
        .controller("loseDetailController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                $location.path("staffLosePay");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.dwbh = share.payDetailList.dwbh;
            $scope.dwmc = share.payDetailList.dwmc;   // 单位名称
            $scope.jfny = share.payDetailList.jfny;   // 缴费年月
            $scope.jfjs = share.payDetailList.jfjs;   // 缴费基数
            $scope.dwjfe = share.payDetailList.dwjfe;  // 缴费额
        }])  // 职工工伤缴费页面
        .controller("minjureByWordDetailController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                $location.path("staffInjurePay");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.dwbh = share.payDetailList.dwbh;     // 单位编号
            $scope.dwmc = share.payDetailList.dwmc;     // 单位名称
            $scope.jfny = share.payDetailList.jfny;     // 单位缴费额
            $scope.jfjs = share.payDetailList.jfjs;     // 缴费基数
            $scope.dwjfe = share.payDetailList.dwjfe;   // 缴费额
        }])  // 职工养老缴费明细页面
        .controller("ageDetailController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                $location.path("staffAgePay");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.dwbh = share.payDetailList.dwbh;       // 单位编号
            $scope.dwmc = share.payDetailList.dwmc;       // 单位名称
            $scope.jfny = share.payDetailList.jfny;
            $scope.grjfe = share.payDetailList.grjfe;      // 个人缴费额
            $scope.grjfjs = share.payDetailList.grjfjs;   // 个人缴费基数
            $scope.dwjfjs = share.payDetailList.dwjfjs;   // 单位缴费基数
            $scope.dwjfe = share.payDetailList.dwjfe;     // 缴费额
        }])
         //  居民养老缴费汇总查询
        .controller("residentAgePayController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            $scope.loadShow = false;
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            $scope.Return = function () {
                $location.path("moreQuery");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            var cacheKey = "CACHE-residentAgePay";
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    filterData(cache);
                }
            }
            function filterData(param){
                // 储存数据
                var filterData = []; // 截取数组
                var lens = param.socialInfos.length;
                share.result = param.socialInfos;
                // 默认加载10条
                if (lens >= 10) {
                    $scope.loadShow = true;
                    filterData = share.result.splice(0,10);
                } else {
                    filterData = share.result.splice(0);
                }
                $scope.resultData = filterData;
            }
            $scope.loadMore = function (){
                // 截取数据
                var fragmentData = [];
                if (share.result.length >=10) {
                    fragmentData = share.result.splice(0,10);
                } else {
                    $scope.loadShow = false;
                    fragmentData = share.result.splice(0);
                }
                fragmentData.forEach(function (param) {
                    $scope.resultData.push(param);
                });
            };
            getCacheList();
        }])  // 居民医疗缴费查询
        .controller("residentMedicallyPayController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                $location.path("moreQuery");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            var cacheKey = "CACHE-residentMedicallyPay";
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    $scope.residentMedicallyPayList = cache;
                }
            }
            getCacheList();
        }]) // 居民养老待遇查询
        .controller("residentAgeReceiveController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                $location.path("moreQuery");
            };
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            var cacheKey = "residentAgeReceive";
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    $scope.getUrGivAged = cache;
                }else {
                    residentAgeReceive();
                }
            }
            getCacheList();
        }])
        // 职工生育待遇查询
        .controller("staffBirthReceiveController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            var cacheKey = "staffBirthReceive";
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    $scope.getGivBirth = cache;
                }
            }
            $scope.Return = function () {
                $location.path("moreQuery");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            getCacheList();
        }])   // 职工养老待遇查询
        .controller("staffAgeReceiveController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                $location.path("moreQuery");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            var cacheKey = "staffAgeReceive";
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    $scope.ffje = cache.ffje; // 发放金额
                }
            }
            getCacheList();
        }])
          // 职工医疗待遇查询
        .controller("staffMedicallyReceiveController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            // 返回
            $scope.Return = function () {
                $location.path("moreQuery");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.linkMedicallyDetail = function (item) {
                share.medicallyReceive = item;
                $location.path("medicallyReceiveDetail");
            };
            function filterData(param){
                // 储存数据
                var filterData = []; // 截取数组
                var lens = param.socialInfos.length;
                $scope.staffMedicallyData= param.socialInfos;
                $scope.staffMedicallyData.forEach(function(item) {
                    item.zyrq = item.zyrq.substring(0,4) + "年" + item.zyrq.substring(4,6) + "月"+ item.zyrq.substring(6,8) + "日";
                    if (item.cyrq =="`k"){
                        item.cyrq = "";
                    }else{
                        item.cyrq = item.cyrq.substring(0,4) + "年" + item.cyrq.substring(4,6) + "月"+ item.cyrq.substring(6,8) + "日";
                    }
                });
                // 默认加载10条
                if (lens >= 10) {
                    $scope.loadShow = true;
                    filterData = $scope.staffMedicallyData.splice(0,10);
                } else {
                    filterData = $scope.staffMedicallyData.splice(0);
                }
                $scope.resultData = filterData;
            }
            $scope.loadMore = function (){
                // 截取数据
                var fragmentData = [];
                if (share.staffMedicallyData.length >=10) {
                    fragmentData = share.staffMedicallyData.splice(0,10);
                } else {
                    $scope.loadShow = false;
                    fragmentData = share.staffMedicallyData.splice(0);
                }
                fragmentData.forEach(function (param) {
                    $scope.resultData.push(param);
                });
            };

            var cacheKey = "staffMedicallyReceive";
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    filterData(cache);
                }
            }
            getCacheList();
        }])   //  居民医疗待遇查询
        .controller("residentMedicallyReceiveController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                $location.path("moreQuery");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            var cacheKey = "residentMedicallyReceive";
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    filterData(cache);
                }
            }
            function filterData(param){
                // 储存数据
                var filterData = []; // 截取数组
                var lens = param.socialInfos.length;
                $scope.residentMedicallyData= param.socialInfos;
                $scope.residentMedicallyData.forEach(function(item) {
                    item.zyrq = item.zyrq.substring(0,4) + "年" + item.zyrq.substring(4,6) + "月"+ item.zyrq.substring(6,8) + "日";
                    if (item.cyrq =="`k"){
                        item.cyrq = "";
                    }else{
                        item.cyrq = item.cyrq.substring(0,4) + "年" + item.cyrq.substring(4,6) + "月"+ item.cyrq.substring(6,8) + "日";
                    }
                });
                // 默认加载10条
                if (lens >= 10) {
                    $scope.loadShow = true;
                    filterData = $scope.residentMedicallyData.splice(0,10);
                } else {
                    filterData = $scope.residentMedicallyData.splice(0);
                }
                $scope.resultData = filterData;
            }
            $scope.loadMore = function (){
                // 截取数据
                var fragmentData = [];
                if (share.residentMedicallyData.length >=10) {
                    fragmentData = share.residentMedicallyData.splice(0,10);
                } else {
                    $scope.loadShow = false;
                    fragmentData = share.residentMedicallyData.splice(0);
                }
                fragmentData.forEach(function (param) {
                    $scope.resultData.push(param);
                });
            };
            getCacheList();
        }])  // 职工工伤待遇查询
        .controller("staffInjureReceiveController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                $location.path("moreQuery");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            var cacheKey = "staffInjureReceive";

            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);

                if(cache){
                    $scope.getGivHarm = cache;
                }
            }
          getCacheList();
        }])   // 居民养老缴费历史
        .controller("residentPayHistoryController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            var cacheKey = "residentPayHistory";
            getCacheList();
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    filterData(cache);
                }
            }
            $scope.queryDetail = function (item) {
                share.residentPayHistoryList = item;
                $location.path("residentPayHistoryDetail");
            };
            // 返回首页
            $scope.Return = function () {
                $location.path("moreQuery");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            // 过滤后台数据
            function filterData(param){
                // 储存数据
                var filterDatas = []; // 截取数组
                var lens = param.jfls.length;
                share.residentHistoryQuery = param.jfls;
                // 默认加载10条
                if (lens >= 10) {
                    filterDatas = share.residentHistoryQuery.splice(0,10);
                    $scope.loadShow = true;
                } else {
                    filterDatas = share.residentHistoryQuery.splice(0);
                }
                $scope.resultData = filterDatas;
            }
            $scope.loadMore = function (){
                // 截取数据
                var fragmentData = [];
                if (share.residentHistoryQuery.length >=10) {
                    fragmentData = share.residentHistoryQuery.splice(0,10);
                }  else {
                    fragmentData = share.residentHistoryQuery.splice(0);
                }
                fragmentData.forEach(function (param) {
                    $scope.resultData.push(param);
                });
            };

        }])  // 居民养老缴费历史明细
        .controller("residentPayHistoryDetailController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            $scope.Return = function () {
                $location.path("residentPayHistory");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.ReportName = nameEncrypt(UmsApi.globalization.getUserInfo().realName);
            $scope.certificateNumber =  UmsApi.globalization.getUserInfo().certificateNumber;
            $scope.sblbmc = share.residentPayHistoryList.sblbmc; // 申报类别名称
            $scope.sblb = share.residentPayHistoryList.sblb;     // 申报类别
            $scope.qsnf = share.residentPayHistoryList.qsnf;     // 起始年份
            $scope.zznf = share.residentPayHistoryList.zznf;     // 终止年份
            $scope.zje = share.residentPayHistoryList.zje;       // 总金额
            $scope.jfrq = share.residentPayHistoryList.jfrq;     // 缴费日期

        }]) // 	社保卡制卡进度查询
        .controller("socialSecurityProgressController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            // 返回
            $scope.Return = function () {
                $location.path("moreQuery");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            var cacheKey = "CACHE-socialSecurityProgress";
            $scope.certificateNumber = formatidcard(UmsApi.globalization.getUserInfo().certificateNumber);
            function getCacheList(){
                //本地无数据或数据过期，则通过请求查询数据库，同时将查询得到的结果，存入本地，下次刷新页面，无需请求数据库，直接使用本地数据，提升效率
                var cache = MyLocalStorage.Cache.get(cacheKey);
                if(cache){
                    $scope.gCardStatusBySfzhm = cache;
                }
            }
            getCacheList();
        }])
        // 医疗待遇查询明细
        .controller("medicallyReceiveDetailController", ["$scope","share","$timeout","$location", function($scope,share,$timeout,$location) {
            $scope.Return = function () {
                $location.path("staffMedicallyReceive");
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.yymc = share.medicallyReceive.yymc;             // 医院名称
            $scope.zyrq = share.medicallyReceive.zyrq;             // 住院日期
            $scope.cyrq = share.medicallyReceive.cyrq;             // 出院日期
            $scope.yltclbmc = share.medicallyReceive.yltclbmc;     // 医疗统筹类别名称
            $scope.jbmc = share.medicallyReceive.jbmc;             // 疾病名称
            $scope.sjfsfyze = share.medicallyReceive.sjfsfyze;     // 实际发生费用总额
            $scope.s = share.medicallyReceive.s;                   // 统筹金实支
            $scope.grzhzf = share.medicallyReceive.grzhzf;         // 个人账户支付

        }])
        .controller("emptyController", ["$scope", "share","$timeout","$location", function($scope, share,$timeout,$location) {
           $scope.error = share.error;
            // 返回
            $scope.Return = function () {
                UmsApi.page.backToNativeHome();
            };
        }])
        .value("share", {
            staffInjuryParam:{},
            staffBirthParam:{},
            staffLoseParam:{},
            staffMedicallyParam:{},         // 职工医疗缴费共享参数
            error:"",
            residentMedicallyData: [],
            staffMedicallyData: [],
            residentHistoryQuery: [],       // 居民养老缴费历史
            fragmentPayMedi:[],             // 养老医疗片段
            staffLoseResult: [],
            staffMedicallyResult:[],
            residentAgeHistoryDatas:"",
            residentAgeHistory:'',          // 居民养老缴费历史
            staffAgeData:{},
            resultArray:"",                 // 职工养老金数据缓存
            getPayMedi:"",
            accname:'',
            bal:'',
            loanInfoList:'',                // 首页数据列表,
            result:[],
            residentPayHistoryList:{},      // 居民缴费历史列表
            medicallyReceive:{}             // 医疗待遇领取明细
        });

    });