define(["angular"], function () {
    return angular.module("controllers", ["ionic"])
    //首页，医院列表页面controller
        .controller("IndexController", ["$rootScope","$scope", "$http", "$q", "$location", "$timeout", "share", function ($rootScope,$scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            // UmsApi.notification.tip(navigator.userAgent);
            if (share.wholeHospitalList == '') {
                queryHospitalList();
            } else {
                $scope.wholeHospitalList = share.wholeHospitalList;
            }
            $scope.goToUserAbout = function () {
                // var userInfo = UmsApi.globalization.getUserInfo();
                // UmsApi.notification.tip(JSON.stringify(userInfo));
                var userMobile = UmsApi.globalization.getUserInfo().mobile;
                if (userMobile == '') {
                    // UmsApi.page.forwardNativePage('native_login');
                    UmsApi.page.forwardNativePageWithRappel('native_login', function (data) {
                        // UmsApi.notification.tip(JSON.stringify(data));
                        $timeout(function () {
                            $location.path("userAbout");
                        }, 100);
                    }, function (data) {

                    });

                } else {
                    share.userId=UmsApi.globalization.getUserInfo().userId;
                    $timeout(function () {
                        $location.path("userAbout");
                    });
                }
                // $timeout(function () {
                //     $location.path("userAbout");
                // });
            };
            // 身份证号
            // share.cardNo = UmsApi.globalization.getUserInfo().certificateNumber;
            // 搜索删除按钮默认不显示
            $scope.searchCloseShow = '';
            $scope.matterInput = '';
            // 搜索失去焦点事件
            $scope.searchLineBlur = function () {
                $timeout(function () {
                    $scope.searchCloseShow = '';
                }, 100);

            };
            $scope.searchWordChange = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }

            };
            $scope.searchLineFocus = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }

            };
            // 搜索清除按钮
            $scope.deleteSearchWord = function ($event) {
                $event.stopPropagation();
                if ($scope.searchCloseShow == 'searchCloseShow') {
                    $scope.matterInput = '';
                    $scope.searchCloseShow = '';
                }

            };
            // 键盘搜索button事件
            $scope.forSearch = function ($event) {
                var keyCode = $event.keyCode;
                if (keyCode === 13) {
                    if ($scope.matterInput == '') {
                        UmsApi.notification.tip("请输入要查询的内容");
                    } else {
                        searchKeyWords();
                    }
                }

            };
            $scope.goToSearch = function () {
                if ($scope.matterInput == '') {
                    UmsApi.notification.tip("请输入要查询的内容");
                } else {
                    searchKeyWords();
                }
            };
            function searchKeyWords() {
                var queryParams = {queryAttri: $scope.matterInput};
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/blurryQuery", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.searchResult = response.organizations;
                    $timeout(function () {
                        $location.path("searchResult");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });
            }

            // 查询医院列表信息
            function queryHospitalList() {
                var queryParams = {hospitalMark: ''};
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryOrgs", queryParams, function (response) {
                    $scope.$apply(function () {
                        $scope.wholeHospitalList = response.organizations.organization;
                        share.wholeHospitalList = response.organizations.organization;
                    })
                }, function (response) {
                    if (response.errCode == '1002') {
                        UmsApi.notification.toast(response.errInfo);
                    } else {
                        UmsApi.notification.tip(response.errInfo, "确定", function () {
                            UmsApi.page.backToNativeHome();
                        });

                        //     UmsApi.notification.tip(response.errInfo, "确定", function () {
                        //         UmsApi.page.backToNativeHome();
                        //     });
                        // });
                    }

                });

            }
            function Rad(d){
                return d * Math.PI / 180.0;//经纬度转换成三角函数中度分表形式。
            }
         // 获取距离信息
         // 计算距离，参数分别为第一点的纬度，经度；第二点的纬度，经度
            $scope.currentLocation=function(lat1,lng1,lat2,lng2){
                // 当前纬度
                var latitude=UmsApi.globalization.getLocation().latitude;
                // 当前经度
                var longitude= UmsApi.globalization.getLocation().longitude;
                // var latitude='36.03';
                // var longitude='139.02';
                var radLat1 = Rad(lat1);
                var radLat2 = Rad(latitude);
                var a = radLat1 - radLat2;
                var  b = Rad(lng1) - Rad(longitude);
                var s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a/2),2) +
                        Math.cos(radLat1)*Math.cos(radLat2)*Math.pow(Math.sin(b/2),2)));
                s = s *6378.137 ;// EARTH_RADIUS;
                s = Math.round(s * 10000) / 10000; //输出为公里
                s=s.toFixed(1);
                s=(s>=99 ? '>99km': (s+'km'));
                return s;
            };

            // 跳转到医院科室页面
            $scope.goToHospitalDepartment = function (orgName, orgCode) {
                share.selectedHospital = orgName;
                share.selectedOrgCode = orgCode;
                queryDeptInfos();
                // $timeout(function () {
                //     $location.path("hospitalDepartment");
                // });
            };
            // 查询医院科室信息
            function queryDeptInfos() {
                var queryParams = {hospitalMark: share.selectedOrgCode};
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryDeptInfos", queryParams, function (response) {
                    share.firstDepartmentList = response.organizations.department;
                    $timeout(function () {
                        $location.path("hospitalDepartment");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 地址收缩展示
            $scope.addressClamp = '';
            $scope.showFullAddress = function ($event) {
                $event.stopPropagation();
                $($event.target).toggleClass('hospitalAddressClamp');
                // $scope.addressClamp='hospitalAddressClamp';
            };
            // 点击预约记录
            $scope.goToAppointRecord = function ($event, orgCode) {
                // 阻止点击事件冒泡
                $event.stopPropagation();
                share.selectedOrgCode = orgCode;
                queryBookRecord();
                // $timeout(function () {
                //     $location.path("appointRecordList");
                // });
            };

            // 查询此医院预约记录
            function queryBookRecord() {
                var queryParams = {clienttypeId: 'SDRS', cardNo: share.cardNo, orgCode: share.selectedOrgCode};
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryBookRecord", queryParams, function (response) {
                    share.appointRecordList = response.organizations.bookrecord;
                    $timeout(function () {
                        $location.path("appointRecordList");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

        }])
        //搜索结果页面controller
        .controller("searchResultController", ["$rootScope","$scope", "$http", "$q", "$location", "$timeout", "share", function ($rootScope,$scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            // 搜索删除按钮默认不显示
            $scope.searchCloseShow = '';
            $scope.matterInput = '';
            // 搜索失去焦点事件
            $scope.searchLineBlur = function () {
                $timeout(function () {
                    $scope.searchCloseShow = '';
                }, 100);

            };
            $scope.searchWordChange = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }

            };
            $scope.searchLineFocus = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }

            };
            // 搜索清除按钮
            $scope.deleteSearchWord = function ($event) {
                $event.stopPropagation();
                if ($scope.searchCloseShow == 'searchCloseShow') {
                    $scope.matterInput = '';
                    $scope.searchCloseShow = '';
                }

            };
            // 键盘搜索button事件
            $scope.forSearch = function ($event) {
                var keyCode = $event.keyCode;
                if (keyCode === 13) {
                    if ($scope.matterInput == '') {
                        UmsApi.notification.tip("请输入要查询的内容");
                    } else {
                        searchKeyWords();
                    }
                }

            };
            $scope.goToSearch = function () {
                if ($scope.matterInput == '') {
                    UmsApi.notification.tip("请输入要查询的内容");
                } else {
                    searchKeyWords();
                }
            };
            function searchKeyWords() {
                var queryParams = {queryAttri: $scope.matterInput};
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/blurryQuery", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.searchResult = response.organizations;

                    $scope.$apply(function () {
                        $scope.correlationHospitalsList = share.searchResult.orgInfos;
                        $scope.correlationDepartmentsList = share.searchResult.deptInfos;
                        $scope.correlationDoctorsList = share.searchResult.doctorInfos;
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });
            }

            $scope.correlationHospitalsList = share.searchResult.orgInfos;
            $scope.correlationDepartmentsList = share.searchResult.deptInfos;
            $scope.correlationDoctorsList = share.searchResult.doctorInfos;
            $scope.selectedIndex = 'zh';
            $scope.searchTypeList = [
                {name: '综合', id: 'zh'},
                {name: '医院', id: 'yy'},
                {name: '科室', id: 'ks'},
                {name: '医生', id: 'ys'},
            ];
            // tab搜索结果切换
            $scope.searchResultToggle = function (id) {
                $scope.selectedIndex = id;
            };
            $scope.viewMoreHospitals = function () {
                $scope.selectedIndex = 'yy';
            };
            $scope.viewMoreDepartments = function () {
                $scope.selectedIndex = 'ks';
            };
            $scope.viewMoreDoctors = function () {
                $scope.selectedIndex = 'ys';
            };

            // 搜索结果医院跳转
            $scope.correlationHospitalSkip = function (orgName, orgCode) {
                share.selectedHospital = orgName;
                share.selectedOrgCode = orgCode;
                queryDeptInfos();
            };
            // 查询医院科室信息
            function queryDeptInfos() {
                var queryParams = {hospitalMark: share.selectedOrgCode};
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryDeptInfos", queryParams, function (response) {
                    share.firstDepartmentList = response.organizations.department;
                    $timeout(function () {
                        $location.path("hospitalDepartment");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 搜索结果科室跳转
            $scope.correlationDepartmentSkip = function (name, code, orgName, orgCode) {
                share.departmentTitle = name;
                share.departmentCode = code;
                share.selectedHospital = orgName;
                share.selectedOrgCode = orgCode;
                queryDoctorInfos();

            };
            // 查询医生信息
            function queryDoctorInfos() {
                var startDate = (new Date()).format('yyyy-MM-dd');
                var endDate = (new Date((new Date()).getTime() + 24 * 3600 * 1000 * 7)).format('yyyy-MM-dd');
                var queryParams = {
                    hospitalMark: share.selectedOrgCode,
                    departmentCode: share.departmentCode,
                    startDate: startDate,
                    endDate: endDate
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryDoctorInfos", queryParams, function (response) {
                    share.doctorAppointList = response.organizations.doctor;
                    $timeout(function () {
                        $location.path("dateDoctorAppoint");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 搜索结果医生跳转

            $scope.correlationDoctorSkip = function (docCode, name, code, orgName, orgCode) {
                share.departmentTitle = name;
                share.departmentCode = code;
                share.selectedHospital = orgName;
                share.selectedOrgCode = orgCode;
                queryOneDoctorInfo(docCode);

            };
            // 查询医生信息
            function queryOneDoctorInfo(docCode) {
                var startDate = (new Date()).format('yyyy-MM-dd');
                var endDate = (new Date((new Date()).getTime() + 24 * 3600 * 1000 * 7)).format('yyyy-MM-dd');
                var queryParams = {
                    doctorCode: docCode,
                    hospitalMark: share.selectedOrgCode,
                    departmentCode: share.departmentCode,
                    startDate: startDate,
                    endDate: endDate
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryDoctorInfos", queryParams, function (response) {
                    share.doctorAppointList = response.organizations.doctor;
                    $timeout(function () {
                        $location.path("dateDoctorAppoint");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

        }])

        //医院科室页面controller
        .controller("hospitalDepartmentController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            // 返回键处理
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            // 一级科室展示
            $scope.firstDepartmentList = share.firstDepartmentList;
            // 默认选中第一项
            $scope.selectedIndex = 0;
            // 二级科室列表展示
            $scope.secondDepartmentList = share.firstDepartmentList[0].deptInfo;
            // 选择一级科室联动
            $scope.selectFirstDepartment = function (index) {
                $scope.selectedIndex = index;
                $scope.secondDepartmentList = share.firstDepartmentList[index].deptInfo;

            };

            // 跳转至按日期或者医生选择排班
            $scope.goToDateDoctorAppoint = function (name, code) {
                share.departmentTitle = name;
                share.departmentCode = code;
                queryDoctorInfos();
                // $timeout(function () {
                //     $location.path("dateDoctorAppoint");
                // });
            };
            // 查询医生信息
            function queryDoctorInfos() {
                var startDate = (new Date()).format('yyyy-MM-dd');
                var endDate = (new Date((new Date()).getTime() + 24 * 3600 * 1000 * 7)).format('yyyy-MM-dd');
                var queryParams = {
                    hospitalMark: share.selectedOrgCode,
                    departmentCode: share.departmentCode,
                    startDate: startDate,
                    endDate: endDate
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryDoctorInfos", queryParams, function (response) {
                    share.doctorAppointList = response.organizations.doctor;
                    $timeout(function () {
                        $location.path("dateDoctorAppoint");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 搜索删除按钮默认不显示
            $scope.searchCloseShow = '';
            $scope.matterInput = '';
            // 搜索失去焦点事件
            $scope.searchLineBlur = function () {
                $timeout(function () {
                    $scope.searchCloseShow = '';
                }, 100);

            };
            $scope.searchWordChange = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }

            };
            $scope.searchLineFocus = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }

            };
            // 搜索清除按钮
            $scope.deleteSearchWord = function ($event) {
                $event.stopPropagation();
                if ($scope.searchCloseShow == 'searchCloseShow') {
                    $scope.matterInput = '';
                    $scope.searchCloseShow = '';
                }

            };
            // 键盘搜索button事件
            $scope.forSearch = function ($event) {
                var keyCode = $event.keyCode;
                if (keyCode === 13) {
                    if ($scope.matterInput == '') {
                        UmsApi.notification.tip("请输入要查询的内容");
                    } else {
                        searchKeyWords();
                    }
                }

            };
            $scope.goToSearch = function () {
                if ($scope.matterInput == '') {
                    UmsApi.notification.tip("请输入要查询的内容");
                } else {
                    searchKeyWords();
                }
            };
            function searchKeyWords() {
                var queryParams = {queryAttri: $scope.matterInput};
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/blurryQuery", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.searchResult = response.organizations;
                    $timeout(function () {
                        $location.path("searchResult");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });
            }


        }])
        //按日期和医生预约controller
        .controller("dateDoctorAppointController", ["$rootScope","$scope", "$location", "$timeout", "share", function ($rootScope,$scope, $location, $timeout, share) {

            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.belongHospitalPic = share.selectedOrgCode;
            $scope.hospitalName = share.selectedHospital;
            $scope.departmentName = share.departmentTitle;
            // 默认的医生预约列表
            $scope.doctorAppointList = share.doctorAppointList;
            $scope.lastWeekDate = getLastWeekDateArr();
            share.scheduleDayArr = $scope.lastWeekDate;
            // 获取今天开始的一周时间数组
            function getLastWeekDateArr() {
                var lastWeekDateArr = [];
                for (var i = 0; i < 7; i++) {
                    var curDate = {};
                    curDate.date = (new Date((new Date()).getTime() + 24 * 3600 * 1000 * i)).format('MM-dd');
                    curDate.fullDate = (new Date((new Date()).getTime() + 24 * 3600 * 1000 * i)).format('yyyy-MM-dd');
                    curDate.day = "周" + "日一二三四五六".charAt((new Date((new Date()).getTime() + 24 * 3600 * 1000 * i)).getDay());
                    lastWeekDateArr.push(curDate);
                }
                // console.log(lastWeekDateArr);
                return lastWeekDateArr;
            }

            // 默认不选中时间
            $scope.forenoonIndex = 'S';
            $scope.afternoonIndex = 'X';
            // 选择指定时间的医生排班
            $scope.selectForenoonAppoint = function (index, fullDate) {
                $scope.forenoonIndex = index;
                $scope.afternoonIndex = 'P';
                querySessionSchedules(fullDate, 'S');

            };
            $scope.selectAfternoonAppoint = function (index, fullDate) {
                $scope.afternoonIndex = index;
                $scope.forenoonIndex = 'S';
                querySessionSchedules(fullDate, 'X')
            };
            // 跳转至医生排班页面
            $scope.goToDoctorSchedule = function (index, isReservation) {
                if (isReservation == '1') {
                    share.doctorInfo = $scope.doctorAppointList[index];
                    querySchedules();
                }

            };

            // 查询医生排班
            function querySchedules() {
                var queryParams = {
                    hospitalMark: share.selectedOrgCode,
                    departmentCode: share.departmentCode,
                    doctorCode: share.doctorInfo.doctorCode
                };
                // UmsApi.notification.tip(JSON.stringify(queryParams));
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/querySchedulesInfosDetail", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.doctorSchedules = response.organizations.doctor[0];
                    share.doctorEvaluateList = share.doctorSchedules.doctorEvalu;
                    $timeout(function () {
                        $location.path("doctorSchedule");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 查询指定日期的医生排班
            function querySessionSchedules(fullDate, period) {
                var queryParams = {
                    hospitalMark: share.selectedOrgCode,
                    departmentCode: share.departmentCode,
                    startDate: fullDate,
                    endDate: fullDate,
                    period: period
                };
                // UmsApi.notification.tip(queryParams);
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryDoctorInfos", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.doctorAppointList = response.organizations.doctor;
                    // if(response.organizations.doctor.length>1){
                    $scope.$apply(function () {
                        // 更新医生列表
                        $scope.doctorAppointList = response.organizations.doctor;
                    });
                    // }else{
                    //
                    // }

                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }


        }])
        //医生排班controller
        .controller("doctorScheduleController", ["$rootScope","$scope", "$location", "$timeout", "share", function ($rootScope,$scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.evalUnicode = function (str) {
                var stringShow = eval("'" + str + "'");
                return stringShow;
            };
            var handle = function ($event) {

                event.preventDefault();
                // event.stopPropagation();//阻止元素发生默认的行为
            };
            var handle1 = function ($event) {
                // document.body.style.height="100%";
                // document.body.style.overflow="hidden";
                $('body').css('overflow', 'hidden');
                $('body').css('height', '100%');
                $('html').css('height', '100%');
                $('html').css('overflow', 'hidden');
                // document.getElementsByClassName('patientEvaluate')[0].style.height="20%";
                // document.getElementsByClassName('patientEvaluate')[0].style.overflow="hidden";
                // event.stopPropagation();
                // document.getElementsByClassName('patientEvaluate')[0].removeEventListener('touchmove',handle,false);
                // event.stopPropagation();//阻止元素发生默认的行为
            };
            document.getElementsByClassName('appointTimeMask')[0].addEventListener('touchmove', handle, false);
            document.getElementsByClassName('selectAppointTimeTitle')[0].addEventListener('touchmove', handle, false);
            document.getElementsByClassName('selectedAppointDate')[0].addEventListener('touchmove', handle, false);
            document.getElementsByClassName('appointTimeScheduleList')[0].addEventListener('touchmove', handle1, false);


            $scope.closeDetails = function ($event) {
                // $($event.target).removeClass('doctorDescDetailView');
                $('p.doctorDescDetailView').removeClass('doctorDescDetailView');
                $scope.showDetailsShow = true;
            };
            $scope.showDetails = function ($event) {
                // $($event.target).prev().toggleClass('doctorDescDetailView');
                $($event.target).prev().addClass('doctorDescDetailView');
                $scope.showDetailsShow = false;
            };

            $scope.hospitalName = share.selectedHospital;
            $scope.departmentName = share.departmentTitle;
            // 医生信息
            $scope.doctorInfo = share.doctorInfo;
            $scope.showDetailsShow = ($scope.doctorInfo.doctorDesc != '') && ($scope.doctorInfo.doctorDesc.length > 60);
            // 科室信息
            $scope.selectedDepartment = share.departmentTitle;
            // 医院信息
            $scope.selectedHospital = share.selectedHospital;
            $scope.topDoctorScore=share.doctorSchedules.valuNum + '分';
            $scope.doctorScore = '患者评价(' + share.doctorSchedules.valuNum + '分' + ')';
            // 评价列表
            $scope.doctorEvaluateList = share.doctorEvaluateList;
            var doctorEvaluateListLen=$scope.doctorEvaluateList.length;
            $scope.evaluateNull = (doctorEvaluateListLen == 0);
            $scope.wholeEvaluateShow = (doctorEvaluateListLen >=10);

            $scope.goToWholeEvaluateList=function(){
                $timeout(function () {
                    $rootScope.startPage=0;
                    $location.path("wholeEvaluateList");
                });
            };

            $scope.evaluateStarList = [{"score": 20, star: 1}, {"score": 40, star: 2}, {
                "score": 60,
                star: 3
            }, {"score": 80, star: 4}, {"score": 100, star: 5}];
            // 上午排班数组
            $scope.scheduleAmArr = share.doctorSchedules.am;
            $scope.schedulePmArr = share.doctorSchedules.pm;
            // 排班展示时间
            $scope.scheduleDayArr = share.scheduleDayArr;
            $scope.appointTimeMaskShow = false;
            // 展示预约排班详情
            $scope.showAppointDetailTime = function (index, sessionCode, sessionCodeName, timeFlag, numSourceFlag, scheduleId, serviceDate, fee, week) {
                share.sessionCode = sessionCode;
                share.sessionCodeName = sessionCodeName;
                share.scheduleId = scheduleId;
                share.serviceDate = serviceDate;
                share.fee = fee;
                share.week = week;
                if (timeFlag == '1') {
                    // 有分时段排班
                    share.numNo = '';
                    docScheduleTimeList();

                } else {
                    var appMobile = UmsApi.globalization.getUserInfo().mobile;
                    if (appMobile == '') {
                        // UmsApi.page.forwardNativePage('native_login');
                        UmsApi.page.forwardNativePageWithRappel('native_login', function (data) {
                            if (numSourceFlag == '1') {
                                // 号源查询排班
                                share.dstId = '';
                                queryAppointTimes();
                            } else {
                                // 中医院和妇保院没有上传分时段的和时间点号源
                                share.dstId = '';
                                share.numNo = '';
                                $timeout(function () {
                                    $location.path("appointInfo");
                                });
                            }
                        }, function (data) {

                        });

                    } else {
                        share.userId=UmsApi.globalization.getUserInfo().userId;
                        if (numSourceFlag == '1') {
                            // 号源查询排班
                            share.dstId = '';
                            queryAppointTimes();
                        } else {
                            // 中医院和妇保院没有上传分时段的和时间点号源
                            share.dstId = '';
                            share.numNo = '';
                            $timeout(function () {
                                $location.path("appointInfo");
                            });
                        }
                    }
                    // if (numSourceFlag == '1') {
                    //     // 号源查询排班
                    //     share.dstId = '';
                    //     queryAppointTimes();
                    // } else {
                    //     // 中医院和妇保院没有上传分时段的和时间点号源
                    //     share.dstId = '';
                    //     share.numNo = '';
                    //     $timeout(function () {
                    //         $location.path("appointInfo");
                    //     });
                    // }
                }

            };
            $scope.selectedAppointDate = '';
            $scope.appointTimeScheduleList = '';
            // 查询分时段排班接口
            function docScheduleTimeList() {
                var queryParams = {hospitalMark: share.selectedOrgCode, scheduleId: share.scheduleId};
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/docScheduleTimeList", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    $scope.$apply(function () {
                        $scope.selectedAppointDate = share.serviceDate + '' + share.week;
                        $scope.appointTimeScheduleList = response.organizations.st;
                        $scope.appointTimeMaskShow = true;

                    });


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 查询号源排班接口
            function queryAppointTimes() {
                var queryParams = {
                    hospitalMark: share.selectedOrgCode,
                    scheduleId: share.scheduleId,
                    doctorCode: share.doctorInfo.doctorCode,
                    sessionCode: share.sessionCode,
                    departmentCode: share.departmentCode,
                    serviceDate: share.serviceDate
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryAppointTimes", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.numNo = response.organizations.timeInfo[0].Num;

                    $timeout(function () {
                        $location.path("appointInfo");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 关闭预约时间详情蒙层
            $scope.closeAppointTimeMask = function () {
                $scope.appointTimeMaskShow = false;
                $('body').css('overflow', 'auto');
                $('html').css('overflow', 'auto');
            };

            // $scope.appointTimeScheduleList = [{timeRange: "11:43~12:13", subtotalNum: "30"}, {timeRange: "11:43~12:13", subtotalNum: "30"}];
            // 跳转至预约信息确认页面
            $scope.goToAppointInfo = function (dstId) {
                var appMobile = UmsApi.globalization.getUserInfo().mobile;
                if (appMobile == '') {
                    // UmsApi.page.forwardNativePage('native_login');
                    UmsApi.page.forwardNativePageWithRappel('native_login', function (data) {
                        share.dstId = dstId;
                        $timeout(function () {
                            $location.path("appointInfo");
                        }, 100);
                    }, function (data) {

                    });

                } else {
                    share.userId=UmsApi.globalization.getUserInfo().userId;
                    share.dstId = dstId;
                    $timeout(function () {
                        $location.path("appointInfo");
                    });
                }
                // share.dstId = dstId;
                // $timeout(function () {
                //     $location.path("appointInfo");
                // });
            }

        }])
        //全部评价controller
        .controller("wholeEvaluateListController", ["$rootScope","$scope", "$location", "$timeout", "share", function ($rootScope,$scope, $location, $timeout, share) {
            $scope.Return = function () {
                share.doctorEvaluateList=$scope.doctorEvaluateList.splice(0,10);
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.evalUnicode = function (str) {
                var stringShow = eval("'" + str + "'");
                return stringShow;
            };
            $scope.evaluateStarList = [{"score": 20, star: 1}, {"score": 40, star: 2}, {
                "score": 60,
                star: 3
            }, {"score": 80, star: 4}, {"score": 100, star: 5}];
            $scope.doctorEvaluateList = share.doctorEvaluateList;
            var doctorEvaluateListLen=$scope.doctorEvaluateList.length;
            // if(doctorEvaluateListLen>=0 && doctorEvaluateListLen<10){
            //     $scope.hasmore = false;
            // }else{
            //     $scope.hasmore = true;
            //     $rootScope.startPage=2;
            // }
            $scope.hasmore = true;

            $scope.loadMore = function () {
                $rootScope.startPage++;
                moreDoctorEvaluateList();
            };


            function moreDoctorEvaluateList(){
                var  queryParams = {
                    page:$rootScope.startPage,
                    doctorCode: share.doctorInfo.doctorCode,
                    // limit:"10",
                    // hospitalMark: share.selectedOrgCode,
                    // departmentCode: share.departmentCode,
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/getDocEvalu", queryParams, function(response) {
                    // UmsApi.notification.toast($rootScope.startPage);
                    var newDoctorEvaluateList=response.doctorEvalu;
                    var length=response.doctorEvalu.length;
                    $scope.$broadcast('scroll.infiniteScrollComplete');//这里是告诉ionic更新数据完成，可以再次触发更新事件
                    if (length===0) {
                        $timeout(function(){
                            $scope.hasmore = false;
                            UmsApi.notification.toast('没有更多数据了');
                        });

                        return;
                    }else{
                        $scope.doctorEvaluateList.concat();
                        // $scope.$apply(function () {
                        //     $scope.doctorAppointList = response.organizations.doctor;
                        // });
                        for(var i=0;i<length;i++){
                            // share.doctorEvaluateList.push(newDoctorEvaluateList[i]);
                            $scope.doctorEvaluateList.push(newDoctorEvaluateList[i]);
                        }
                    }





                }, function(data) {
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                    UmsApi.notification.error(data.errInfo);
                });

            }



        }])
        //预约信息确认controller
        .controller("appointInfoController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
                // $timeout(function () {
                //     $location.path("doctorSchedule");
                // });
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            // 医生信息
            $scope.doctorInfo = share.doctorInfo;
            // 科室信息
            $scope.selectedDepartment = share.departmentTitle;
            // 医院信息
            $scope.selectedHospital = share.selectedHospital;
            // 就诊时间
            $scope.appointTimeDetail = share.serviceDate + ' ' + share.sessionCodeName;
            // 挂号费
            $scope.expenseAmount = share.fee;
            $scope.patientName = share.currentPatientInfo.patientName;


            // 查询家庭联系人
            // var appMobile = UmsApi.globalization.getUserInfo().mobile;

            if ($scope.patientName == '') {

                queryMediList();

            } else {

            }

            function queryMediList() {
                var queryParams = {
                    userId:share.userId,
                };

                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/mediList", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.patientInfos = response.patientInfos;
                    share.familyContactsNum = response.patientInfos.length;
                    if (response.patientInfos.length >= 1) {
                        $scope.$apply(function () {
                            var currentPatientInfo = response.patientInfos[0];
                            $scope.patientName = currentPatientInfo.patientName;
                            share.currentPatientInfo = {
                                patientName: currentPatientInfo.patientName,
                                patientPhone: currentPatientInfo.patientPhone,
                                patientCardNo: currentPatientInfo.patientCardNo,
                                patientSex: currentPatientInfo.patientSex,
                                patientAge: currentPatientInfo.patientAge,
                                id: currentPatientInfo.id,
                                isDeCard: currentPatientInfo.isDeCard
                            };
                        });
                    }


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }


            $scope.goToSelectPatient = function () {
                $timeout(function () {
                    $location.path("selectPatient");
                });
            };
            // 就诊人信息
            // $scope.patientName = '李四';
            // $scope.patientIdentifyNo = '3101********0989';
            // $scope.patientMobile = '1381880188';
            // var userInfo = UmsApi.globalization.getUserInfo();
            // $scope.patientName = '**' + userInfo.realName.substr(-1);
            // $scope.patientIdentifyNo = userInfo.certificateNumber.substr(0, 10) + "****" + userInfo.certificateNumber.substr(-4);
            // $scope.patientMobile = userInfo.mobile;


            // 确认提交按钮
            $scope.confirmAppointInfo = {
                buttonText: "提交",
                isButtonEnabled: true,
                onButtonClick: function () {
                    if ($scope.patientName == '') {
                        UmsApi.notification.toast('请选择就诊人');
                    } else {
                        appointOrder();
                    }

                    // $timeout(function () {
                    //     $location.path("appointSuccess");
                    // });

                }
            };
            // $scope.$watchGroup(["patientName",], function (newValue, oldValue) {
            //
            //     if(Number(newValue[0])==''){
            //         $scope.confirmAppointInfo.isButtonEnabled=false;
            //     }else{
            //         $scope.payBill.isButtonEnabled=true;
            //     }
            //
            // });

            // 预约挂号
            function appointOrder() {
                if (share.currentPatientInfo.patientName == '' && share.patientInfos.length != 0) {
                    share.currentPatientInfo = share.patientInfos[0];
                }
                var queryParams = {
                    userId:share.userId,
                    hospitalMark: share.selectedOrgCode,
                    serviceDate: share.serviceDate,
                    departmentCode: share.departmentCode,
                    doctorCode: share.doctorInfo.doctorCode,
                    sessionCode: share.sessionCode,
                    patientName: share.currentPatientInfo.patientName,
                    phone: share.currentPatientInfo.patientPhone,
                    cardNo: share.currentPatientInfo.patientCardNo,
                    scheduleId: share.scheduleId,
                    numNo: share.numNo,
                    clienttypeId: 'SDRS',
                    dstId: share.dstId
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/bookOrder", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.appointSuccessInfo = response.organizations;
                    $timeout(function () {
                        $location.path("appointSuccess");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }
        }])
        //预约成功controller
        .controller("appointSuccessController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.appointHospital = share.selectedHospital;
            $scope.appointSuccessInfo = share.appointSuccessInfo;
            // 取消预约按钮
            $scope.confirmAppointInfo = {
                buttonText: "取消预约",
                isButtonEnabled: true,
                onButtonClick: function () {

                    UmsApi.notification.dialog("0", "提示", "确定取消预约吗", "取消,确定", function (data) {
                        if (data.bizData.selectIndex === "1") {
                            cancelOrder();
                        }


                    });
                    // UmsApi.notification.tip('确定取消预约吗？','确定',function(){
                    //     cancelOrder();
                    // });
                }
            };
            // 取消预约
            function cancelOrder() {
                var queryParams = {
                    clienttypeId: 'SDRS',
                    orderCode: $scope.appointSuccessInfo.OrderCode,
                    hospitalMark: share.selectedOrgCode
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/cancelOrder", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    // UmsApi.notification.tip('取消成功。',"确定", function () {
                    //     UmsApi.page.SPABack(1);
                    // });
                    UmsApi.notification.tip('取消成功');
                    $scope.$apply(function () {
                        $scope.confirmAppointInfo.isButtonEnabled = false;
                    });


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }


        }])
        //预约记录列表controller
        .controller("appointRecordListController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.appointRecordList = share.appointRecordList;
            $scope.goToAppointDetail = function (index) {
                share.appointRecordDetail = $scope.appointRecordList[index];
                $timeout(function () {
                    $location.path("appointRecordDetail");
                });
            };
            $scope.goToEvaluateDoctor = function (hospitalMark, departmentCode, doctorCode, org_name, name,application_no,hisapp_id,appointment_date,identity_cardval, $event) {
                // 阻止点击事件冒泡
                $event.stopPropagation();
                queryOneDoctorInfo(hospitalMark, departmentCode, doctorCode, org_name, name,application_no,hisapp_id,appointment_date,identity_cardval);
            };

            // 查询医生信息
            function queryOneDoctorInfo(hospitalMark, departmentCode, doctorCode, org_name, name,application_no,hisapp_id,appointment_date,identity_cardval) {
                var queryParams = {
                    hospitalMark: hospitalMark,
                    departmentCode: departmentCode,
                    doctorCode: doctorCode,
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryDoctorInfos", queryParams, function (response) {
                    share.evaluateDoctor = response.organizations.doctor[0];
                    share.evaluateOrganName = org_name;
                    share.evaluateRequest.patientName=name;
                    share.evaluateRequest.applicationNo=application_no;
                    share.evaluateRequest.hisappId=hisapp_id;
                    share.evaluateRequest.appointmentDate=appointment_date;
                    share.evaluateRequest.identityCardval=identity_cardval;

                    $timeout(function () {
                        $location.path("evaluateDoctor");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }


        }])
        //预约记录详情controller
        .controller("appointRecordDetailController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };

            $scope.appointRecordDetail = share.appointRecordDetail;
            $scope.enableCancel = ($scope.appointRecordDetail.toadm_flag == 0);
            // 取消预约按钮
            $scope.cancelAppoint = function () {
                UmsApi.notification.dialog("0", "提示", "确定取消预约吗", "取消,确定", function (data) {
                    if (data.bizData.selectIndex === "1") {
                        cancelOrder();
                    }
                });
            };

            // 取消预约
            function cancelOrder() {
                var queryParams = {
                    clienttypeId: 'SDRS',
                    orderCode: $scope.appointRecordDetail.application_no,
                    hospitalMark: $scope.appointRecordDetail.org_code
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/cancelOrder", queryParams, function (response) {
                    UmsApi.notification.tip('取消成功', "确定", function () {
                        queryPatientRecord();
                    });
                    // $scope.$apply(function () {
                    //     $scope.enableCancel = false;
                    //
                    // });


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 查询全部、当前就诊人预约记录
            function queryPatientRecord() {
                if (share.patientCardNo == '') {
                    var queryParams = {
                        userId:share.userId,
                        isShowAll: '0'
                    };
                } else {
                    var queryParams = {
                        userId:share.userId,
                        isShowAll: '1',
                        cardNo: share.patientCardNo
                    };
                }

                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryBookRecord", queryParams, function (response) {
                    share.appointRecordList = response.organizations.bookrecord;
                    $timeout(function () {
                        // $location.path("appointRecordList");
                        UmsApi.page.SPABack(1);
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }


        }])
        //我的页面controller
        .controller("userAboutController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                // $timeout(function () {
                    UmsApi.page.SPABack(1);
                // },300);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.goToAppointRecordList = function () {
                queryBookRecord();
            };
            $scope.goToFamilyContacts = function () {
                queryMediList();
            };
            // 查询全部预约记录
            function queryBookRecord() {
                var queryParams = {
                    userId:share.userId,
                    isShowAll: '0'
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryBookRecord", queryParams, function (response) {
                    share.appointRecordList = response.organizations.bookrecord;
                    $timeout(function () {
                        share.patientCardNo = '';
                        $location.path("appointRecordList");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 查询家庭联系人
            function queryMediList() {
                var queryParams = {
                    userId:share.userId,
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/mediList", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.patientInfos = response.patientInfos;
                    share.familyContactsNum = response.patientInfos.length;
                    $timeout(function () {
                        $location.path("familyContacts");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }


        }])
        //家庭联系人controller
        .controller("familyContactsController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.patientInfos = share.patientInfos;
            $scope.goToPatientAppointRecordList = function (patientCardNo) {
                queryPatientRecord(patientCardNo);
            };

            // 查询当前就诊人预约记录
            function queryPatientRecord(patientCardNo) {
                var queryParams = {
                    userId:share.userId,
                    isShowAll: '1',
                    cardNo: patientCardNo
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryBookRecord", queryParams, function (response) {
                    share.appointRecordList = response.organizations.bookrecord;
                    $timeout(function () {
                        share.patientCardNo = patientCardNo;
                        $location.path("appointRecordList");
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 查询家庭联系人
            function queryMediList() {
                var queryParams = {
                    userId:share.userId,
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/mediList", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.patientInfos = response.patientInfos;
                    share.familyContactsNum = response.patientInfos.length;
                    $scope.$apply(function () {
                        $scope.patientInfos = share.patientInfos;
                    });
                    share.currentPatientInfo.patientName = '';
                    // if(response.patientInfos.length==0){
                    //     share.currentPatientInfo='';
                    // }
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 编辑就诊人
            $scope.goToEditPatientInfo = function (patientName, patientPhone, patientCardNo, patientSex, patientAge, id, isDeCard) {
                share.editPatientInfo = {
                    patientName: patientName,
                    patientPhone: patientPhone,
                    patientCardNo: patientCardNo,
                    patientSex: patientSex,
                    patientAge: patientAge,
                    id: id,
                    isDeCard: isDeCard
                };

                $timeout(function () {
                    $location.path("editPatientInfo");
                });
            };
            // 添加就诊人
            $scope.goToAddPatientInfo = function () {
                if (share.familyContactsNum >= 10) {
                    UmsApi.notification.toast("可添加的家庭联系人最多为10个");
                } else {
                    $timeout(function () {
                        $location.path("addPatientInfo");
                    });
                }

            };
            // 删除就诊人
            $scope.deletePatient = function (id) {
                UmsApi.notification.dialog("0", "提示", "确定删除当前就诊人吗", "取消,确定", function (data) {
                    if (data.bizData.selectIndex === "1") {
                        deletePatientInfo(id);
                    }


                });

            };

            // 删除就诊人
            function deletePatientInfo(id) {
                var queryParams = {id: id};
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/deletePatientInfo", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    queryMediList();


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }


        }])
        //添加就诊人controller
        .controller("addPatientInfoController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };

            $scope.patientNameInput = {
                inputLabel: "姓名",
                placeHolder: "请输入真实姓名",
                inputType: "text",
                maxLength: 6,
                minLength: 2,
                value: '',
            };
            $scope.patientCardInput = {
                inputLabel: "身份证",
                placeHolder: "请输入正确的身份证号",
                inputType: "text",
                maxLength: 18,
                minLength: 18,
                value: '',
            };
            $scope.patientMobileInput = {
                inputLabel: "手机号",
                placeHolder: "用于接收预约成功短信，请谨慎填写",
                inputType: "text",
                maxLength: 11,
                minLength: 7,
                value: '',
            };

            $scope.patientAge = '系统自动获取';
            $scope.patientGender = '系统自动获取';
            $scope.autoCaptureColor = 'autoCaptureColorGray';
            // $scope.patientAge = '';
            // $scope.patientGender = '';

            // 确认按钮
            $scope.confirmAddPatient = {
                buttonText: "提交",
                isButtonEnabled: false,
                onButtonClick: function () {
                    if ($scope.patientNameInput.value == '') {
                        UmsApi.notification.toast("请输入真实姓名");
                    } else if (identityCardReg.test($scope.patientCardInput.value) == false) {
                        UmsApi.notification.toast("请输入正确的身份证号")
                    } else if ($scope.patientMobileInput.value.length < 11) {
                        UmsApi.notification.toast("请输入正确的手机号")
                    } else {
                        savePatientInfo();
                    }
                }
            };
            var identityCardReg = /^[1-9]\d{5}(18|19|20)\d{2}((0[1-9])|(1[0-2]))(([0-2][1-9])|10|20|30|31)\d{3}[0-9xX]$/;
            var mobileReg = /^1\d{10}$/;
            $scope.$watchGroup(["patientCardInput.value", "patientMobileInput.value", "patientNameInput.value", "patientAge"], function (newValue, oldValue) {
                $scope.patientCardInput.value = newValue[0].replace(/[^0-9xX]+$/g, '');
                $scope.patientMobileInput.value = newValue[1].replace(/[^0-9]+$/g, '');
                $scope.patientNameInput.value = newValue[2].replace(/[^a-zA-Z\u4e00-\u9fa5]+$/g, '');


                if (newValue[1].length == 11) {

                    if (mobileReg.test($scope.patientMobileInput.value) == false) {
                        UmsApi.notification.toast("请输入正确的手机号")
                    }
                }

                var length = newValue[0].length;
                if (length < 18) {
                    $scope.patientGender = '系统自动获取';
                    $scope.patientAge = '系统自动获取';
                    $scope.autoCaptureColor = 'autoCaptureColorGray';
                } else if (length == 18) {
                    var dateEnd = new Date();
                    var dateBegin = new Date(($scope.patientCardInput.value).substr(-12, 4), ($scope.patientCardInput.value).substr(-8, 2) - 1, ($scope.patientCardInput.value).substr(-6, 2));
                    if (identityCardReg.test($scope.patientCardInput.value) == false) {
                        UmsApi.notification.toast("请输入正确的身份证号")
                    } else if (dateEnd.getTime() < dateBegin.getTime()) {
                        UmsApi.notification.toast("请输入正确的身份证号")
                    } else {
                        $scope.patientGender = getIdentityCardGender(newValue[0]);
                        $scope.patientAge = getIdentityCardAge(newValue[0]);
                        $scope.autoCaptureColor = 'autoCaptureColorBlack';
                    }

                }

                var isEnabled = ((length == 18) && (identityCardReg.test($scope.patientCardInput.value) == true) && (newValue[1].length == 11) && (mobileReg.test($scope.patientMobileInput.value) == true) && (newValue[2] != '')) && (newValue[3] != '系统自动获取');
                if (isEnabled) {
                    $scope.confirmAddPatient.isButtonEnabled = true;
                } else {
                    $scope.confirmAddPatient.isButtonEnabled = false;
                }


            });


            $scope.setDefaultFlag = 'defaultUnSelected';
            $scope.isDeCard="0";
            $scope.switchDefault = function () {

                // console.log(isDecard);
                if ($scope.setDefaultFlag == 'defaultUnSelected') {
                    $scope.setDefaultFlag = 'defaultSelected';
                    $scope.isDeCard = "1";
                    // isDeCard = ($scope.setDefaultFlag == 'defaultUnSelected' ? '0' : "1");
                } else {
                    $scope.setDefaultFlag = 'defaultUnSelected';
                    // isDeCard = ($scope.setDefaultFlag == 'defaultUnSelected' ? '0' : "1");
                    $scope.isDeCard = "0";
                }
            };

            // 添加就诊人
            function savePatientInfo() {
                var queryParams = {
                    userId:share.userId,
                    patientName: $scope.patientNameInput.value,
                    patientPhone: $scope.patientMobileInput.value,
                    patientCardNo: $scope.patientCardInput.value,
                    patientSex: $scope.patientGender,
                    patientAge: $scope.patientAge,
                    isDeCard: $scope.isDeCard,
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/savePatientInfo", queryParams, function (response) {
                    queryMediList();

                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 查询家庭联系人
            function queryMediList() {
                var queryParams = {
                    userId:share.userId,
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/mediList", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.patientInfos = response.patientInfos;
                    share.familyContactsNum = response.patientInfos.length;

                    UmsApi.page.SPABack(1);

                    // $timeout(function () {
                    //     $location.path("familyContacts");
                    // });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

        }])
        //编辑就诊人controller
        .controller("editPatientInfoController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            var editPatientInfo = share.editPatientInfo;
            // var patientCardNoHide = editPatientInfo.patientCardNo.substr(0, 3) + "*********" + editPatientInfo.patientCardNo.substr(-4);
            // var patientPhoneHide = editPatientInfo.patientPhone.substr(0, 3) + "****" + editPatientInfo.patientPhone.substr(-4);
            $scope.patientNameInput = {
                inputLabel: "姓名",
                placeHolder: "请输入真实姓名",
                inputType: "text",
                maxLength: 6,
                minLength: 2,
                value: editPatientInfo.patientName,
            };
            $scope.patientCardInput = {
                inputLabel: "身份证",
                placeHolder: "请输入正确的身份证号",
                inputType: "text",
                maxLength: 18,
                minLength: 18,
                // value: patientCardNoHide,
                value: editPatientInfo.patientCardNo,
            };
            $scope.patientMobileInput = {
                inputLabel: "手机号",
                placeHolder: "用于接收预约成功短信，请谨慎填写",
                inputType: "text",
                maxLength: 11,
                minLength: 7,
                // value: patientPhoneHide,
                value: editPatientInfo.patientPhone,
            };

            $scope.patientAge = editPatientInfo.patientAge;
            $scope.patientGender = editPatientInfo.patientSex;
            $scope.autoCaptureColor = 'autoCaptureColorBlack';


            // 确认按钮
            $scope.confirmAddPatient = {
                buttonText: "提交",
                isButtonEnabled: false,
                onButtonClick: function () {
                    if ($scope.patientNameInput.value == '') {
                        UmsApi.notification.toast("请输入真实姓名");
                    } else if (identityCardReg.test($scope.patientCardInput.value) == false) {
                        UmsApi.notification.toast("请输入正确的身份证号")
                    } else if ($scope.patientMobileInput.value.length < 11) {
                        UmsApi.notification.toast("请输入正确的手机号")
                    } else {
                        upPatientInfo();
                    }
                }
            };

            var identityCardReg = /^[1-9]\d{5}(18|19|20)\d{2}((0[1-9])|(1[0-2]))(([0-2][1-9])|10|20|30|31)\d{3}[0-9xX]$/;
            var mobileReg = /^1\d{10}$/;
            $scope.$watchGroup(["patientCardInput.value", "patientMobileInput.value", "patientNameInput.value", "patientAge"], function (newValue, oldValue) {
                $scope.patientCardInput.value = newValue[0].replace(/[^0-9xX]+$/g, '');
                $scope.patientMobileInput.value = newValue[1].replace(/[^0-9]+$/g, '');
                $scope.patientNameInput.value = newValue[2].replace(/[^a-zA-Z\u4e00-\u9fa5]+$/g, '');
                if (newValue[1].length == 11) {
                    if (mobileReg.test($scope.patientMobileInput.value) == false) {
                        UmsApi.notification.toast("请输入正确的手机号")
                    }
                }

                var length = newValue[0].length;
                if (length < 18) {
                    $scope.patientGender = '系统自动获取';
                    $scope.patientAge = '系统自动获取';
                    $scope.autoCaptureColor = 'autoCaptureColorGray';
                } else if (length == 18) {
                    var dateEnd = new Date();
                    var dateBegin = new Date(($scope.patientCardInput.value).substr(-12, 4), ($scope.patientCardInput.value).substr(-8, 2) - 1, ($scope.patientCardInput.value).substr(-6, 2));
                    if (identityCardReg.test($scope.patientCardInput.value) == false) {
                        UmsApi.notification.toast("请输入正确的身份证号")
                    } else if (dateEnd.getTime() < dateBegin.getTime()) {
                        UmsApi.notification.toast("请输入正确的身份证号")
                    } else {
                        $scope.patientGender = getIdentityCardGender(newValue[0]);
                        $scope.patientAge = getIdentityCardAge(newValue[0]);
                        $scope.autoCaptureColor = 'autoCaptureColorBlack';
                    }

                }

                var isEnabled = ((length == 18) && (identityCardReg.test($scope.patientCardInput.value) == true) && (newValue[1].length == 11) && (mobileReg.test($scope.patientMobileInput.value) == true) && (newValue[2] != '')) && (newValue[3] != '系统自动获取');
                if (isEnabled) {
                    $scope.confirmAddPatient.isButtonEnabled = true;
                } else {
                    $scope.confirmAddPatient.isButtonEnabled = false;
                }

            });
            $scope.isDeCard=editPatientInfo.isDeCard;
            $scope.setDefaultFlag =(editPatientInfo.isDeCard == '0' ? 'defaultUnSelected' : "defaultSelected");
            $scope.switchDefault = function () {

                if ($scope.setDefaultFlag == 'defaultUnSelected') {
                    $scope.setDefaultFlag = 'defaultSelected';
                    $scope.isDeCard = "1";
                } else {
                    $scope.setDefaultFlag = 'defaultUnSelected';
                    $scope.isDeCard = "0";
                }
            };
            // var isDecard = ($scope.setDefaultFlag == 'defaultUnSelected' ? '0' : "1");

            // 更新就诊人
            function upPatientInfo() {
                var queryParams = {
                    userId:share.userId,
                    patientName: $scope.patientNameInput.value,
                    patientPhone: $scope.patientMobileInput.value,
                    patientCardNo: $scope.patientCardInput.value,
                    patientSex: $scope.patientGender,
                    patientAge: $scope.patientAge,
                    id: editPatientInfo.id,
                    isDeCard: $scope.isDeCard,
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/upPatientInfo", queryParams, function (response) {
                    queryMediList();

                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 查询家庭联系人
            function queryMediList() {
                var queryParams = {
                    userId:share.userId,
                };
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/mediList", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.patientInfos = response.patientInfos;
                    share.familyContactsNum = response.patientInfos.length;
                    $timeout(function () {
                        // $location.path("familyContacts");
                        UmsApi.page.SPABack(1);
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

        }])
        //选择就诊人controller
        .controller("selectPatientController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                if($scope.selectRadioIndex==0){
                    share.currentPatientInfo = $scope.patientInfos[0];
                }
                UmsApi.page.SPABack(1);
                // $timeout(function () {
                //     $location.path("appointInfo");
                // });
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.patientInfos = share.patientInfos;
            $scope.selectRadioIndex = share.selectedPatientIndex || '0';
            $scope.selectPatient = function (index) {
                $scope.selectRadioIndex = index;
                share.currentPatientInfo = $scope.patientInfos[index];
                $timeout(function () {
                    $location.path("appointInfo");
                }, 100);
                share.selectedPatientIndex = index;
            };

            // 编辑就诊人
            $scope.goToEditPatientInfo = function ($event, patientName, patientPhone, patientCardNo, patientSex, patientAge, id, isDeCard) {
                // 阻止点击事件冒泡
                $event.stopPropagation();
                share.editPatientInfo = {
                    patientName: patientName,
                    patientPhone: patientPhone,
                    patientCardNo: patientCardNo,
                    patientSex: patientSex,
                    patientAge: patientAge,
                    id: id,
                    isDeCard: isDeCard
                };

                $timeout(function () {
                    $location.path("editPatientInfo");
                });
            };
            // 添加就诊人
            $scope.goToAddPatientInfo = function () {
                if (share.familyContactsNum >= 10) {
                    UmsApi.notification.toast("可添加的就诊人最多为10个");
                } else {
                    $timeout(function () {
                        $location.path("addPatientInfo");
                    });
                }
            };


        }])
        //评价医生controller
        .controller("evaluateDoctorController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
                // $timeout(function () {
                //     $location.path("appointInfo");
                // });
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.doctorInfo = share.evaluateDoctor;
            $scope.evaluateOrganName = share.evaluateOrganName;
            // 擅长收缩展示
            $scope.doctorSpec = '';
            $scope.showFullDoctorSpec = function ($event) {
                $event.stopPropagation();
                $($event.target).toggleClass('evaluateSpecClamp');
            };
            $scope.evaluateStarList = [{"score": 20, star: 1}, {"score": 40, star: 2}, {
                "score": 60,
                star: 3
            }, {"score": 80, star: 4}, {"score": 100, star: 5}];
            $scope.starScore = 0;
            $scope.changeEvaluateStar = function (star) {
                $scope.starScore = star;
            };

            // 确认按钮
            $scope.evaluateContent = '';
            $scope.confirmAddPatient = {
                buttonText: "提交",
                isButtonEnabled: false,
                onButtonClick: function () {
                    if ($scope.starScore == 0) {
                        UmsApi.notification.toast("请给予您的评分");
                    } else if ($scope.evaluateContent.length < 5) {
                        UmsApi.notification.toast("评价的字数需在5至50之间");
                    } else {
                        doctorEvaluateInfo();
                    }
                }
            };
            function utf16toEntities(str) {
                var patt = /[\ud800-\udbff][\udc00-\udfff]/g;
                // 检测utf16字符正则
                str = str.replace(patt, function (char) {
                    var H, L, code;
                    if (char.length === 2) {
                        H = char.charCodeAt(0);
                        // 取出高位
                        L = char.charCodeAt(1);
                        // 取出低位
                        code = (H - 0xD800) * 0x400 + 0x10000 + L - 0xDC00;
                        // 转换算法
                        return "&#" + code + ";";
                    } else {
                        return char;
                    }
                });
                return str;
            }

            // 医生评价
            function doctorEvaluateInfo() {
                var evaluateString = utf16toEntities($scope.evaluateContent);
                var queryParams = {
                    doctorCode: $scope.doctorInfo.doctorCode,
                    doctorName: $scope.doctorInfo.doctorName,
                    evaluateStar: $scope.starScore,
                    evaluateInfo: evaluateString,
                    patientName: share.evaluateRequest.patientName,
                    applicationNo: share.evaluateRequest.applicationNo,
                    hisappId: share.evaluateRequest.hisappId,
                    appointmentDate: share.evaluateRequest.appointmentDate,
                    identityCardval: share.evaluateRequest.identityCardval,
                    userId:share.userId,
                };
                // UmsApi.notification.tip(JSON.stringify(queryParams));
                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/doctorEvaluateinfo", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    UmsApi.notification.tip('发布成功', '确定', function () {
                        // UmsApi.page.SPABack(1);
                        queryPatientRecord();
                    });
                }, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 查询全部、当前就诊人预约记录
            function queryPatientRecord() {
                if (share.patientCardNo == '') {
                    var queryParams = {
                        userId:share.userId,
                        isShowAll: '0'
                    };
                } else {
                    var queryParams = {
                        userId:share.userId,
                        isShowAll: '1',
                        cardNo: share.patientCardNo
                    };
                }

                Tools.fillAndRequestFromNet("gateway/jnadapters/medical/queryBookRecord", queryParams, function (response) {
                    share.appointRecordList = response.organizations.bookrecord;
                    $timeout(function () {
                        // $location.path("appointRecordList");
                        UmsApi.page.SPABack(1);
                    });
                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }



            $scope.$watchGroup(["starScore", "evaluateContent"], function (newValue, oldValue) {
                // $scope.evaluateContent=newValue[1].replace(/[^a-zA-Z\u4e00-\u9fa5]+$/g,'');

                if (newValue[1].length >= 5 && newValue[1].length <= 50 && newValue[0] > 0) {
                    $scope.confirmAddPatient.isButtonEnabled = true;
                } else {
                    $scope.confirmAddPatient.isButtonEnabled = false;
                }
            });


        }])
        .value("share", {
            // 用户id
            userId:"",
            // 身份证号
            cardNo: '',
            // 医院列表
            wholeHospitalList: '',
            // wholeHospitalList: [
            //     {
            //         "orgLevelCode": "二级甲等",
            //         availNum: "50",
            //         "orgAddr": "济宁市供销路12号",
            //         "orgName": "济宁市妇女儿童医院",
            //         "orgCode": "49395057237081111G1001",
            //         "lat":"131.02",
            //         "lung":"39.02",
            //         "orgOtherName": "",
            //         // "orgPhoto": "https://m.baidu.com/static/index/plus/plus_logo.png",
            //         "orgPhoto": "https://hokkl.com/index/plus/plus_logo.png",
            //         "adminLevelCode": "",
            //         "adminLevelName": "",
            //         "orgPhotoId": "3c0611ab88054b02a9bf30541a48d9d5"
            //     },
            //     {
            //         "orgLevelCode": "三级甲等",
            //         availNum: "50",
            //         "orgAddr": "总院区地址：济宁市健康路6号 东院区地址：济宁高新区孟子大道99号 西院区地址：济宁运河之都特大桥（原八里庙大桥）向西1500米路北",
            //         "lat":"139.02",
            //         "lung":"39.02",
            //         "orgName": "济宁市第一人民医院",
            //         "orgCode": "49395058037081111A1001",
            //         "orgOtherName": "",
            //         "orgPhoto": "https://hokkl.com/index/plus/plus_logo.png",
            //         "adminLevelCode": "",
            //         "adminLevelName": "",
            //         "orgPhotoId": "ea8da44bda87422f8a4bb2f9901f9336"
            //     }, {
            //         "orgLevelCode": "二级甲等",
            //         availNum: "50",
            //         "orgAddr": "济宁市供销路12号",
            //         "orgName": "济宁市妇女儿童医院",
            //         "orgCode": "49395057237081111G1001",
            //         "orgOtherName": "",
            //         "orgPhoto": "https://hokkl.com/index/plus/plus_logo.png",
            //         "adminLevelCode": "",
            //         "adminLevelName": "",
            //         "orgPhotoId": "3c0611ab88054b02a9bf30541a48d9d5"
            //     },
            //     {
            //         "orgLevelCode": "二级甲等",
            //         num: "50",
            //         "orgAddr": "济宁市供销路12号",
            //         "orgName": "济宁市妇女儿童医院",
            //         "orgCode": "49395057237081111G1001",
            //         "orgOtherName": "",
            //         "orgPhoto": "http://19110.12/rarp/userfiles/images/organzationImage/49395057237081111G1001.jpg",
            //         "adminLevelCode": "",
            //         "adminLevelName": "",
            //         "orgPhotoId": "3c0611ab88054b02a9bf30541a48d9d5"
            //     },
            //     {
            //         "orgLevelCode": "三级甲等",
            //         num: "50",
            //         "orgAddr": "总院区地址：济宁市健康路6号 东院区地址：济宁高新区孟子大道99号 西院区地址：济宁运河之都特大桥（原八里庙大桥）向西1500米路北",
            //         "orgName": "济宁市第一人民医院",
            //         "orgCode": "49395058037081111A1001",
            //         "orgOtherName": "",
            //         "orgPhoto": "http://192..12/rarp/userfiles/images/organzationImage/49395058037081111A1001.jpg",
            //         "adminLevelCode": "",
            //         "adminLevelName": "",
            //         "orgPhotoId": "ea8da44bda87422f8a4bb2f9901f9336"
            //     }, {
            //         "orgLevelCode": "二级甲等",
            //         num: "50",
            //         "orgAddr": "济宁市供销路12号",
            //         "orgName": "济宁市妇女儿童医院",
            //         "orgCode": "49395057237081111G1001",
            //         "orgOtherName": "",
            //         "orgPhoto": "http://192.168.110.12/rarp/userfiles/images/organzationImage/49395057237081111G1001.jpg",
            //         "adminLevelCode": "",
            //         "adminLevelName": "",
            //         "orgPhotoId": "3c0611ab88054b02a9bf30541a48d9d5"
            //     },
            // ],
            // 科室列表
            firstDepartmentList: '',
            // firstDepartmentList: [
            //     {
            //         "deptInfo": [
            //             {
            //                 "departmentName": "儿科一",
            //                 "deptName": "儿科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01002003",
            //                 "deptCode": "Pediatrics"
            //             },
            //             {
            //                 "departmentName": "儿科二",
            //                 "deptName": "儿科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01002004",
            //                 "deptCode": "Pediatrics"
            //             },
            //             {
            //                 "departmentName": "儿科三",
            //                 "deptName": "儿科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01002005",
            //                 "deptCode": "Pediatrics"
            //             }
            //         ],
            //         "deptName": "儿科"
            //     },
            //     {
            //         "deptInfo": [
            //             {
            //                 "departmentName": "妇产科一",
            //                 "deptName": "妇科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01001004",
            //                 "deptCode": "Gynecology"
            //             },
            //             {
            //                 "departmentName": "妇产科二",
            //                 "deptName": "妇科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01001005",
            //                 "deptCode": "Gynecology"
            //             }
            //         ],
            //         "deptName": "妇科"
            //     },
            //     {
            //         "secondDepartment": [
            //             {
            //                 "departmentName": "遗传咨询门诊",
            //                 "deptName": "遗传咨询科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01018001",
            //                 "deptCode": "GeneticAdvisory"
            //             }
            //         ],
            //         "deptName": "遗传咨询科"
            //     },
            //     {
            //         "secondDepartment": [
            //             {
            //                 "departmentName": "听力中心",
            //                 "deptName": "听力科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "05015001",
            //                 "deptCode": "Audiology"
            //             }
            //         ],
            //         "deptName": "听力科"
            //     }, {
            //         "secondDepartment": [
            //             {
            //                 "departmentName": "儿科一",
            //                 "deptName": "儿科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01002003",
            //                 "deptCode": "Pediatrics"
            //             },
            //             {
            //                 "departmentName": "儿科二",
            //                 "deptName": "儿科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01002004",
            //                 "deptCode": "Pediatrics"
            //             },
            //             {
            //                 "departmentName": "儿科三",
            //                 "deptName": "儿科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01002005",
            //                 "deptCode": "Pediatrics"
            //             }
            //         ],
            //         "deptName": "儿科"
            //     },
            //     {
            //         "secondDepartment": [
            //             {
            //                 "departmentName": "妇产科一",
            //                 "deptName": "妇科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01001004",
            //                 "deptCode": "Gynecology"
            //             },
            //             {
            //                 "departmentName": "妇产科二",
            //                 "deptName": "妇科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01001005",
            //                 "deptCode": "Gynecology"
            //             }
            //         ],
            //         "deptName": "妇科"
            //     },
            //     {
            //         "deptInfo": [
            //             {
            //                 "departmentName": "遗传咨询门诊",
            //                 "deptName": "遗传咨询科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01018001",
            //                 "deptCode": "GeneticAdvisory"
            //             }
            //         ],
            //         "deptName": "遗传咨询科"
            //     },
            //     {
            //         "secondDepartment": [
            //             {
            //                 "departmentName": "听力中心",
            //                 "deptName": "听力科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "05015001",
            //                 "deptCode": "Audiology"
            //             }
            //         ],
            //         "deptName": "听力科"
            //     },
            //     {
            //         "secondDepartment": [
            //             {
            //                 "departmentName": "儿科一",
            //                 "deptName": "儿科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01002003",
            //                 "deptCode": "Pediatrics"
            //             },
            //             {
            //                 "departmentName": "儿科二",
            //                 "deptName": "儿科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01002004",
            //                 "deptCode": "Pediatrics"
            //             },
            //             {
            //                 "departmentName": "儿科三",
            //                 "deptName": "儿科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01002005",
            //                 "deptCode": "Pediatrics"
            //             }
            //         ],
            //         "deptName": "儿科"
            //     },
            //     {
            //         "secondDepartment": [
            //             {
            //                 "departmentName": "妇产科一",
            //                 "deptName": "妇科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01001004",
            //                 "deptCode": "Gynecology"
            //             },
            //             {
            //                 "departmentName": "妇产科二",
            //                 "deptName": "妇科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01001005",
            //                 "deptCode": "Gynecology"
            //             }
            //         ],
            //         "deptName": "妇科"
            //     },
            //     {
            //         "secondDepartment": [
            //             {
            //                 "departmentName": "遗传咨询门诊",
            //                 "deptName": "遗传咨询科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "01018001",
            //                 "deptCode": "GeneticAdvisory"
            //             }
            //         ],
            //         "deptName": "遗传咨询科"
            //     },
            //     {
            //         "secondDepartment": [
            //             {
            //                 "departmentName": "听力中心",
            //                 "deptName": "听力科",
            //                 "orgName": "",
            //                 "orgCode": "49395057237081111G1001",
            //                 "departmentCode": "05015001",
            //                 "deptCode": "Audiology"
            //             }
            //         ],
            //         "deptName": "听力科"
            //     }
            // ],

            // 选择的医院科室
            departmentTitle: '',
            // 预约排班的医生列表
            doctorAppointList: '',
            // doctorAppointList: [
            //     {
            //         "valuNum":"8.6",
            //         "doctorName": "魏红艳",
            //         availableNum:"200",
            //         "DepartmentCode": "3",
            //         "DoctorDesc": "副主任医师，合并症科副主任，擅长内科系统疾病的救治，如冠心病、高血压、心力衰竭、心律失常等心血管疾病，支气管炎、慢性阻塞性肺疾病等呼吸系统疾病，对胃炎、消化性溃疡、急、慢性酒精中毒、糖尿病及等疾病均有比较丰富的临床诊治经验。",
            //         "DoctorGender": "",
            //         "doctorSpec": "擅长内科系统疾病的救治，如冠心病、高血压、心力衰竭、心律失常等心血管疾病，支气管炎、慢性阻塞性肺疾病等呼吸系统疾病，对胃炎、消化性溃疡、急、慢性酒精中毒、糖尿病及等疾病均有比较丰富的临床诊治经验。",
            //         "doctorImg": "http://192.168..12/rarp/userfiles/images/staffImage/49395067937081111A5201102069.JPG",
            //         "doctorCode": "102069",
            //         "DepartmentName": "内科",
            //         "doctorTitle": "副主任医师",
            //         "isReservation": "1",
            //     },
            //     {
            //         "valuNum":"0",
            //         "doctorName": "李伟",
            //         "DepartmentCode": "3",
            //         "DoctorDesc": "主任医师，精通内科常见病，多发病，疑难病症的诊断及治疗，擅长肺心病、冠心病，糖尿病，高血压病，脑血管病的诊断、治疗。著作论文40余篇，公开发表25篇，参编专著24部，主编12部。科研5项，济宁市科技进步三等奖4项。连续多年获得院先进工作者、优秀干部等荣誉，先后获得济宁医学院科技进步理论成果奖、济宁市三八红旗手等荣誉。",
            //         "DoctorGender": "",
            //         "DoctorSpec": "精通内科常见病，多发病，疑难病症的诊断及治疗，擅长肺心病、冠心病，糖尿病，高血压病，脑血管病的诊断、治疗。",
            //         "DoctorImg": "http://192.168.110.12/rarp/userfiles/images/staffImage/49395067937081111A5201102025.JPG",
            //         "DoctorCode": "102025",
            //         "DepartmentName": "内科",
            //         "DoctorTitle": "主任医师",
            //         "isReservation": "0",
            //     },
            //     {
            //         "DoctorName": "刘茂祥",
            //         "DepartmentCode": "3",
            //         "DoctorDesc": "副主任医师，职业病科医疗组长。擅长老年病，急、危重症，呼吸系统疾病，尘肺病、职业性中毒及其他职业病诊治。撰写论文10余篇，编写著作8部，完成科研项目一项获济宁市科技进步三等奖。",
            //         "DoctorGender": "",
            //         "DoctorSpec": "擅长老年病，急、危重症，呼吸系统疾病，尘肺病、职业性中毒及其他职业病诊治。",
            //         "DoctorImg": "http://192.168.110.12/rarp/userfiles/images/staffImage/49395067937081111A5201102042.JPG",
            //         "DoctorCode": "102042",
            //         "DepartmentName": "内科",
            //         "DoctorTitle": "副主任医师",
            //         "isReservation": "1",
            //     }],
            // 选择的医院名称
            selectedHospital: '',
            // 选择的医院机构号
            selectedOrgCode: '',
            // 选择的二级科室编码
            departmentCode: '',
            // 选择的医生信息
            doctorInfo: '',
            // doctorInfo: {
            //     "departmentName": "内科",
            //     "doctorSpec": "精通内科常见病，多发病，疑难病症的诊断及治疗，擅长肺心病、冠心病，糖尿病，高血压病，脑血管病的诊断、治疗。",
            //     "doctorName": "李伟",
            //     availableNum:"200",
            //     "doctorTitle": "主任医师",
            //     "doctorDesc": "主任医师，精通内科常见病，多发病，疑难病症的诊断及治疗，擅长肺心病、冠心病，糖尿病，高血压病，脑血管病的诊断、治疗。著作论文40余篇，公开发表25篇，参编专著24部，主编12部。科研5项，济宁市科技进步三等奖4项。连续多年获得院先进工作者、优秀干部等荣誉，先后获得济宁医学院科技进步理论成果奖、济宁市三八红旗手等荣誉。",
            //     "departmentCode": "3",
            //     "doctorCode": "102025",
            //     "doctorGender": "",
            //     "isReservation": "1",
            //     "orgsCode": "49395067937081111A5201",
            //     "doctorImg": "http://192.168.110.12/rarp/userfiles/images/staffImage/49395067937081111A5201102025.JPG"
            // },
            // 医生排班
            doctorSchedules: '',
            doctorEvaluateList:'',
            // doctorEvaluateList: [
            //     {
            //         "patientName": "姜涛",
            //         "field1": "",
            //         "star": "4",
            //         "createTime": "2019-02-19 16:00:00",
            //         "review": "1",
            //         "doctorCode": "496",
            //         "evaluateNumber": 80,
            //         "evaluateInfo": "\ud83e\u672c\\u7F16\\u7801",
            //         "id": "7601dcc3ced042a8935402dc757013d5",
            //         "field2": ""
            //     },
            //     {
            //         "patientName": "姜涛",
            //         "evaluateNumber": 80,
            //         "evaluateInfo": "\ud83e\u672c\\u7F16\\u7801",
            //         "star": "4",
            //         "createTime": "2019-02-19 16:00:00",
            //     },
            //     {
            //         "patientName": "姜涛",
            //         "evaluateNumber": 80,
            //         "evaluateInfo": "\ud83e\u672c\\u7F16\\u7801",
            //         "star": "4",
            //         "createTime": "2019-02-19 16:00:00",
            //     },
            //     {
            //         "patientName": "姜涛",
            //         "evaluateNumber": 80,
            //         "evaluateInfo": "\ud83e\u672c\\u7F16\\u7801",
            //         "star": "4",
            //         "createTime": "2019-02-19 16:00:00",
            //     },
            //     {
            //         "patientName": "姜涛",
            //         "evaluateNumber": 80,
            //         "evaluateInfo": "\ud83e\u672c\\u7F16\\u7801",
            //         "star": "4",
            //         "createTime": "2019-02-19 16:00:00",
            //     },
            //     {
            //         "patientName": "姜涛",
            //         "evaluateNumber": 80,
            //         "evaluateInfo": "\ud83e\u672c\\u7F16\\u7801",
            //         "star": "4",
            //         "createTime": "2019-02-19 16:00:00",
            //     },
            //     {
            //         "patientName": "姜涛",
            //         "evaluateNumber": 80,
            //         "evaluateInfo": "\ud83e\u672c\\u7F16\\u7801",
            //         "star": "4",
            //         "createTime": "2019-02-19 16:00:00",
            //     },
            //     {
            //         "patientName": "姜涛",
            //         "evaluateNumber": 80,
            //         "evaluateInfo": "\ud83e\u672c\\u7F16\\u7801",
            //         "star": "4",
            //         "createTime": "2019-02-19 16:00:00",
            //     },
            //     {
            //         "patientName": "姜涛",
            //         "evaluateNumber": 80,
            //         "evaluateInfo": "\ud83e\u672c\\u7F16\\u7801",
            //         "star": "4",
            //         "createTime": "2019-02-19 16:00:00",
            //     },
            //     {
            //         "patientName": "姜涛",
            //         "field1": "",
            //         "star": "2",
            //         "createTime": "2019-02-19 16:00:00",
            //         "review": "1",
            //         "doctorCode": "496",
            //         "evaluateNumber": 80,
            //         "evaluateInfo": "测试评价",
            //         "id": "7601dcc3ced042a8935402dc757013d5",
            //         "field2": ""
            //     }
            // ],
            //
            //  doctorSchedules:{
            //            "valuNum":"8.6",
            //             "doctorEvalu": [
            //                 {
            //                     "patientName": "姜涛",
            //                     "field1": "",
            //                     "star": "4",
            //                     "createTime": "2019-02-19 16:00:00",
            //                     "review": "1",
            //                     "doctorCode": "496",
            //                     "evaluateNumber": 80,
            //                     "evaluateInfo": "\ud83e\u672c\\u7F16\\u7801",
            //                     "id": "7601dcc3ced042a8935402dc757013d5",
            //                     "field2": ""
            //                 },
            //                 {
            //                     "patientName": "姜涛",
            //                     "field1": "",
            //                     "star": "2",
            //                     "createTime": "2019-02-19 16:00:00",
            //                     "review": "1",
            //                     "doctorCode": "496",
            //                     "evaluateNumber": 80,
            //                     "evaluateInfo": "测试评价",
            //                     "id": "7601dcc3ced042a8935402dc757013d5",
            //                     "field2": ""
            //                 }
            //             ],
            //     "am": [
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周五",
            //         "ServiceDate": "2018-12-07",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周六",
            //         "ServiceDate": "2018-12-08",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周日",
            //         "ServiceDate": "2018-12-09",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "0",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "25",
            //         "ScheduleId": "4028ee92675e62ea01677036687c122e",
            //         "QueueType": "1",
            //         "Week": "周一",
            //         "ServiceDate": "2018-12-10",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "25",
            //         "isReservaFull": "1"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周二",
            //         "ServiceDate": "2018-12-11",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周三",
            //         "ServiceDate": "2018-12-12",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周四",
            //         "ServiceDate": "2018-12-13",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     }
            // ],
            //     "pm": [
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周五",
            //         "ServiceDate": "2018-12-07",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周六",
            //         "ServiceDate": "2018-12-08",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周日",
            //         "ServiceDate": "2018-12-09",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "0",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "25",
            //         "ScheduleId": "4028ee92675e62ea01677036687c122e",
            //         "QueueType": "1",
            //         "Week": "周一",
            //         "ServiceDate": "2018-12-10",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "25",
            //         "isReservaFull": "0"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周二",
            //         "ServiceDate": "2018-12-11",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周三",
            //         "ServiceDate": "2018-12-12",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     },
            //     {
            //         "DoctorName": "吕开雪",
            //         "DepartmentCode": "9",
            //         "NumSourceFlag": "1",
            //         "Fee": "",
            //         "SessionCode": "S",
            //         "ScheduleTimeFlag": "0",
            //         "DoctorCode": "149",
            //         "AllNum": "",
            //         "ScheduleId": "",
            //         "QueueType": "1",
            //         "Week": "周四",
            //         "ServiceDate": "2018-12-13",
            //         "DoctorSpec": "肝病",
            //         "DepartmentName": "内科(感染性疾病科)专家门诊",
            //         "SessionCodeName": "上午",
            //         "DoctorTitle": "副主任医师",
            //         "AvailableNum": "0",
            //         "isReservaFull": "0"
            //     }
            // ]
            // },
            // 最近一周时间数组
            scheduleDayArr: '',
            // 号源日期
            serviceDate: '',
            // 时段代码
            sessionCode: '',
            sessionCodeName: '',
            fee: '',//挂号费
            week: '',
            // 排班id
            scheduleId: '',
            // 号源排班的号源序号
            numNo: '',
            // 分时段id
            dstId: '',
            //预约时间段
            appointTime: '',
            // 预约成功后的信息
            appointSuccessInfo: '',
            // appointSuccessInfo: {
            //     "DoctorName": "韩书臣",
            //     "CardNo": "622429199402032456",
            //     "ServiceDate": "2018-07-11",
            //     "Fee": "0",
            //     "Num": "36",
            //     "OrderCode": "102018112800000001",
            //     "ResultMsg": "预约成功",
            //     "DepartmentName": "康复科",
            //     "PatientName": "李四5743",
            //     "ResultCode": "0",
            //     "RangeTime": "08:00-17:00"
            // },
            // 预约记录列表
            appointRecordList: '',
            // appointRecordList: [
            //     {
            //         "org_name": "济宁市中医院",
            //         "doctor_name": "张晓雪",
            //         "depart_name": "脑病科一门诊",
            //         "name": "李广斌",
            //         "appointment_date": "2018-10-13",
            //     }, {
            //         "org_name": "济宁市中医院",
            //         "doctor_name": "张晓雪",
            //         "depart_name": "脑病科一门诊",
            //         "name": "李广斌",
            //         "appointment_date": "2018-10-13",
            //     }, {
            //         "org_name": "济宁市中医院",
            //         "doctor_name": "张晓雪",
            //         "depart_name": "脑病科一门诊",
            //         "name": "李广斌",
            //         "appointment_date": "2018-10-13",
            //     }],

            searchResult: '',
            // searchResult:{
            //     "errCode": "0000",
            //     "errInfo": "请求成功!",
            //     "orgInfos": [
            //         {
            //             "orgLevelCode": "三级甲等",
            //             "orgAddr": "总院区地址：济宁市健康路6号 东院区地址：济宁高新区孟子大道99号 西院区地址：济宁运河之都特大桥（原八里庙大桥）向西1500米路北",
            //             "orgName": "济宁市第一人民医院",
            //             "orgCode": "49395058037081111A1001",
            //             "orgOtherName": "",
            //             "orgPhoto": "http://192.168.110.12/rarp/userfiles/images/organzationImage/49395058037081111A1001.jpg",
            //             "adminLevelCode": "",
            //             "adminLevelName": "",
            //             "orgPhotoId": "ea8da44bda87422f8a4bb2f9901f9336"
            //         }
            //     ],
            //     "deptInfos": [
            //         {
            //             "departmentName": "妇产科一",
            //             "deptName": "妇科",
            //             "orgName": "济宁市妇女儿童医院",
            //             "orgCode": "49395057237081111G1001",
            //             "departmentCode": "49395057237081111G100101001004",
            //             "departmentDesc": "妇产科是医院发展重点科室之一，产科（产前筛查）是济宁市市级I类临床重点学科，集医疗、教学和科研于一体。现有医护人员 66 人,其中主任医师2名、副主任医师5名、主治医师5名 ，硕士研究生3名，副主任护师4名、主管护师8名。              \n病房设有床位68张，环境温馨舒适，可满足不同层次产妇需求。每年收治住院患者3000余人次，完成住院手术500余例。 随着业务发展的需求，不断开发应用新技术、新项目，拓宽服务范围。开展了腹腔镜绝育术、子宫全切术，子宫肌瘤剔除术、附件切除术、卵巢囊肿剥出术、卵巢楔形切除术、子宫内膜异位病灶去除术、输卵管妊娠去除术、输卵管伞端造口成型术、输卵管再通术、盆腔粘连松解术等妇科手术，取得了满意的疗效。对妇科炎症、肿瘤、内分泌疾病、围产期疾病的治疗及计划生育手术积累了丰富的临床经验。\r\n利用阴道镜、TCT、HPV检测、对宫颈疾病特别是宫颈恶性肿瘤进行规范化的筛查、诊疗，避免了宫颈疾病的过度治疗，使宫颈癌能够早诊断、早治疗。近3年来开展了宫颈环扎术及紧急性宫颈环扎术治疗宫颈机能不全预防流产，取得很好效果。\r\n      科室建有规范的高危妊娠治疗管理系统，保护高危孕产妇的健康，大力开展优生优育、胎儿监护、笑气镇痛分娩、一对一全程陪伴分娩，促进自然分娩等服务，使产妇和新生儿更加安全、舒适，怀孕和分娩不再是一种危险、痛苦的体验。 \n   重视人才培养及学习，安排多名医护人员到国内知名医院进修、深造，学习了国内先进的理念和技术，治愈了大批患者，赢得良好的口碑。科室秉承以病人为中心、以质量为核心，精心为病人制定个体化治疗方案，采用全新的现代服务理念，为患者提供淋漓尽致的人文关怀，让患者获得了高品质的医疗服务。",
            //             "deptCode": "gynecology"
            //         },
            //         {
            //             "departmentName": "儿科一",
            //             "deptName": "儿科",
            //
            //             "orgName": "济宁市妇女儿童医院",
            //             "orgCode": "49395057237081111G1001",
            //             "departmentCode": "49395057237081111G100101002003",
            //             "departmentDesc": "儿科是市级I类临床重点学科，是我院重点临床科室之一，集预防、医疗、教学、培训、科研为一体。以儿内科疾病的诊断、治疗为重点，承担着周边辖区内儿童的预防与保健任务， \n设有新生儿监护病房和儿科普通病房两部分，新生儿监护病房成立于1996年，现有监护病床10余张，配有德国马丁无创高频呼吸机、长颈鹿暖箱及辐射台、黄疸治疗仪、德国西门子心电监护仪、德国斯帝芬CPAP呼吸机、婴幼儿高压氧仓、立体空气消毒机、二氧化碳激光治疗仪、排痰机、特殊物理降温仪、快速PCT、过敏源、呼出一氧化氮检测等医疗设备。儿科普通病房是市级优质示范病房，拥有开放固定床位50余张，环境优越，配有数字电视、卫生间等，并配有先进的电子病历系统和无线电子查房系统。\r\n作为医院的特色科室，儿科拥有一支思想素质高、专业技术过硬的医疗护理队伍，配有医护人员50余人，人才梯队合理，医师15人，护理人员37人，其中主任医师2人，副主任医师3人，主治医师5名，副主任护师1名，主管护师 8名。科内中级以上职称医师均被派往北京儿童医院、南京儿童医院、山东大学齐鲁医院等国内知名医院进修。\r\n儿科秉承医院快速发展理念，更新思路，以服务广大病人为宗旨，不断发展与创新，提高诊疗技术与水平，在小儿常见病诊治、急危重症抢救等方面形成临床优势，对超低、极低早产儿救治积累了丰富的临床经验，并于2008年成功救治了出生体重0.9g，胎龄26周的早产儿, 2015年儿科被评为工人先锋号。",
            //             "deptCode": "pediatrics"
            //         }
            //     ],
            //     "doctorInfos":  [
            //         {
            //             "departmentName": "内科",
            //             "doctorSpec": "精通内科常见病，多发病，疑难病症的诊断及治疗，擅长肺心病、冠心病，糖尿病，高血压病，脑血管病的诊断、治疗。",
            //             "doctorName": "李伟",
            //             "orgName": "济宁市第一人民医院",
            //             "doctorTitle": "主任医师",
            //             "doctorDesc": "主任医师，精通内科常见病，多发病，疑难病症的诊断及治疗，擅长肺心病、冠心病，糖尿病，高血压病，脑血管病的诊断、治疗。著作论文40余篇，公开发表25篇，参编专著24部，主编12部。科研5项，济宁市科技进步三等奖4项。连续多年获得院先进工作者、优秀干部等荣誉，先后获得济宁医学院科技进步理论成果奖、济宁市三八红旗手等荣誉。",
            //             "departmentCode": "3",
            //             "doctorCode": "102025",
            //             "doctorGender": "",
            //             "isReservation": "1",
            //             "orgsCode": "49395067937081111A5201",
            //             "doctorImg": "http://192.168.110.12/rarp/userfiles/images/staffImage/49395067937081111A5201102025.JPG"
            //         },
            //         {
            //             "departmentName": "内科",
            //             "orgName": "济宁市第一人民医院",
            //             "doctorSpec": "擅长颅脑和体部各类肿瘤、脑血管畸形及功能性神经疾病的伽玛刀治疗，并在癫痫放射外科、脑功能性神经疾病诊治方面积累了较为丰富的临床经验",
            //             "doctorName": "刘琨",
            //             "doctorTitle": "主任医师",
            //             "doctorDesc": "副主任医师，伽玛刀放疗科主任，中国医师协会神经外科分会放射神经外科专家委员会委员，中国生物医学工程学会精确放疗委员会伽玛刀学组委员；擅长颅脑和体部各类肿瘤、脑血管畸形及功能性神经疾病的伽玛刀治疗，并在癫痫放射外科、脑功能性神经疾病诊治方面积累了较为丰富的临床经验；以第一作者发表学术论文35篇；主编和参与著书20部；6项科研课题获济宁市科学技术进步二、三等奖，8项课题获济宁医学院自然科学一、二、三等奖；先后获得济宁市卫生系统优秀共产党员、先进工作者、济宁市临床重点专科学科带头人等荣誉称号。",
            //             "departmentCode": "3",
            //             "doctorCode": "102035",
            //             "doctorGender": "",
            //             "isReservation": "0",
            //             "orgsCode": "49395067937081111A5201",
            //             "doctorImg": "http://192.168.110.12/rarp/userfiles/images/staffImage/49395067937081111A5201102035.JPG"
            //         },
            //         {
            //             "departmentName": "内科",
            //             "orgName": "济宁市第一人民医院",
            //             "doctorSpec": "擅长老年病，急、危重症，呼吸系统疾病，尘肺病、职业性中毒及其他职业病诊治。",
            //             "doctorName": "刘茂祥",
            //             "doctorTitle": "副主任医师",
            //             "doctorDesc": "副主任医师，职业病科医疗组长。擅长老年病，急、危重症，呼吸系统疾病，尘肺病、职业性中毒及其他职业病诊治。撰写论文10余篇，编写著作8部，完成科研项目一项获济宁市科技进步三等奖。",
            //             "departmentCode": "3",
            //             "doctorCode": "102042",
            //             "doctorGender": "",
            //             "isReservation": "1",
            //             "orgsCode": "49395067937081111A5201",
            //             "doctorImg": "http://192.168.110.12/rarp/userfiles/images/staffImage/49395067937081111A5201102042.JPG"
            //         },
            //         {
            //             "departmentName": "内科",
            //             "doctorSpec": "擅长内科系统疾病的救治，如冠心病、高血压、心力衰竭、心律失常等心血管疾病，支气管炎、慢性阻塞性肺疾病等呼吸系统疾病，对胃炎、消化性溃疡、急、慢性酒精中毒、糖尿病及等疾病均有比较丰富的临床诊治经验。",
            //             "doctorName": "魏红艳",
            //             "doctorTitle": "副主任医师",
            //             "doctorDesc": "？副主任医师，合并症科副主任，擅长内科系统疾病的救治，如冠心病、高血压、心力衰竭、心律失常等心血管疾病，支气管炎、慢性阻塞性肺疾病等呼吸系统疾病，对胃炎、消化性溃疡、急、慢性酒精中毒、糖尿病及等疾病均有比较丰富的临床诊治经验。",
            //             "departmentCode": "3",
            //             "doctorCode": "102069",
            //             "doctorGender": "",
            //             "isReservation": "0",
            //             "orgsCode": "49395067937081111A5201",
            //             "doctorImg": "http://192.168.110.12/rarp/userfiles/images/staffImage/49395067937081111A5201102069.JPG"
            //         }
            //     ]
            // },
            // 预约详情信息
            appointRecordDetail: '',
            // 家庭联系人
            patientInfos: '',
            // patientInfos: [{
            //     "patientName": "泉水",
            //     "patientPhone": "1367612222222",
            //     "patientCardNo": "4102221995555555555555",
            //     "patientSex":"男",
            //     "patientAge":"30",
            //     "isDeCard": "1",
            // }, {
            //     "patientName": "水",
            //     "patientPhone": "1367612222222",
            //     "patientCardNo": "4102221995555555555555",
            //     "patientSex": "男",
            //     "patientAge": "30",
            //     "isDeCard": "0",
            // },],
            // 要编辑的联系人，
            editPatientInfo: '',
            // editPatientInfo:{
            //     patientName:'patientName',
            //     patientPhone:'patientPhone',
            //     patientCardNo:'41108119199908016902',
            //     patientSex:'patientSex',
            //     patientAge:'patientAge',
            //     isDeCard:'isDeCard'
            // }
            //           patientInfos: [{
            // "patientName": "泉水",
            //                   "patientPhone": "1367612222222",
            //                   "patientCardNo": "4102221995555555555555",
            //               "isDeCard":"1"
            //               }],
            // appointRecordDetail:{
            //     "DoctorName": "韩书臣",
            //     "CardNo": "622429199402032456",
            //     "ServiceDate": "2018-07-11",
            //     "Fee": "0",
            //     "Num": "36",
            //     "OrderCode": "102018112800000001",
            //     "ResultMsg": "预约成功",
            //     "DepartmentName": "康复科",
            //     "PatientName": "李四5743",
            //     "ResultCode": "0",
            //     "RangeTime": "08:00-17:00",
            //     toadm_flag:'1',
            // },
            // 选择的就诊人信息
            currentPatientInfo: {'patientName': ''},
            // 选择的就诊人序号:'',
            selectedPatientIndex: '',
            // 家庭联系人数量
            familyContactsNum: '',
            // 预约记录身份证号
            patientCardNo: '',
            // 评价页面医生信息
            evaluateDoctor: '',
            evaluateOrganName: '',
            evaluateRequest:{
                'patientName':'',
                'applicationNo':'',
                'hisappId':'',
                'appointmentDate':'',
                'identityCardval':'',

            },

            // evaluateDoctor: {
            //     "departmentName": "内科",
            //     "doctorSpec": "精通内科常见病，多发病，疑难病症的诊断及治疗，擅长肺心病、冠心病，糖尿病，高血压病，脑血管病的诊断、治疗。",
            //     "doctorName": "李伟",
            //     availableNum:"200",
            //     "doctorTitle": "主任医师",
            //     "doctorDesc": "主任医师，精通内科常见病，多发病，疑难病症的诊断及治疗，擅长肺心病、冠心病，糖尿病，高血压病，脑血管病的诊断、治疗。著作论文40余篇，公开发表25篇，参编专著24部，主编12部。科研5项，济宁市科技进步三等奖4项。连续多年获得院先进工作者、优秀干部等荣誉，先后获得济宁医学院科技进步理论成果奖、济宁市三八红旗手等荣誉。",
            //     "departmentCode": "3",
            //     "doctorCode": "102025",
            //     "doctorGender": "",
            //     "isReservation": "1",
            //     "orgsCode": "49395067937081111A5201",
            //     "doctorImg": "http://192.168.110.12/rarp/userfiles/images/staffImage/49395067937081111A5201102025.JPG"
            // },

        })
});