define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-amount-text", [])
        .directive("umsAmountText", function() {
            function link(scope, elem, attrs, ctrl) {
                scope.$watch("model.mobileType", function(newValue) {
                    if (newValue == "mobile") {
                        scope.mobileTypePic = "mobile-type-mobile";
                        scope.mobileTypeName = "中国移动";
                    } else if (newValue == "unicom") {
                        scope.mobileTypePic = "mobile-type-unicom";
                        scope.mobileTypeName = "中国联通";
                    } else if (newValue == "telecom") {
                        scope.mobileTypePic = "mobile-type-telecom";
                        scope.mobileTypeName = "中国电信";
                    } else {
                        scope.mobileTypePic = "";
                        scope.mobileTypeName = "未知运营商";
                    }
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-amount-text">'
                        +     '<div class="ums-amount-text-mobile-type {{mobileTypePic}}" ng-bind="mobileTypeName">'
                        +     '</div>'
                        +     '<div class="ums-amount-text-amount-to-pay">'
                        +         '优惠价：<span ng-bind="model.amountToPay"></span>元'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        });
});