define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-bill-table", [])
        .directive("umsBillTable", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
            	// thead部分
                var thead = '<tr>';
                
                var ths = scope.model.thead.ths;
                var lengthOfThs = ths.length;
                
                for (var i = 0; i < lengthOfThs; i++) {
                	thead += '<th>' + ths[i].text + '</th>';
                }
                
                thead += '</tr>';
                
                // tbody部分
                var tbody = '';
                
                var trs = scope.model.tbody.trs;
                var lengthOfTrs = trs.length;
                
                for (var j = 0; j < lengthOfTrs; j++) {
                	tbody += '<tr>';
                	
                	for (var k = 0; k < lengthOfThs - 1; k++) {
                		tbody += '<td>' + trs[j][ths[k].code] + '</td>';
                	}
                	
                	var operationText= trs[j][ths[k].code] || scope.model.operationText;
                	
                	scope.model.tbody.trs[j].onOperationTextClick = trs[j].onOperationTextClick
                		|| scope.model.onOperationTextClick;
                	
                	tbody += '<td>'
                		  +      '<a ng-click="model.tbody.trs[' + j + '].onOperationTextClick(' + j + ')">'
                		  +          operationText
                		  +      '</a>'
                		  +  '</td>';
                	
                	tbody += '</tr>';
                }

                elem.children().eq(0).append($compile(thead)(scope));
                elem.children().eq(1).append($compile(tbody)(scope));
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<table class="ums-bill-table">'
                		+     '<thead></thead>'
                		+     '<tbody></tbody>'
                        + '</table>',
                link: link
            };
        }]);
});