define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-box-group", [])
        .directive("umsBoxGroup", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                scope.model.headText = scope.model.headText || "请点击选择您的刷卡器";

                if (!Tools.data.check.isEmpty(scope.model.boxes)) {
                    var length = scope.model.boxes.length;
                    var boxDIVs = '';

                    for (var index = 0; index < length; index++) {
                        (function(i) {
                            if (scope.model.boxes[i].boxType == "qmf") {
                                scope.model.boxes[i].boxBgClass = "ums-box-group-qmf";
                            } else if (scope.model.boxes[i].boxType == "epos") {
                                scope.model.boxes[i].boxBgClass = "ums-box-group-epos";
                            }

                            scope.model.boxes[i].onClick = scope.model.boxes[i].onClick || function() {
                                if (!Tools.data.check.isEmpty(scope.model.boxes[i].onClickAppend)) {
                                    scope.model.boxes[i].onClickAppend();
                                }
                            };

                            boxDIVs += '<div class="ums-box-group-box {{model.boxes[' + i + '].boxBgClass}}" '
                                    +      'ng-click="model.boxes[' + i + '].onClick();">'
                                    +      '<span>{{model.boxes[' + i + '].boxText}}</span>'
                                    +  '</div>';
                        })(index);
                    }

                    elem.children().eq(1).append($compile(boxDIVs)(scope));
                }
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-box-group">'
                        +     '<div class="ums-box-group-head" ng-bind="model.headText">'
                        +     '</div>'
                        +     '<div class="ums-box-group-body"></div>'
                        + '</div>',
                link: link
            };
        }]);
});