define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-button-group", [])
        .directive("umsButtonGroup", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                if (!Tools.data.check.isEmpty(scope.model.buttons)) {
                    var length = scope.model.buttons.length;
                    var buttonDIVs = '';

                    for (var index = 0; index < length; index++) {
                        (function(i) {
                            scope.model.buttons[i].onButtonClick = scope.model.buttons[i].onButtonClick || function() {
                                if (!Tools.data.check.isEmpty(scope.model.buttons[i].onButtonClickAppend)) {
                                    scope.model.buttons[i].onButtonClickAppend();
                                }
                            };

                            buttonDIVs += '<div class="ums-button-group-button" '
                                       +      'ng-class="{true: \'ums-button-group-button-enabled\', '
                                       +      'false: \'ums-button-group-button-disabled\'}'
                                       +      '[model.buttons[' + i + '].isButtonEnabled]" '
                                       +      'ng-click="model.buttons[' + i + '].onButtonClick();">'
                                       +      '{{model.buttons[' + i + '].buttonText}}'
                                       +  '</div>';
                        })(index);
                    }

                    elem.append($compile(buttonDIVs)(scope));
                }
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-button-group">'
                        + '</div>',
                link: link
            };
        }]);
});