define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-button", [])
        .directive("umsButton", function() {
            function link(scope, elem, attrs, ctrl) {
                scope.model.buttonText = attrs.buttonText || scope.model.buttonText;
                scope.model.isButtonEnabled = attrs.isButtonEnabled || scope.model.isButtonEnabled;
                scope.model.tips = attrs.tips || scope.model.tips;

                if (Tools.data.check.isEmpty(scope.model.isButtonEnabled)) {
                    scope.model.isButtonEnabled = true;
                }

                scope.model.onButtonClickListener = function($event) {
                    $event.stopPropagation();
                    if(!scope.model.isButtonEnabled)return false;

                    if (!Tools.data.check.isEmpty(scope.model.onButtonClick)) {
                        scope.model.onButtonClick();
                    }
                    if (!Tools.data.check.isEmpty(scope.model.onButtonClickAppend)) {
                        scope.model.onButtonClickAppend();
                    }
                };
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-button">'
                        +     '<div ng-class="{true: \'ums-button-enabled\', '
                        +         'false: \'ums-button-disabled\'}[model.isButtonEnabled]" '
                        +         'ng-click="model.onButtonClickListener($event);" ng-bind="model.buttonText">'
                        +     '</div>'
                        +     '<div class="ums-button-tips" ng-bind="model.tips">'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        });
});