define(["angular", "tool"], function() {
    "use strict";
    return angular.module("ums-card-list", [])
        .directive("umsCardList", function() {
            function link(scope, elem, attrs, ctrl) {
                scope.model.listType = attrs.listType || scope.model.listType;
                scope.model.headText = attrs.headText || scope.model.headText;
            	scope.model.logoShow = attrs.logoShow || scope.model.logoShow;

                // headText不为空, 则显示
                if (!Tools.data.check.isEmpty(scope.model.headText)) {
                    scope.headTextShow = true;
                }

                if (scope.model.listType == "select-list") {
                    scope.listRightIconShow = true;
                    scope.listRightIconClass = "ums-card-list-select-icon";
                } else if (scope.model.listType == "delete-list") {
                    scope.listRightIconShow = true;
                    scope.listRightIconClass = "ums-card-list-delete-icon";
                }else {
                    scope.listRightIconClass = "";
                }

                if (Tools.data.check.isEmpty(scope.model.logoShow)
                    || scope.model.logoShow == "false") {
                    scope.model.logoShow = false;
                }

                scope.model.onSwipeCard = scope.model.onSwipeCard || function() {
                    if (!Tools.data.check.isEmpty(scope.model.onSwipeCardAppend)) {
                        scope.model.onSwipeCardAppend();
                    }
                };

                scope.model.onItemClick = scope.model.onItemClick || function(item) {
                    if (!Tools.data.check.isEmpty(scope.model.onItemClickAppend)) {
                        scope.model.onItemClickAppend(item);
                    }
                };
                
                scope.$watchCollection("model.dataList", function(newValue, oldValue) {
                	if (!Tools.data.check.isEmpty(scope.model.headText) || scope.model.dataList.length > 0) {
                		scope.listShow = true;

                        var length = scope.model.dataList.length;

                        for (var i = 0; i < length; i++) {
                            if (Tools.data.check.isEmpty(scope.model.dataList[i].logo)) {
                                scope.model.dataList[i].logo = "bank";
                            }

                            scope.model.dataList[i].logoClass = "card-logo-" + scope.model.dataList[i].logo;
                        }	
                	}
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-card-list" ng-show="listShow">'
                        +     '<div class="ums-card-list-head" ng-show="headTextShow" '
                        +         'ng-click="model.onSwipeCard()">'
                        +         '<div ng-bind="model.headText"></div>'
//                        +         '<div class="{{listRightIconClass}}" ng-show="listRightIconShow"></div>'
                        +     '</div>'
                        +     '<div class="ums-card-list-body">'
                        +         '<div class="ums-card-list-item" ng-repeat="item in model.dataList" '
                        +             'ng-click="model.onItemClick(item)">'
                        +             '<div>'
                        +                 '<span ng-bind="item.code"></span>'
                        +                 '<div>'
                        +                     '<span ng-show="model.logoShow" class="{{item.logoClass}}"></span>'
                        +                     '<span ng-bind="item.text"></span>'
                        +                 '</div>'
                        +             '</div>'
                        +             '<div class="{{listRightIconClass}}" ng-show="listRightIconShow"></div>'
                        +         '</div>'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        });
});