define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-card-text", [])
        .directive("umsCardText", function() {
            function link(scope, elem, attrs, ctrl) {
                scope.$watch("model.text", function(newValue) {
                    if (!Tools.data.check.isEmpty(newValue)) {
                        scope.cardTextShow = true;
                    } else {
                        scope.cardTextShow = false;
                    }
                });

                scope.$watch("model.name", function(newValue) {
                    if (!Tools.data.check.isEmpty(newValue)) {
                        scope.cardNameShow = true;
                        scope.UmsCardTextClass = "ums-card-text-text";
                    } else {
                        scope.cardNameShow = false;
                        scope.UmsCardTextClass = "ums-card-text-text-noName";
                    }
                });

                scope.$watch("model.logo", function(newValue) {
                    if (!Tools.data.check.isEmpty(newValue)) {
                        scope.logoShow = true;
                        scope.logoClass = "card-logo-" + newValue;
                    } else {
                        scope.logoShow = false;
                    }
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div ng-show="cardTextShow" class="ums-card-text">'
                        +     '<span ng-show="logoShow" class="ums-card-text-logo {{logoClass}}"></span>'
                        +     '<div class="ums-card-text-box">'
                        +         '<span ng-show="cardNameShow" class="ums-card-text-name" ng-bind="model.name"></span>'
                        +         '<div ng-show="cardTextShow">'
                        +              '<span class="{{UmsCardTextClass}}" ng-bind="model.text"></span>'
                        +         '</div>'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        });
});