define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-coupon-list", [])
        .directive("umsCouponList", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                // 左边的背景图片: 已使用, 未使用, 已过期
                var bgClassArr = ["ums-bg-coupon-used", "ums-bg-coupon-unused", "ums-bg-coupon-expired"];

                // 右边的标识: 已使用, 未使用, 已过期
                var rightClassArr = ["ums-icon-coupon-used", "ums-icon-coupon-unused", "ums-icon-coupon-expired"];

                scope.model.onCouponClick = scope.model.onCouponClick || function(coupon) {
                    if (!Tools.data.check.isEmpty(scope.model.onCouponClickAppend)) {
                        scope.model.onCouponClickAppend(coupon);
                    }
                };

                scope.$watchCollection("model.coupons", function(newCollection) {
                    if (!Tools.data.check.isEmpty(scope.model.coupons)) {
                        scope.noCouponShow = false;

                        var length = scope.model.coupons.length;

                        for (var i = 0; i < length; i++) {
                            scope.model.coupons[i].iconClass = "ums-icon-coupon-" + scope.model.coupons[i].icon;
                            scope.model.coupons[i].bgClass = bgClassArr[scope.model.coupons[i].state];
                            scope.model.coupons[i].rightClass = rightClassArr[scope.model.coupons[i].state];
                        }
                    } else {
                        scope.noCouponShow = true;
                    }
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-coupon-list">'
                        +     '<div ng-show="noCouponShow" class="ums-no-coupon"></div>'
                        +     '<div class="ums-coupon-list-coupon" ng-repeat="coupon in model.coupons" '
                        +         'ng-click="model.onCouponClick(coupon)">'
                        +         '<div class="{{coupon.bgClass}}">'
                        +             '<div class="{{coupon.iconClass}}"></div>'
                        +         '</div>'
                        +         '<div class="ums-coupon-list-coupon-text">'
                        +             '<div class="ums-coupon-list-coupon-name" ng-bind="coupon.couponName">'
                        +             '</div>'
                        +             '<div class="ums-coupon-list-coupon-validity">'
                        +                 '{{coupon.validFr}} 至 {{coupon.validTo}}'
                        +             '</div>'
                        +             '<span class="{{coupon.rightClass}}"></span>'
                        +         '</div>'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        }]);
});