define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-coupon-select", [])
        .directive("umsCouponSelect", function() {
            function link(scope, elem, attrs, ctrl) {
                scope.showCouponList = false;

                scope.model.chooseCanBeUsed = scope.model.chooseCanBeUsed || function(coupon) {
                    if (!Tools.data.check.isEmpty(scope.model.chooseCanBeUsedAppend)) {
                        scope.model.chooseCanBeUsedAppend(coupon);
                    }
                };

                scope.model.chooseLeftToBeUsed = scope.model.chooseLeftToBeUsed || function(coupon) {
                    if (!Tools.data.check.isEmpty(scope.model.chooseLeftToBeUsedAppend)) {
                        scope.model.chooseLeftToBeUsedAppend(coupon);
                    }
                };

                scope.model.chooseNone = scope.model.chooseNone || function() {
                    if (!Tools.data.check.isEmpty(scope.model.chooseNoneAppend)) {
                        scope.model.chooseNoneAppend();
                    }
                };

                scope.$watchCollection("model.couponsCanBeUsed", function(newCollection) {
                    if (!Tools.data.check.isEmpty(newCollection)) {
                        scope.showCouponSelect = true;
                    } else {
                        if (!Tools.data.check.isEmpty(scope.model.couponsLeftToBeUsed)) {
                            scope.showCouponSelect = true;
                        } else {
                            scope.showCouponSelect = false;
                        }
                    }
                });

                scope.$watchCollection("model.couponsLeftToBeUsed", function(newCollection) {
                    if (!Tools.data.check.isEmpty(newCollection)) {
                        scope.showCouponSelect = true;
                    } else {
                        if (!Tools.data.check.isEmpty(scope.model.couponsCanBeUsed)) {
                            scope.showCouponSelect = true;
                        } else {
                            scope.showCouponSelect = false;
                        }
                    }
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div ng-show="showCouponSelect" class="ums-coupon-select"'
                        +     'ng-click="showCouponList = !showCouponList">'
                        +     '<div class="ums-coupon-select-body">'
                        +         '<div class="ums-coupon-select-text">{{model.selectedItem}}</div>'
                        +         '<div class="ums-coupon-select-icon"></div>'
                        +     '</div>'
                        +     '<ul class="ums-coupon-result" ng-show="showCouponList">'
                        +         '<li ng-repeat="coupon in model.couponsCanBeUsed" '
                        +             'ng-click="model.chooseCanBeUsed(coupon)">'
                        +             '<div>'
                        +                 '<span ng-bind="coupon.couponAmount"></span>元代金券'
                        +                 '&nbsp;&nbsp;{{coupon.useCondition}}'
                        +             '</div>'
                        +         '</li>'
                        +         '<li ng-repeat="coupon in model.couponsLeftToBeUsed" '
                        +             'ng-click="model.chooseLeftToBeUsed(coupon)">'
                        +             '<div>'
                        +                 '<span ng-bind="coupon.couponAmount"></span>元代金券'
                        +                 '{{coupon.useCondition}}'
                        +             '</div>'
                        +             '<div>'
                        +                 '<span ng-bind="coupon.validFr.substring(0, 10)"></span>'
                        +                 '后可用'
                        +             '</div>'
                        +         '</li>'
                        +         '<li ng-show="model.couponsCanBeUsed.length != 0 '
                        +             '|| model.couponsLeftToBeUsed.length != 0" '
                        +             'ng-click="model.chooseNone()">'
                        +             '<div>本次不使用充值优惠券</div>'
                        +         '</li>'
                        +     '</ul>'
                        + '</div>',
                link: link
            };
        });
});
