define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-form", ["ums-trust-html"])
        .directive("umsForm", ["$compile", function($compile) {
        	function link(scope, elem, attrs, ctrl) {
                // 是否为页面中的第一个元素
                var isTop = false;
                
                if (!Tools.data.check.isEmpty(attrs.isTop)) {
                    if (typeof(attrs.isTop) == "string") {
                    	isTop = (attrs.isTop == "true") || !(attrs.isTop == "false");
                    } else if (typeof(attrs.isTop) == "boolean") {
                    	isTop = attrs.isTop;
                    }
                } else {
                    if (typeof(scope.model.isTop) == "string") {
                    	isTop = (scope.model.isTop == "true") || !(scope.model.isTop == "false");
                    } else if (typeof(scope.model.isTop) == "boolean") {
                    	isTop = scope.model.isTop;
                    }
                }
                
        		// formTitle不为空则, 显示
        		if (!Tools.data.check.isEmpty(scope.model.formTitle)) {
        			scope.formTitleShow = true;
        		}

                // 页面中的第一个元素, 而且title不为空, 则将margin-top设为0
                if (isTop && scope.formTitleShow) {
                    scope.marginTop = "margin-top-0";
                }
        		
        		// tips不为空, 则显示
        		if (!Tools.data.check.isEmpty(scope.model.tips)) {
        			scope.tipShow = true;
        		}
        	}
        	
            return {
                restrict: "E",
                replace: true,
                transclude: true,
                scope: {
                    model: "=model"
                },
                template: '<div class="ums-form {{marginTop}}">'
                        +     '<div ng-show="formTitleShow" class="ums-form-head" '
                        +	      'ng-bind-html="model.formTitle|trustHtml"></div>'
                        +     '<div class="ums-form-body" ng-transclude></div>'
                        +     '<div ng-show="tipShow" class="ums-form-tips" '
                        +         'ng-bind-html="model.tips|trustHtml"></div>'
                        + '</div>',
                link: link
            };
        }]);
});