define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-grid", [])
        .directive("umsGrid", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                scope.itemsArr = [];

                if (!Tools.data.check.isEmpty(scope.model.dataList)) {
                    var length = scope.model.dataList.length;
                    
                    var rows = Math.ceil(length / 2);

                    if (length % 2 == 1) {
                        scope.model.dataList[length++] = {"icon": "", "text": ""};
                    }

                    for (var i = 0; i < rows; i++) {
                        var arr = [];

                        for (var j = 0; j < 2; j++) {
                            if (i * 2 + j < length) {
                                scope.model.dataList[i * 2 + j].iconClass = "icon-" + scope.model.dataList[i * 2 + j].icon;
                                arr.push(scope.model.dataList[i * 2 + j]);
                            }
                        }

                        scope.itemsArr.push(arr);
                    }
                }
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-grid">'
                        +     '<div class="ums-grid-row" ng-repeat="items in itemsArr">'
                        +         '<div class="ums-grid-column" ng-click="item.onClick();" '
                        +             'ng-repeat="item in items">'
                        +             '<span class="{{item.iconClass}}"></span>'
                        +             '<span ng-bind="item.text"></span>'
                        +         '</div>'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        }]);
});