define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-history-list", [])
        .directive("umsHistoryList", function() {
            function link(scope, elem, attrs, ctrl) {
                scope.model.onItemClick = scope.model.onItemClick || function(item) {
                    if (!Tools.data.check.isEmpty(scope.model.onItemClickAppend)) {
                        scope.model.onItemClickAppend(item);
                    }
                };

                scope.$watchCollection("model.dataList", function(newValue, oldValue) {
                    if (scope.model.dataList.length > 0) {
                        scope.listShow = true;
                    }
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-history-list" ng-show="listShow">'
                        +     '<div class="ums-history-list-body">'
                        +         '<div class="ums-history-list-item" '
                        +             'ng-repeat="item in model.dataList" '
                        +             'ng-click="model.onItemClick(item)">'
                        +             '<div>'
                        +                 '<span ng-bind="item.code"></span>'
                        +                 '<span ng-bind="item.text"></span>'
                        +             '</div>'
                        +             '<div class="ums-history-list-select-icon">'
                        +             '</div>'
                        +         '</div>'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        });
});