define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-image-button-group", [])
        .directive("umsImageButtonGroup", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                if (!Tools.data.check.isEmpty(scope.model.buttons)) {
                    var length = scope.model.buttons.length;
                    var buttonDIVs = '';

                    for (var index = 0; index < length; index++) {
                        (function(i) {
                            scope.model.buttons[i].onButtonClick = scope.model.buttons[i].onButtonClick || function() {
                                if (!Tools.data.check.isEmpty(scope.model.buttons[i].onButtonClickAppend)) {
                                    scope.model.buttons[i].onButtonClickAppend();
                                }
                            };

                            scope.model.buttons[i].bgClass = "bg-color-" + scope.model.buttons[i].type;
                            scope.model.buttons[i].iconClass = "icon-" + scope.model.buttons[i].type;
                            
                            buttonDIVs += '<div class="ums-image-button-group-button '
                            		   +      '{{model.buttons[' + i + '].bgClass}}" '
                                       +      'ng-click="model.buttons[' + i + '].onButtonClick();">'
                                       +      '<span class="ums-image-button-group-button-icon '
                                       +          '{{model.buttons[' + i + '].iconClass}}">'
                                       +          '&nbsp;'
                                       +      '</span>'
                                       +      '<span class="ums-image-button-group-button-text">'
                                       +          '{{model.buttons[' + i + '].buttonText}}'
                                       +      '</span>'
                                       +  '</div>';
                        })(index);
                    }

                    elem.append($compile(buttonDIVs)(scope));
                }
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-image-button-group">'
                        + '</div>',
                link: link
            };
        }]);
});