define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-image-group", [])
        .directive("umsImageGroup", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
            	scope.imagesArr = [];
            	
            	if (!Tools.data.check.isEmpty(scope.model.images)) {
                	var images = scope.model.images;
                	var columns = scope.model.columns;
                	
                	var width = 100 / columns;
                	
                    var length = images.length;

                    var lines = Math.ceil(length / columns);
                    
                    for (var i = 0; i < lines; i++) {
                        var arr = [];

                        for (var j = 0; j < columns; j++) {
                            if (i * columns + j < length)
                                arr.push(images[i * columns + j]);
                        }

                        scope.imagesArr.push(arr);
                    }
                    
                    scope.style = '{width: "' + width + '%"}';
                }
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-image-group">'
                        +     '<div class="ums-image-group-line" ng-repeat="images in imagesArr">'
                        +         '<div ng-style={{style}} class="ums-image-group-image" ng-repeat="image in images">'
                        +             '<img ng-src="images/{{image.imageName}}" alt="图片">'
                        +             '<span ng-bind="image.text"></span>'
                        +         '</div>'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        }]);
});