define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-link-bar-group", [])
        .directive("umsLinkBarGroup", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                var interval = attrs.interval || scope.model.interval || 6;

                scope.model.onLinkClick = scope.model.onLinkClick || function(link) {
                    if (!Tools.data.check.isEmpty(scope.model.onLinkClickAppend)) {
                        scope.model.onLinkClickAppend(link);
                    }
                };

                scope.$watchCollection("model.links", function(newValue) {
                    if (!Tools.data.check.isEmpty(scope.model.links)) {
                        var length = scope.model.links.length;

                        for (var i = 0; i < length; i++) {
                            scope.model.links[i].bgClass = "bg-color" + (i % interval);
                        }
                    }
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-link-bar-group">'
                        +      '<div class="ums-link-bar-group-bar {{link.bgClass}}" '
                        +          'ng-click="model.onLinkClick(link);" '
                        +          'ng-repeat="link in model.links">'
                        +          '<span class="ums-link-bar-group-bar-text" ng-bind="link.text">'
                        +          '</span>'
                        +          '<span class="ums-link-bar-group-bar-arrow">&nbsp;</span>'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        }]);
});
