define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-msg", [])
        .directive("umsMsg", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                // msgTitle不为空, 则显示
                if (!Tools.data.check.isEmpty(scope.model.msgTitle)) {
                    scope.msgTitleShow = true;
                }

                if (!Tools.data.check.isEmpty(scope.model.msgContent)) {
                    var length = scope.model.msgContent.length;
                    var msgDIVs = '';

                    for (var i = 0; i < length; i++) {
                        msgDIVs += '<div>' + scope.model.msgContent[i] + '</div>';
                    }

                    elem.children().eq(1).append($compile(msgDIVs)(scope));
                }
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-msg">'
                        +     '<div ng-show="msgTitleShow" class="ums-msg-head">'
                        +         '<span class="ums-msg-title" ng-bind="model.msgTitle"></span>'
                        +     '</div>'
                        +     '<div class="ums-msg-body">'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        }]);
});