define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-multi-line-radio-group", [])
        .directive("umsMultiLineRadioGroup", function() {
            function link(scope, elem, attrs, ctrl) {
                scope.model.columns = attrs.columns || scope.model.columns;
                scope.model.displayIndex = attrs.displayIndex || scope.model.displayIndex;

                scope.optionsArr = [];

                if (!Tools.data.check.isEmpty(scope.model.options)) {
                    var options = scope.model.options;
                    var length = options.length;
                    var columns = scope.model.columns;
                    var lines = Math.ceil(length / columns);

                    for (var i = 0; i < lines; i++) {
                        var arr = [];

                        for (var j = 0; j < columns; j++) {
                            if (i * columns + j < length)
                                arr.push(options[i * columns + j]);
                        }

                        scope.optionsArr.push(arr);
                    }

                    scope.model.checkOption = scope.model.checkOption || function(option) {
                        if (!Tools.data.check.isEmpty(scope.model.checkOptionAppend)) {
                            scope.model.checkOptionAppend(option);
                        }
                    };
                }
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-multi-line-radio-group">'
                        +     '<div class="ums-multi-line-radio-group-line" ng-repeat="options in optionsArr">'
                        +         '<div class="ums-multi-line-radio-group-option" ng-repeat="option in options">'
                        +             '<input type="radio" name="umsMultiLineRadioGroup" ng-model="model.checkedIndex" '
                        +                 'value="{{$parent.$index * model.columns + $index}}">'
                        +             '<span ng-click="model.checkOption($parent.$index * model.columns + $index)">'
                        +                 '<span>{{option[model.displayIndex]}}</span>'
                        +             '</span>'
                        +         '</div>'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        });
});
