define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-order-details", [])
        .directive("umsOrderDetails", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                scope.$watchCollection("model.details", function(newCollection) {
                    if (!Tools.data.check.isEmpty(scope.model.details)) {
                        var length = scope.model.details.length;
                        var detailDIVs = '';
                        elem.html("");

                        for (var index = 0; index < length; index++) {
                            (function(i) {
                                var detail = scope.model.details[i];

                                detailDIVs += '<div class="ums-order-details-detail">'
                                    +      '<span class="ums-order-details-detail-name">'
                                    +          detail.name
                                    +      '</span>'
                                    +      '<span class="ums-order-details-detail-value">'
                                    +          detail.value
                                    +      '</span>'
                                    +  '</div>';
                            })(index);
                        }

                        elem.append($compile(detailDIVs)(scope));
                    }
                },true);
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-order-details">'
                        + '</div>',
                link: link
            };
        }]);
});