define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-pay-result-details", [])
        .directive("umsPayResultDetails", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                if (!Tools.data.check.isEmpty(scope.model.details)) {
                    var length = scope.model.details.length;
                    var detailDIVs = '';

                    for (var index = 0; index < length; index++) {
                        (function(i) {
                            var detail = scope.model.details[i];

                            detailDIVs += '<div class="ums-pay-result-details-detail">'
                                       +      '<span class="ums-pay-result-details-detail-name">'
                                       +          detail.name
                                       +      '</span>'
                                       +      '<span class="ums-pay-result-details-detail-value">'
                                       +          detail.value
                                       +      '</span>'
                                       +  '</div>';
                        })(index);
                    }

                    elem.append($compile(detailDIVs)(scope));
                }
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "=model"
                },
                template: '<div class="ums-pay-result-details">'
                        + '</div>',
                link: link
            };
        }]);
});