define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-pay-result", [])
        .directive("umsPayResult",["$compile",function($compile) {
            function link(scope, elem, attrs, ctrl) {
                var payResult = attrs.payResult || scope.model.payResult;
                scope.model.payResultMsg = attrs.payResultMsg || scope.model.payResultMsg;

                if (payResult == "success") {
                    scope.detailTitleHide = scope.model.detailTitleHide;
                    scope.orderIdRight = scope.model.orderIdRight;
                    scope.payResultIconClass = "ums-success-pay-result-icon";
                    scope.payResultMsgClass = "ums-success-pay-result-msg";
                    scope.paySuccessResultClass = "ums-success-result";
                    scope.payFailureResultClass = "ums-success-errInfo";
                    scope.model.payResultMsg = scope.model.payResultMsg || "支付成功";

                    var orderDetail = attrs.orderDetail || scope.model.orderDetail;
                    var allAmount = attrs.allAmount || scope.model.allAmount;
                    if(!Tools.data.check.isEmpty(allAmount)){
                        scope.paySuccessResultAllamount = "ums-pay-result-allamount";
                        scope.model.allAmount = allAmount;
                        scope.TopBorderHide = false;
                        scope.bottomBorderHide = false;
                    }else {
                        scope.paySuccessResultAllamount = "ums-pay-result-allamount-none";
                        scope.TopBorderHide = true;
                        scope.bottomBorderHide = true;
                    }
                    if(scope.orderIdRight == true){
                        scope.phoneOrderIdClass = "ums-pay-result-detail-value-phone";
                    }else {
                        scope.phoneOrderIdClass = "ums-pay-result-detail-value";
                    }

                    if (!Tools.data.check.isEmpty(orderDetail)) {

                        var detailDIVs =  '<span class="ums-pay-result-detail-title" ng-hide="detailTitleHide">账单信息</span>';

                        for (var key in orderDetail) {
                            var detail = key;
                            if(detail == "userCode" && orderDetail.userCode!=="undefined" && orderDetail.userCode!==""){
                                detailDIVs += '<div class="ums-pay-result-detail">'
                                    +      '<span class="ums-pay-result-detail-label">户号:</span>'
                                    +      '<span class="ums-pay-result-detail-value">'
                                    +          orderDetail[detail]
                                    +      '</span>'
                                    +  '</div>'
                            }
                            if(detail == "date" && orderDetail.date!=="undefined" && orderDetail.date!==""){
                                detailDIVs += '<div class="ums-pay-result-detail">'
                                    +      '<span class="ums-pay-result-detail-label">账期:</span>'
                                    +      '<span class="ums-pay-result-detail-value">'
                                    +          orderDetail[detail].substring(0,4) + "年" + orderDetail[detail].substring(4) +"月"
                                    +      '</span>'
                                    +  '</div>'
                            }
                            if(detail == "company" && orderDetail.company!=="undefined" && orderDetail.company!==""){
                                detailDIVs += '<div class="ums-pay-result-detail">'
                                    +      '<span class="ums-pay-result-detail-label">缴费机构:</span>'
                                    +      '<span class="ums-pay-result-detail-value">'
                                    +          orderDetail[detail]
                                    +      '</span>'
                                    +  '</div>'
                            }
                            if(detail == "amount" && orderDetail.amount!=="undefined" && orderDetail.amount!==""){
                                detailDIVs += '<div class="ums-pay-result-detail">'
                                    +      '<span class="ums-pay-result-detail-label">订单金额:</span>'
                                    +      '<span class="ums-pay-result-detail-value">'
                                    +          orderDetail[detail] + '元'
                                    +      '</span>'
                                    +  '</div>'
                            }
                            if(detail == "orderId" && orderDetail.orderId!=="undefined" && orderDetail.orderId!==""){
                                detailDIVs += '<div class="ums-pay-result-detail">'
                                    +      '<span class="ums-pay-result-detail-label">订单号:</span>'
                                    +      '<span class="{{phoneOrderIdClass}}">'
                                    +          orderDetail[detail]
                                    +      '</span>'
                                    +  '</div>'
                            }
                            if(detail == "fee" && orderDetail.fee!=="undefined" && orderDetail.fee!==""){
                                detailDIVs += '<div class="ums-pay-result-detail">'
                                    +      '<span class="ums-pay-result-detail-label">手续费:</span>'
                                    +      '<span class="ums-pay-result-detail-value">'
                                    +          orderDetail[detail] + '元'
                                    +      '</span>'
                                    +  '</div>'
                            }
                        }
                        elem.append($compile(detailDIVs)(scope));
                    }
                } else if (payResult == "failure") {
                    var errInfo = attrs.errInfo || scope.model.errInfo;
                    if(!Tools.data.check.isEmpty(errInfo)){
                        scope.TopBorderHide = true;
                        scope.bottomBorderHide = false;
                    }else {
                        scope.TopBorderHide = true;
                        scope.bottomBorderHide = true;
                    }

                    scope.payResultIconClass = "ums-failure-pay-result-icon";
                    scope.payResultMsgClass = "ums-failure-pay-result-msg";
                    scope.paySuccessResultClass = "ums-failure-result";
                    scope.payFailureResultClass = "ums-failure-errInfo";
                    scope.model.payResultMsg = scope.model.payResultMsg || "支付失败";
                    scope.model.errInfo = errInfo;
                }

            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-common-result">'
                +     '<div class="ums-pay-result-icon">'
                +         '<div class="{{payResultIconClass}}"></div>'
                +     '</div>'
                +     '<br/>'
                +     '<div class="{{payResultMsgClass}}" ng-bind="model.payResultMsg">'
                +     '</div>'
                +     '<div class="ums-pay-result-border" ng-hide="TopBorderHide"></div>'
                +     '<div class="{{paySuccessResultClass}}">'
                +         '<div class="{{paySuccessResultAllamount}}">'
                +             '<span>共支付</span>'
                +             '<div class="ums-pay-result-allamount-amount" ng-bind="model.allAmount"></div>'
                +             '<div class="ums-pay-result-allamount-unit" >元</div>'
                +          '</div>'
                +          '<div class="ums-pay-result-details-box">'
                +          '</div>'
                +      '</div>'
                +      '<div class="ums-pay-result-border" ng-hide="bottomBorderHide"></div>'
                +      '<div class="{{payFailureResultClass}}">'
                +          '<span ng-bind="model.errInfo"></span>'
                +      '</div>'
                + '</div>',
                link: link
            };
        }]);
});