define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-select-group", [])
        .directive("umsSelectGroup", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
            	// 是否为页面中的第一个元素
                var isTop = false;
                
                if (!Tools.data.check.isEmpty(attrs.isTop)) {
                    if (typeof(attrs.isTop) == "string") {
                    	isTop = (attrs.isTop == "true") || !(attrs.isTop == "false");
                    } else if (typeof(attrs.isTop) == "boolean") {
                    	isTop = attrs.isTop;
                    }
                } else {
                    if (typeof(scope.model.isTop) == "string") {
                    	isTop = (scope.model.isTop == "true") || !(scope.model.isTop == "false");
                    } else if (typeof(scope.model.isTop) == "boolean") {
                    	isTop = scope.model.isTop;
                    }
                }
            	
            	scope.model.selectGroupTitle = attrs.selectGroupTitle || scope.model.selectGroupTitle;

                // selectGroupTitle不为空, 则显示
                if (!Tools.data.check.isEmpty(scope.model.selectGroupTitle)) {
                    scope.selectGroupTitleShow = true;
                }
                
                // 页面中的第一个元素, 而且title不为空, 则将margin-top设为0
                if (isTop && scope.selectGroupTitleShow) {
                	scope.marginTop = "margin-top-0";
                }

                // tips不为空, 则显示
                if (!Tools.data.check.isEmpty(scope.model.tips)) {
                    scope.tipShow = true;
                }

                if (!Tools.data.check.isEmpty(scope.model.selects)) {
                    var length = scope.model.selects.length;
                    var selectDIVs = '';

                    for (var index = 0; index < length; index++) {
                        (function(i) {
                            if (!Tools.data.check.isEmpty(scope.model.selects[i].selectTitle)) {
                                scope.model.selects[i].selectTitleShow = true;
                            }

                            scope.model.selects[i].onClick = scope.model.selects[i].onClick || function() {
                                if (!Tools.data.check.isEmpty(scope.model.selects[i].onClickAppend)) {
                                    scope.model.selects[i].onClickAppend();
                                }
                            };

                            selectDIVs += '<div class="ums-select-group-select">'
                                       +      '<div class="ums-select-group-select-body" '
                                       +          'ng-click="model.selects[' + i + '].onClick();">'
                                       +          '<div class="ums-select-group-select-value">'
                                       +              '<input type="text" placeholder="{{model.selects[' + i + '].placeHolder}}" '
                                       +                  'ng-model="model.selects[' + i + '].selectedItem" readonly />'
                                       +          '</div>'
                                       +          '<div class="ums-select-group-select-icon"></div>'
                                       +      '</div>'
                                       +  '</div>';
                        })(index);
                    }

                    elem.children().eq(1).append($compile(selectDIVs)(scope));
                }
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-select-group {{marginTop}}">'
                        +     '<div ng-show="selectGroupTitleShow" class="ums-select-group-head" ng-bind="model.selectGroupTitle">'
                        +     '</div>'
                        +     '<div class="ums-select-group-body"></div>'
                        +     '<div ng-show="tipShow" class="ums-select-group-tips" ng-bind="model.tips">'
                        +     '</div>'
                        +  '</div>',
                link: link
            };
        }]);
});