define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-select", ["ums-trust-html"])
        .directive("umsSelect", function() {
            function link(scope, elem, attrs, ctrl) {
            	// 是否为页面中的第一个元素
                var isTop = false;
                
                if (!Tools.data.check.isEmpty(attrs.isTop)) {
                    if (typeof(attrs.isTop) == "string") {
                    	isTop = (attrs.isTop == "true") || !(attrs.isTop == "false");
                    } else if (typeof(attrs.isTop) == "boolean") {
                    	isTop = attrs.isTop;
                    }
                } else {
                    if (typeof(scope.model.isTop) == "string") {
                    	isTop = (scope.model.isTop == "true") || !(scope.model.isTop == "false");
                    } else if (typeof(scope.model.isTop) == "boolean") {
                    	isTop = scope.model.isTop;
                    }
                }
                
                scope.model.selectTitle = attrs.selectTitle || scope.model.selectTitle;
                scope.model.selectLabel = attrs.selectLabel || scope.model.selectLabel;
                scope.model.placeHolder = attrs.placeHolder || scope.model.placeHolder;
                scope.model.tips = attrs.tips || scope.model.tips;
                scope.model.footText = attrs.footText || scope.model.footText;

                // selectTitle不为空, 则显示
                if (!Tools.data.check.isEmpty(scope.model.selectTitle)) {
                    scope.selectTitleShow = true;
                }

                // 页面中的第一个元素, 而且title不为空, 则将margin-top设为0
                if (isTop && scope.selectTitleShow) {
                	scope.marginTop = "margin-top-0";
                }

                // selectLabel不为空, 则显示
                if (!Tools.data.check.isEmpty(scope.model.selectLabel)) {
                    scope.selectLabelShow = true;
                }

                // footText不为空, 则显示
                if (!Tools.data.check.isEmpty(scope.model.footText)) {
                    scope.footTextShow = true;
                }

                scope.model.onClick = scope.model.onClick || function() {
                    if (!Tools.data.check.isEmpty(scope.model.onClickAppend)) {
                        scope.model.onClickAppend();
                    }
                };

                scope.$watch("model.tips", function(newValue, oldValue) {
                    if (!Tools.data.check.isEmpty(newValue)) {
                        scope.tipShow = true;
                    } else {
                        scope.tipShow = false;
                    }
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-select {{marginTop}}">'
                        +     '<div ng-show="selectTitleShow" class="ums-select-head" ng-bind="model.selectTitle">'
                        +     '</div>'
                        +     '<div class="ums-select-body" ng-click="model.onClick();">'
                        +         '<div ng-show="selectLabelShow" class="ums-select-label" ng-bind="model.selectLabel">'
                        +         '</div>'
                        +         '<div class="ums-select-value">'
                        +             '<input type="text" placeholder="{{model.placeHolder}}" '
                        +                 'ng-model="model.selectedItem" readonly />'
                        +         '</div>'
                        +         '<div class="ums-select-tips" ng-bind-html="model.tips|trustHtml">'
//                        +             '{{model.tips}}'
                        +         '</div>'
                        +         '<div class="ums-select-icon"></div>'
                        +     '</div>'
                        +     '<div ng-show="footTextShow" class="ums-select-foot-text" ng-bind="model.footText">'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        });
});