define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-text", ["ums-trust-html"])
        .directive("umsText", function() {
            function link(scope, elem, attrs, ctrl) {
                // label不为空, 则显示
                if (!Tools.data.check.isEmpty(scope.model.label)) {
                    scope.labelShow = true;
                }
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-text">'
                		+	  '<div class="ums-text-body">'
                        +         '<span ng-show="labelShow" class="ums-text-label" '
                        +	          'ng-bind-html="model.label|trustHtml">'
                        +         '</span>'
                        +         '<span class="ums-text-value" ng-bind-html="model.value|trustHtml">'
                        +         '</span>'
                        +	  '</div>'
                        + '</div>',
                link: link
            };
        });
});