define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-ticket-list", [])
        .directive("umsTicketList", function() {
            function link(scope, elem, attrs, ctrl) {
                // 当前页面
                var curPage = 1;
                // 每页显示条数
                var pageSize = scope.model.pageSize || 5;
                // 总条数
                var size = 0;
                // 总页数
                var totalPage = 0;

                scope.buyButtonText = scope.buyButtonText || "买票";
                scope.moreButtonText = scope.model.moreButtonText || "查看更多信息";
                scope.ticketArr = [];

                scope.model.onBuyButtonClick = scope.model.onBuyButtonClick || function(ticket) {
                    if (!Tools.data.check.isEmpty(scope.model.onBuyButtonClickAppend)) {
                        scope.model.onBuyButtonClickAppend(ticket);
                    }
                };
                
                scope.onTicketClick = function(index) {
                    var parentDIV = $(".ums-ticket-list-ticket").eq(index);
                    var self = $(parentDIV).children("ul").eq(0);
                    var nextSibling = $(parentDIV).children("ul").eq(1);

                    if ($(nextSibling).css("display") == "block") {
                        $(self).addClass("ums-ticket-list-ticket-alt");
                        $(nextSibling).css("display", "none");
                    } else if ($(nextSibling).css("display") == "none") {
                        $(self).removeClass("ums-ticket-list-ticket-alt");
                        $(nextSibling).css("display", "block");
                    }
                };

                scope.onMoreButtonClick = function() {
                    curPage++;

                    getByPage();

                    if (curPage == totalPage) {
                        scope.moreButtonShow = false;
                    } else {
                        scope.moreButtonShow = true;
                    }
                };

                function getByPage() {
                    if (size != 0) {
                        if (curPage < 0) {
                            curPage = 1;
                        } else if (curPage > totalPage) {
                            curPage = totalPage;
                        }

                        var startIndex = (curPage - 1) * pageSize;
                        var endIndex = curPage * pageSize;

                        if (endIndex > size) {
                            endIndex = size;
                        }

                        for (var i = startIndex; i < endIndex; i++) {
                            scope.ticketArr.push(scope.model.tickets[i]);
                        }
                    }
                }

                scope.$watchCollection("model.tickets", function(newVal) {
                    if (!Tools.data.check.isEmpty(scope.model.tickets)) {
                        size = scope.model.tickets.length;

                        if (size % pageSize == 0) {
                            totalPage = size / pageSize;
                        } else {
                            totalPage = parseInt(size / pageSize) + 1;
                        }

                        scope.ticketListShow = true;
                    }

                    if (totalPage > 1) {
                        scope.moreButtonShow = true;
                    }

                    getByPage();
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div ng-show="ticketListShow" class="ums-ticket-list">'
                        +     '<div class="ums-ticket-list-ticket" ng-repeat="ticket in ticketArr">'
                        +         '<ul class="ums-ticket-list-ticket-brief ums-ticket-list-ticket-alt" '
                        +             'ng-click="onTicketClick($index);">'
                        +             '<li class="ums-ticket-drv-date-time">'
                        +                 '{{ticket.drvDateTime}}'
                        +             '</li>'
                        +             '<li class="ums-ticket-checi">'
                        +                 '<strong>{{ticket.schId}}</strong>'
                        +                 '<p>{{ticket.busTypeName}}</p>'
                        +             '</li>'
                        +             '<li class="ums-ticket-station">'
                        +                 '<p class="shifa">{{ticket.carryStaName}}</p>'
                        +                 '<p class="zhongdian">{{ticket.endStaName}}</p>'
                        +             '</li>'
                        +             '<li class="ums-ticket-full-price">'
                        +                 '<span>¥{{ticket.fullPrice}}</span>'
                        +             '</li>'
                        +         '</ul>'
                        +         '<ul class="ums-ticket-list-ticket-details">'
                        +             '<li class="ums-ticket-list-ticket-detail">'
                        +                 '<strong>车次号：{{ticket.schId}}</strong>'
                        +                 '<p>里程：{{ticket.mile}}</p>'
                        +             '</li>'
                        +             '<li class="ums-ticket-list-ticket-detail">'
                        +                 '<strong>余票：{{ticket.amount}}</strong>'
                        +                 '<p>班次类型名称：{{ticket.schTypeName}}</p>'
                        +             '</li>'
                        +             '<li class="ums-ticket-list-ticket-detail">'
                        +                 '<strong>检口：{{+ ticket.passId}}</strong>'
                        +                 '<p>运输企业：{{ticket.motName}}</p>'
                        +             '</li>'
                        +             '<li class="ums-ticket-list-ticket-detail-btn">'
                        +                 '<span class="ums-ticket-list-booking-btn" '
                        +                     'ng-click="model.onBuyButtonClick(ticket);">'
                        +                     '{{buyButtonText}}'
                        +                 '</span>'
                        +             '</li>'
                        +         '</ul>'
                        +     '</div>'
                        +     '<div ng-show="moreButtonShow" class="ums-ticket-list-more-btn" '
                        +         'ng-click="onMoreButtonClick();">'
                        +         '{{moreButtonText}}'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        });
});