define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-ticket-type-radio-group", [])
        .directive("umsTicketTypeRadioGroup", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                if (!Tools.data.check.isEmpty(scope.model.title)) {
                    scope.titleShow = true;
                }

                scope.model.selectTicketType = function(ticketType) {
                    scope.model.value = ticketType.type;

                    if (!Tools.data.check.isEmpty(scope.model.selectTicketTypeAppend)) {
                        scope.model.selectTicketTypeAppend(ticketType);
                    }
                };
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-ticket-type-radio-group">'
                        +     '<div ng-show="titleShow" class="ums-ticket-type-radio-group-head">'
                        +         '{{model.title}} : '
                        +     '</div>'
                        +     '<table class="ums-ticket-type-radio-group-body">'
                        +         '<tr class="ums-ticket-type-radio-group-option" ng-repeat="ticketType in model.ticketTypes">'
                        +             '<td class="ums-ticket-type-radio-group-option-input">'
                        +                 '<input type="radio" name="umsTicketTypeRadioGroup" '
                        +                     'ng-model="model.value" value={{ticketType.type}}>'
                        +             '</td>'
                        +             '<td class="ums-ticket-type-radio-group-option-img">'
                        +                 '<img ng-src="{{ticketType.pic}}" ng-click="model.selectTicketType(ticketType)">'
                        +             '</td>'
                        +             '<td class="ums-ticket-type-radio-group-option-name">{{ticketType.name}}</td>'
                        +         '</tr>'
                        +     '</table>'
                        + '</div>',
                link: link
            };
        }]);
});