define(["angular", "tool"], function() {
    "use strict";
    return angular.module("ums-transaction-details", [])
        .directive("umsTransactionDetails", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                scope.$watchCollection("model.details", function(newValue, oldValue) {
                    if (!Tools.data.check.isEmpty(scope.model.details)) {
                        var length = scope.model.details.length;
                        var detailDIVs = '';

                        for (var index = 0; index < length; index++) {
                            (function(i) {
                                var detail = scope.model.details[i];

                                detailDIVs += '<div class="ums-transaction-details-detail">'
                                           +      '<span class="ums-transaction-details-detail-name">'
                                           +          detail.name
                                           +      '</span>'
                                           +      '<span class="ums-transaction-details-detail-value">'
                                           +          detail.value
                                           +      '</span>'
                                           +  '</div>';
                            })(index);
                        }

                        elem.append($compile(detailDIVs)(scope));
                    }
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-transaction-details">'
                        + '</div>',
                link: link
            };
        }]);
});