define(["angular", "tool"], function() {
    "use strict";
    return angular.module("ums-transaction-result", [])
        .directive("umsTransactionResult", function() {
            function link(scope, elem, attrs, ctrl) {
                scope.$watch("model.transactionResult", function(newValue) {
                    if (scope.model.transactionResult == "success") {
                        scope.transactionResultIconClass = "ums-success-transaction-result-icon";
                        scope.transactionResultMsgClass = "ums-success-transaction-result-msg";
                        scope.model.transactionResultMsg = scope.model.transactionResultMsg || "交易成功";
                    } else if (scope.model.transactionResult == "failure") {
                        scope.transactionResultIconClass = "ums-failure-transaction-result-icon";
                        scope.transactionResultMsgClass = "ums-failure-transaction-result-msg";
                        scope.model.transactionResultMsg = scope.model.transactionResultMsg || "交易失败";
                    }
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-transaction-result">'
                        +     '<div class="{{transactionResultIconClass}}"></div>'
                        +     '<div class="{{transactionResultMsgClass}}">'
                        +         '{{model.transactionResultMsg}}'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        });
});